Name:           Field3D
Version:        1.6.2
Release:        2%{?_dist_release}
Summary:        Library for storing voxel data
Summary(ja):    ボクセルデータを蓄積するためのライブラリ

License:        BSD
Group:          System Environment/Libraries
URL:            https://sites.google.com/site/field3d/

# https://github.com/imageworks/Field3D/archive/v1.6.2.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  cmake doxygen
BuildRequires:  qt4-devel
BuildRequires:  hdf5-devel
BuildRequires:  ilmbase-devel
BuildRequires:  libboost-devel
BuildRequires:  libboost-atomic
BuildRequires:  libboost-chrono
BuildRequires:  libboost-date-time
BuildRequires:  libboost-program-options
BuildRequires:  libboost-regex
BuildRequires:  libboost-system
BuildRequires:  libboost-thread

Requires:       hdf5


%description
Field3D is an open source library for storing voxel data. It provides C++
classes that handle in-memory storage and a file format based on HDF5 that
allows the C++ objects to be written to and read from disk.


%package devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers and documentation for %{name}.

# Need devel-docs subpackage.

%prep
%setup -q


%build
rm -rf build && mkdir build && pushd build
%cmake -DINSTALL_DOCS=OFF \
       ../

make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

install -D -m 0644 man/f3dinfo.1 $RPM_BUILD_ROOT%{_mandir}/man1/f3dinfo.1


%check
pushd build
LD_LIBRARY_PATH=`pwd` ./unitTest
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CHANGES COPYING README
%{_bindir}/f3dinfo
%{_libdir}/libField3D.so.*
%{_mandir}/man1/f3dinfo.1.gz

%files devel
%doc docs/html/
%{_includedir}/Field3D/
%{_libdir}/libField3D.so


%changelog
* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.6.2-2
- rebuild with gcc-5.4.0

* Mon Jun 13 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.6.2-1
- new upstream release
- add BuildRequires: libboost-{atomic,chrono,date-time}

* Fri Jan 30 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.4.3-2
- added Group tag
- added %%clean section

* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.4.3-1
- initial build for Vine Linux

* Wed Jan 07 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.3-3
- Rebuild for hdf5 1.8.4

* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 1.4.3-2
- rebuild (ilmbase), add matching/missing popd's

* Fri Sep  5 2014 Richard Shaw <hobbes1069@gmail.com> - 1.4.3-1
- Update to latest upstream release.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-18
- Rebuild for hdf 1.8.13

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 1.3.2-16
- Rebuild for boost 1.55.0

* Fri Dec 27 2013 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-15
- Rebuild for hdf5 1.8.12

* Wed Nov 27 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.2-14
- rebuild (ilmbase)

* Sun Sep 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.2-13
- rebuild (ilmbase)

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 1.3.2-11
- Rebuild for boost 1.54.0

* Thu May 16 2013 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-10
- Rebuild for hdf5 1.8.11

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.3.2-9
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.3.2-8
- Rebuild for Boost-1.53.0

* Mon Dec  3 2012 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-7
- Rebuild for hdf5 1.8.10

* Wed Aug  8 2012 David Malcolm <dmalcolm@redhat.com> - 1.3.2-6
- rebuild against boost-1.50

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-3
- Rebuild for hdf5 1.8.9
- Explicitly require the version of hdf5 built with

* Fri Mar 23 2012 Richard Shaw <hobbes1069@gmail.com> - 1.3.2-2
- Bump EVR for oops with F17 package to make sure rawhide package is newer.

* Tue Feb 28 2012 Richard Shaw <hobbes1069@gmail.com> - 1.3.2-1
- Update to latest release.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan 09 2012 Richard Shaw <hobbes1069@gmail.com> - 1.2.1-2
- Fixed building under GCC 4.7.0.

* Sat Nov 12 2011 Richard Shaw <hobbes1069@gmail.com> - 1.2.1-1
- Initial release.
