%define pkg_name littler
%define pkg_version 0.3.0
%define pkg_release 2%{?_dist_release}

Summary:     GNU R script language and command-line frontend
Summary(ja): GNU R スクリプト言語およびコマンドラインフロントエンド
Name:        R-%{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2+ or later
Group:   Applications/Edutainment
URL:     https://cran.ism.ac.jp/
Source0: https://cran.ism.ac.jp/src/contrib/%{pkg_name}_%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: R
BuildRequires: zlib-devel bzip2-devel
BuildRequires: libicu-devel
Requires: R

Obsoletes: littler

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
littler provides hash-bang (i.e. script starting with #!/some/path)
capability for GNU R, as well as simple command-line and piping use.

%description -l ja
'r' (別名 'littler') プログラムは統計計算およびグラフィック向けの
GNU R言語環境 への軽量なバイナリラッパーを提供します。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/R/library
R CMD INSTALL %{_sourcedir}/%{pkg_name}_%{version}.tar.gz \
              -l ${RPM_BUILD_ROOT}%{_libdir}/R/library

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

cd ${RPM_BUILD_ROOT}
%{__ln_s} %{_libdir}/R/library/%{pkg_name}/bin/r usr/bin

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/R/library


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-2
- correct SPEC file

* Wed Jan 27 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-1
- rename package from littler to R-littler
- add Obsoletes: littler

* Tue Jan 26 2016 Toshiaki Ara <ara_t@384.jp> 0.3.0-1
- update 0.3.0

* Tue Dec 03 2013 Toshiaki Ara <ara_t@384.jp> 0.1.5-1
- new package
