%define pkg_name    arpack
%define pkg_version 3.2.0
%define pkg_release 2%{?_dist_release}

Summary: A collection of Fortran77 subroutines designed to solve large scale eigenvalue problems
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD Software License
Group:   System Environment/Libraries
URL:     https://github.com/opencollab/arpack-ng
Source0: %{name}-ng-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-gfortran
BuildRequires: blas-devel lapack-devel
Requires: blas lapack

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
ARPACK-NG is a collection of Fortran77 subroutines designed to solve
large scale eigenvalue problems.

Important Features:

* Reverse Communication Interface.
* Single and Double Precision Real Arithmetic Versions for Symmetric,
  Non-symmetric, Standard or Generalized Problems.
* Single and Double Precision Complex Arithmetic Versions for Standard or
  Generalized Problems.
* Routines for Banded Matrices - Standard or Generalized Problems.
* Routines for The Singular Value Decomposition.
* Example driver routines that may be used as templates to implement numerous
  Shift-Invert strategies for all problem types, data types and precision.

This project is a joint project between Debian, Octave and Scilab in order to
provide a common and maintained version of arpack.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-ng-%{version}

%build
%{configure} \
 --enable-shared \
 --disable-static
%{__make}

%install
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO
%{_libdir}/libarpack.so*
%{_libdir}/pkgconfig/arpack.pc


%changelog
* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 3.2.0-2
- correct SPEC file

* Sat Mar 19 2016 Toshiaki Ara <ara_t@384.jp> 3.2.0-1
- new package

