Summary:   Gnome CD/DVD burning application
Summary(ja): Gnome CD/DVD 書き込みアプリケーション

Name:      brasero
Version:   3.12.1
Release:   1%{?_dist_release}
Group:     Applications/Multimedia
License:   GPLv2+
URL:       http://www.gnome.org/projects/brasero/
Source0:   http://ftp.gnome.org/pub/GNOME/sources/brasero/3.12/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


BuildRequires:  glib2-devel >= 2.32.0
BuildRequires:  gettext intltool gtk-doc
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer1-devel >= 0.11.92
BuildRequires:  gstreamer1-plugins-base-devel >= 0.11.92
BuildRequires:  totem-pl-parser-devel >= 2.32.0
BuildRequires:  libnotify-devel >= 0.4.5
BuildRequires:  libxml2-devel >= 2.7.7
BuildRequires:  dbus-glib-devel >= 0.88
BuildRequires:  yelp-tools
BuildRequires:  scrollkeeper
BuildRequires:  libxslt
BuildRequires:  libburn-devel >= 0.4.0
BuildRequires:  libisofs-devel >= 0.6.4
BuildRequires:  nautilus-devel >= 2.32.0
BuildRequires:  libSM-devel
BuildRequires:  unique3-devel >= 3.0.0
BuildRequires:  libcanberra-gtk3-devel 
BuildRequires:  gobject-introspection-devel 
BuildRequires:  tracker-devel 

BuildRequires:	autoconf
BuildRequires:	gnome-common

Requires:  dvd+rw-tools
# cdrecord
Requires:  wodim
# mkisofs
Requires:  genisoimage
# cdda2wav
Requires:  icedax
Requires:  cdrdao

Requires(post):    shared-mime-info
Requires(postun):  shared-mime-info

Obsoletes:	nautilus-cd-burner <= 2.25.3

Provides:	nautilus-cd-burner <= 2.25.3

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Simple and easy to use CD/DVD burning application for the Gnome
desktop.


%package   libs
Summary:   Libraries for %{name}
Summary(ja): %{name} の共有ライブラリ
Group:     System Environment/Libraries

%description libs
The %{name}-libs package contains the runtime shared libraries for
%{name}.


%package   nautilus
Summary:   Nautilus extension for %{name}
Summary(ja): %{name} の Nautilus 拡張
Group:     User Interface/Desktops

%description nautilus
The %{name}-nautilus package contains the brasero nautilus extension.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Summary(ja):    %{name} を用いるプログラムを開発に必要なファイル集
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing brasero applications.


%prep
%setup -q

%build
%configure \
	--with-gtk=3.0 \
   	--enable-nautilus \
	--enable-libburnia \
	--enable-search \
	--enable-playlist \
   	--enable-preview \
	--enable-inotify \
   	--disable-caches \
   	--disable-static \
   	--enable-introspection=yes
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name} --all-name --with-gnome

desktop-file-install --vendor ""                   \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor ""                   \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-nautilus.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
umask 022
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%post libs -p /sbin/ldconfig


%postun
umask 022
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%postun libs -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_mandir}/man1/%{name}.*
%{_bindir}/*
%{_libdir}/%{name}3
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-nautilus.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*
%{_datadir}/GConf/gsettings/brasero.convert
%{_datadir}/glib-2.0/schemas/org.gnome.brasero.gschema.xml

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files nautilus
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-3.0/*.so
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/applications/brasero-nautilus.desktop

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libbrasero-burn
%doc %{_datadir}/gtk-doc/html/libbrasero-media
%{_includedir}/%{name}3
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir


%changelog
* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release
- remove Patch0 (brasero-3.10.0-tracker-1.0.x.patch)

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with tracker-1.0.0
- add Patch0 (brasero-3.10.0-tracker-1.0.x.patch)

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-2
- rebuild with totem-pl-parser-3.10.0

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release
- add BuildRequires: autoconf, gnome-common

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- remove BuildRequires: GConf2-devel
- remove Patch0

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- add BuildRequires: tracker-devel
- update Patch0 (brasero-3.1.92-desktop-files.patch)

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release
- replace Patch0 (brasero-3.1.90-desktop-files.patch)

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release
- change BuildRequires: libcanberra-gtk3-devel instead of libcanberra-devel
- change Requires: wodim insread of cdrecord
- change Requires: genisoimage insread of mkisofs
- change Requires: icedax instead of cdda2wav
- add Patch0 (brasero-desktop-file.patch) from fedora

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: libgnomeui-devel
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)
- remove Source1

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.1-1
- new upstream release

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release
- remove BuildRequires: hal-devel, eel2-devel
- add BuildRequires: unique-devel, libcanberra-devel
- add Obsoletes: nautilus-cd-burner <= 2.25.3
- add Provides: nautilus-cd-burner <= 2.25.3

* Sat Jan 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.28.3-1
- new upstream release

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.2-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- initial build for Vine Linux

* Mon Mar 02 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.91.2-3
- Fix icon and Bugzilla component

* Mon Mar 02 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.91.2-2
- Fix regressions in burn:/// and blank media handling

* Tue Feb 24 2009 Denis Leroy <denis@poolshark.org> - 2.25.91.2-1
- Update to upstream 2.25.91.2
- Dvdcss patch upstreamed
- Split nautilus extension into subpackage (#485918)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  7 2009 Denis Leroy <denis@poolshark.org> - 2.25.90-2
- Added patch to fix dynamic load of libdvdcss (#484413)

* Tue Feb  3 2009 Denis Leroy <denis@poolshark.org> - 2.25.90-1
- Update to upstream 2.25.90
- Split media library into separate RPM (#483754)
- Added patch to validate desktop files

* Tue Jan 20 2009 Denis Leroy <denis@poolshark.org> - 0.9.1-1
- Update to upstream 0.9.1
- Added development package

* Tue Dec 16 2008 Denis Leroy <denis@poolshark.org> - 0.8.3-1
- Update to upstream 0.8.4
- Enabled nautilus extension

* Mon Sep 15 2008 Denis Leroy <denis@poolshark.org> - 0.8.2-1
- Update to upstream 0.8.2

* Wed Aug 27 2008 Denis Leroy <denis@poolshark.org> - 0.8.1-1
- Update to upstream 0.8.1
- Desktop patch upstreamed

* Sun Jul  6 2008 Denis Leroy <denis@poolshark.org> - 0.7.91-1
- Update to unstable 0.7.91
- open flags patch upstreamed

* Wed Jun 11 2008 Denis Leroy <denis@poolshark.org> - 0.7.90-1
- Update to unstable 0.7.90
- Added patch to validate desktop file
- BRs updated

* Fri May 16 2008 Denis Leroy <denis@poolshark.org> - 0.7.1-4
- Rebuild for new totem-pl-parser

* Sat Feb 23 2008 Denis Leroy <denis@poolshark.org> - 0.7.1-3
- Fixed desktop mime field

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.1-2
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Denis Leroy <denis@poolshark.org> - 0.7.1-1
- Update to 0.7.1 upstream, bugfix release

* Sun Dec 30 2007 Denis Leroy <denis@poolshark.org> - 0.7.0-1
- Update to upstream 0.7.0, updated BRs
- Forward-ported open() permission patch

* Mon Dec 10 2007 Denis Leroy <denis@poolshark.org> - 0.6.1-4
- Changed totem-devel req to totem-pl-parser-devel

* Sun Dec  9 2007 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Rebuild with new libbeagle

* Fri Nov  9 2007 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Rebuild to pick up new totem version (#361361)

* Sat Aug 25 2007 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- Update to upstream version 0.6.1
- Filter UI patch is now upstream

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 0.6.0-2
- Updated License tag
- Fixed open() O_CREAT problem

* Fri Aug 10 2007 Denis Leroy <denis@poolshark.org> - 0.6.0-1
- Update to 0.6.0
- Removed libburn support until it compiles against libisofs 0.2.8
- Fixed project URL
- Added patch to port to new Gtk+ tooltip interface
- Added patch to fix filter dialog crash

* Sun Jun  3 2007 Denis Leroy <denis@poolshark.org> - 0.5.2-4
- Removed beagle support for ppc64

* Tue May 22 2007 Denis Leroy <denis@poolshark.org> - 0.5.2-3
- Added umask 022 to scriptlets (#230781)

* Mon May 21 2007 Denis Leroy <denis@poolshark.org> - 0.5.2-2
- Rebuild to pick up new totem library

* Mon Feb 26 2007 Denis Leroy <denis@poolshark.org> - 0.5.2-1
- Update to 0.5.2
- Removed libisofs patch, now upstream

* Wed Jan 17 2007 Denis Leroy <denis@poolshark.org> - 0.5.1-2
- Added patch to support libisofs.so.4 and libburn.so.6

* Thu Nov 16 2006 Denis Leroy <denis@poolshark.org> - 0.5.1-1
- Update to 0.5.1

* Sun Oct 29 2006 Denis Leroy <denis@poolshark.org> - 0.5.0-1
- Update to 0.5.0
- Updated icon paths
- Added gconf schemas sections

* Tue Oct  3 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-3
- fixed homepage URL

* Tue Sep 26 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-2
- BRs cleanup

* Fri Sep 22 2006 Denis Leroy <denis@poolshark.org> - 0.4.4-1
- First version
foo
