Summary:	Set of extensions for Caja
Summary(ja):	Caja 用拡張モジュール集
Name:		caja-extensions
Version:	1.14.0
Release:	1%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/1.14/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel
BuildRequires:	caja-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):     glib2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
%{summary}


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch


%description    docs
This package contains documentation for %{name}.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/caja-sendto
%{_libdir}/caja/extensions-2.0/libcaja-gksu.so
%{_libdir}/caja/extensions-2.0/libcaja-image-converter.so
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_libdir}/caja/extensions-2.0/libcaja-share.so
%{_libdir}/caja/extensions-2.0/libcaja-wallpaper.so
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_datadir}/caja/extensions/libcaja-gksu.caja-extension
%{_datadir}/caja/extensions/libcaja-image-converter.caja-extension
%{_datadir}/caja/extensions/libcaja-open-terminal.caja-extension
%{_datadir}/caja/extensions/libcaja-sendto.caja-extension
%{_datadir}/caja/extensions/libcaja-share.caja-extension
%{_datadir}/caja/extensions/libcaja-wallpaper.caja-extension
%{_datadir}/caja-extensions/caja-image-resize.ui
%{_datadir}/caja-extensions/caja-image-rotate.ui
%{_datadir}/caja-extensions/caja-sendto.ui
%{_datadir}/caja-extensions/share-dialog.ui
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%{_mandir}/man1/caja-sendto.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/caja-sendto
%{_libdir}/pkgconfig/caja-sendto.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/caja-sendto


%changelog
* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- initial build

