Summary: A GUI front-end for ClamAV
Summary(ja): ClamAV の GUI フロントエンド
Name: clamtk
Version: 5.20
Release: 1%{?_dist_release}
License: GPL+ or Artistic
Group: Applications/System
URL: https://bitbucket.org/dave_theunsub/clamtk/

Source0: https://bitbucket.org/dave_theunsub/clamtk/downloads/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: gzip
BuildRequires: desktop-file-utils
Requires: clamav
Requires(post,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
ClamTk is a frontend for ClamAV using Gtk2-perl. It is intended to be
an easy to use, lightweight scanner for Linux systems.

%prep
%setup -q

%build
gunzip clamtk.1.gz 

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_mandir}/man1
%__mkdir -p %{buildroot}%{perl_vendorlib}/ClamTk
%__mkdir -p %{buildroot}%{_datadir}/applications
%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__mkdir -p %{buildroot}%{_localedir}
%__install -m 0755 clamtk %{buildroot}%{_bindir}
%__install -m 0644 clamtk.1 %{buildroot}%{_mandir}/man1
%__install -m 0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk
%__install -m 0644 clamtk.desktop %{buildroot}%{_datadir}/applications
%__install -m 0644 images/clamtk.xpm images/clamtk.png %{buildroot}%{_datadir}/pixmaps

langs="ja de fr ko zh_CN zh_TW"
for lang in $langs
do
%__mkdir -p %{buildroot}%{_localedir}/${lang}/LC_MESSAGES
%__cp -a po/${lang}.mo %{buildroot}%{_localedir}/${lang}/LC_MESSAGES/clamtk.mo
done

%{find_lang} %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/clamtk.desktop

%clean
%__rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES LICENSE DISCLAIMER README
%{_bindir}/clamtk
%{_mandir}/man1/clamtk.1*
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/clamtk.desktop
%{_datadir}/pixmaps/clamtk.*

%changelog
* Sun Dec 20 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.20-1
- new upstream release.

* Mon Jan 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.13-1
- new upstream release
- moved to Applications/System Group

* Tue Apr 26 2011 IWAI, Masaharu <iwai@alib.jp> 4.32-1
- new upstream release

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 4.31-1
- Initial build.


