%define         cogl_version 1.22.0
%define         cogl_release 1%{?_dist_release}

Name:           cogl
Version:        %{cogl_version}
Release:        %{cogl_release}
Summary:        A small open source library for using 3D graphics hardware to draw pretty pictures

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/1.22/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gobject-introspection-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXrandr-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	pango-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gstreamer1-plugins-base-devel
BuildRequires:	gtk-doc

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.


%package		devel
Summary:        Development tools for cogl
Summary(ja):    cogl の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
cogl.


%package		gstreamer
Summary:        Cogl GStreamer library
Summary(ja):    cogl gstreamer ライブラリ
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description	gstreamer
%{summary}


%package        docs
Summary:        Documentation for cogl
Summary(ja):    cogl 用のドキュメント
Group:          Documentation
Provides:       %{name}-doc = %{version}-%{release}
BuildArch:		noarch


%description    docs
This package contains documentation for cogl.


%prep
%setup -q

for i in `grep -rl "<note>" ./`;
do
  sed -i 's/<note>//' $i
done

for i in `grep -rl "<\/note>" ./`;
do
  sed -i 's/<\/note>//' $i
done

%build

%configure \
	--enable-gtk-doc \
	--disable-static \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-gst=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-introspection=yes \
	--enable-kms-egl-platform=yes \
	--enable-xlib-egl-platform=yes

make V=1

%install
rm -rf $RPM_BUILD_ROOT
#make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p -c"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/%{name}/examples-data/crate.jpg

%files devel
%defattr(-,root,root,-)
%{_includedir}/cogl
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files gstreamer
%defattr(-,root,root,-)
%{_libdir}/gstreamer-1.0/libgstcogl.so

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/cogl
%{_datadir}/gtk-doc/html/cogl-gst
%{_datadir}/gtk-doc/html/cogl-2.0-experimental

%changelog
* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.22.0-1
- new upstream release
- remove Patch0

* Wed May 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.20.0-2
- add Patch0 (cogl-1.20.0-git20150508.patch)
- add BuildRequires: mesa-libgbm-devel

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.20.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.18.2-1
- new upstream release
- add BuildRequires: mesa-libEGL-devel

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.18.0-1
- new upstream release

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.2-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.0-1
- new upstream release
- add BuildRequire: gstreamer1-plugins-base-devel

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release
- add BuildRequires: libXrandr-devel

* Sun Jan 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release
- remove Patch0 (04_fix_crash_on_free.patch)

* Sun Jul 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.4-1
- new upstream release

* Mon Jul 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-2
- add Patch0 (04_fix_crash_on_free.patch)

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Tue Sep 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.8-1
- new upstream release
- remove Patch0

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.6-1
- new upstream release
- add Patch0 (cogl-1.7.6-configure.patch)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.4-1
- initial build for Vine Linux

