%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define _plugindir2 %{_libdir}/sasl2

Summary: The Cyrus SASL library.
Summary(ja): Cyrus SASL ライブラリ
Name: cyrus-sasl
Version: 2.1.26
Release: 6%{?_dist_release}
License: BSD with advertising
Group: System Environment/Libraries
URL: http://cyrusimap.org/

Source0: ftp://ftp.cyrusimap.org/cyrus-sasl/cyrus-sasl-%{version}.tar.gz
Source4: saslauthd.init
Source5: README.RPM
Source9: saslauthd.sysconfig
#
Patch10: cyrus-sasl-2.1.22-db_bundle.patch
Patch11: cyrus-sasl-2.1.25-no_rpath.patch
Patch15: cyrus-sasl-2.1.20-saslauthd.conf-path.patch
Patch24: cyrus-sasl-2.1.21-sizes.patch
Patch44: cyrus-sasl-2.1.26-release-server_creds.patch
# AM_CONFIG_HEADER is obsolete, use AC_CONFIG_HEADERS instead
Patch45: cyrus-sasl-2.1.26-obsolete-macro.patch
# missing size_t declaration in sasl.h
Patch46: cyrus-sasl-2.1.26-size_t.patch
# detect gsskrb5_register_acceptor_identity macro (#976538)
Patch48: cyrus-sasl-2.1.26-keytab.patch
Patch49: cyrus-sasl-2.1.26-md5global.patch
# revert upstream commit 080e51c7fa0421eb2f0210d34cf0ac48a228b1e9 (#984079)
# https://bugzilla.cyrusimap.org/show_bug.cgi?id=3480
Patch50: cyrus-sasl-2.1.26-revert-upstream-080e51c7fa0421eb2f0210d34cf0ac48a228b1e9.patch
# improve configuration error message
Patch52: cyrus-sasl-2.1.26-config-error.patch
# Treat SCRAM-SHA-1/DIGEST-MD5 as more secure than PLAIN (#970718)
Patch53: cyrus-sasl-2.1.26-prefer-SCRAM-SHA-1-over-PLAIN.patch

Patch102: cyrus-sasl-2.1.26-configure.patch

#security
## http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-libs/cyrus-sasl/files/cyrus-sasl-2.1.26-CVE-2013-4122.patch?revision=1.1
Patch200: cyrus-sasl-2.1.26-CVE-2013-4122.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool
# Note: berkeley db for sasl2, gdbm for sasl1.
BuildRequires: libdb-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libpq-devel
BuildRequires: openldap-devel
BuildRequires: zlib-devel
BuildRequires: pkgconfig
BuildRequires: krb5-devel
BuildRequires: groff
Requires(post): /sbin/ldconfig, chkconfig
Requires(postun): /sbin/ldconfig, chkconfig

Vendor: Project Vine
Distribution: Vine Linux

%description
The %{name} package contains the Cyrus implementation of SASL.
SASL is the Simple Authentication and Security Layer, a method for
adding authentication support to connection-based protocols.

%package devel
Summary: Files needed for developing applications with Cyrus SASL.
Summary(ja): Cyrus SASL を用いるアプリケーションの開発に必要なファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains files needed for developing and
compiling applications which use the Cyrus SASL library.

%package gssapi
Summary: GSSAPI support for Cyrus SASL.
Summary(ja): Cyrus SASL の GSSAPI 認証サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description gssapi
The %{name}-gssapi package contains the Cyrus SASL plugins which
support GSSAPI authentication. GSSAPI is commonly used for Kerberos
authentication.

%package plain
Summary: PLAIN and LOGIN support for Cyrus SASL.
Summary(ja): Cyrus SASL の PLAIN, LOGIN 認証サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description plain
The %{name}-plain package contains the Cyrus SASL plugins which support
PLAIN and LOGIN authentication schemes.

%package md5
Summary: CRAM-MD5 and DIGEST-MD5 support for Cyrus SASL.
Summary(ja): Cyrus SASL の CRAM-MD5, DIGEST-MD5 認証サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description md5
The %{name}-md5 package contains the Cyrus SASL plugins which support
CRAM-MD5 and DIGEST-MD5 authentication schemes.

%package ntlm
Summary: NTLM support for Cyrus SASL.
Summary(ja): Cyrus SASL の NTLM 認証サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description ntlm
The %{name}-ntlm package contains the Cyrus SASL plugin which supports
the NTLM authentication schemes.

# This would more appropriately be named cyrus-sasl-auxprop-sql.
%package sql
Summary: SQL auxprop support for Cyrus SASL
Summary(ja): Cyrus SASL の SQL auxprop サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description sql
The %{name}-sql package contains the Cyrus SASL plugin which supports
using a RDBMS for storing shared secrets.

# This was *almost* named cyrus-sasl-auxprop-ldapdb, but that's a lot of typing.
%package ldap
Summary: LDAP auxprop support for Cyrus SASL
Summary(ja): Cyrus SASL の LDAP auxprop サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description ldap
The %{name}-ldap package contains the Cyrus SASL plugin which supports using
a directory server, accessed using LDAP, for storing shared secrets.

%package scram
Summary: SCRAM auxprop support for Cyrus SASL
Summary(ja): Cyrus SASL の SCRAM auxprop サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description scram
The %{name}-scram package contains the Cyrus SASL plugin which supports
the SCRAM authentication scheme.

%package gs2
Summary: GS2 support for Cyrus SASL
Summary(ja): Cyrus SASL の GS2 認証サポート
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description gs2
The %{name}-gs2 package contains the Cyrus SASL plugin which supports
the GS2 authentication scheme.

## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: The Cyrus SASL library.
Summary(ja): Cyrus SASL ライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
The %{name} package contains the Cyrus implementation of SASL.
SASL is the Simple Authentication and Security Layer, a method for
adding authentication support to connection-based protocols.

%package -n compat32-%{name}-devel
Summary: Files needed for developing applications with Cyrus SASL.
Summary(ja): Cyrus SASL を用いるアプリケーションの開発に必要なファイル
Group: Development/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-devel
The %{name}-devel package contains files needed for developing and
compiling applications which use the Cyrus SASL library.

%package -n compat32-%{name}-gssapi
Summary: GSSAPI support for Cyrus SASL.
Summary(ja): Cyrus SASL の GSSAPI 認証サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-gssapi
The %{name}-gssapi package contains the Cyrus SASL plugins which
support GSSAPI authentication. GSSAPI is commonly used for Kerberos
authentication.

%package -n compat32-%{name}-plain
Summary: PLAIN and LOGIN support for Cyrus SASL.
Summary(ja): Cyrus SASL の PLAIN, LOGIN 認証サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-plain
The %{name}-plain package contains the Cyrus SASL plugins which support
PLAIN and LOGIN authentication schemes.

%package -n compat32-%{name}-md5
Summary: CRAM-MD5 and DIGEST-MD5 support for Cyrus SASL.
Summary(ja): Cyrus SASL の CRAM-MD5, DIGEST-MD5 認証サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-md5
The %{name}-md5 package contains the Cyrus SASL plugins which support
CRAM-MD5 and DIGEST-MD5 authentication schemes.

%package -n compat32-%{name}-ntlm
Summary: NTLM support for Cyrus SASL.
Summary(ja): Cyrus SASL の NTLM 認証サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-ntlm
The %{name}-ntlm package contains the Cyrus SASL plugin which supports
the NTLM authentication schemes.

# %package -n compat32-%{name}-sql
# Group: System Environment/Libraries
# Summary: SQL auxprop support for Cyrus SASL

# %description -n compat32-%{name}-sql
# The %{name}-sql package contains the Cyrus SASL plugin which supports
# using a RDBMS for storing shared secrets.

%package -n compat32-%{name}-ldap
Summary: LDAP auxprop support for Cyrus SASL
Summary(ja): Cyrus SASL の LDAP auxprop サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-ldap
The %{name}-ldap package contains the Cyrus SASL plugin which supports using
a directory server, accessed using LDAP, for storing shared secrets.

%package -n compat32-%{name}-scram
Summary: SCRAM auxprop support for Cyrus SASL
Summary(ja): Cyrus SASL の SCRAM auxprop サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-scram
The %{name}-scram package contains the Cyrus SASL plugin which supports
the SCRAM authentication scheme.

%package -n compat32-%{name}-gs2
Summary: GS2 support for Cyrus SASL
Summary(ja): Cyrus SASL の GS2 認証サポート
Group: System Environment/Libraries
Requires: compat32-%{name} = %{version}-%{release}

%description -n compat32-%{name}-gs2
The %{name}-gs2 package contains the Cyrus SASL plugin which supports
the GS2 authentication scheme.

%prep
%setup -q
chmod -x doc/*.html
chmod -x include/*.h
#patch10 -p1 -b .db_bundle
%patch11 -p1 -b .no_rpath
%patch15 -p1 -b .path
%patch24 -p1 -b .sizes
%patch44 -p1 -b .release-server_creds
%patch45 -p1 -b .obsolete-macro
%patch46 -p1 -b .size_t
%patch48 -p1 -b .keytab
%patch49 -p1 -b .md5global.h
%patch50 -p1 -b .gssapi
%patch52 -p1 -b .configerr
%patch53 -p1 -b .sha1vsplain

%patch102 -p1 -b .configure

%patch200 -p1 -b .CVE-2013-4122

# FIXME - we remove these files directly so that we can avoid using the -f
# flag, which has a nasty habit of overwriting files like COPYING.
rm -f config/config.guess config/config.sub 
rm -f config/ltconfig config/ltmain.sh config/libtool.m4
rm -fr autom4te.cache
libtoolize -c
aclocal -I config -I cmulocal
automake -a -c
autoheader
autoconf

pushd saslauthd
rm -f config/config.guess config/config.sub 
rm -f config/ltconfig config/ltmain.sh config/libtool.m4
rm -fr autom4te.cache
libtoolize -c
aclocal -I config -I ../cmulocal -I ../config
automake -a -c
autoheader
autoconf
popd

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS

# Find OpenSSL.
LIBS="-lcrypt"; export LIBS
if pkg-config openssl ; then
        CPPFLAGS="`pkg-config --cflags-only-I openssl` $CPPFLAGS"; export CPPFLAGS
        CFLAGS="`pkg-config --cflags openssl` $CFLAGS"; export CFLAGS
        LDFLAGS="`pkg-config --libs-only-L openssl` $LDFLAGS"; export LDFLAGS
fi

# Find the SQL libraries used needed by the SQL auxprop plugin.
mysql_config=mysql_config
pg_config=pg_config
SQL_CFLAGS=`${mysql_config} --cflags`" -I"`${pg_config} --includedir`
SQL_LIBS=`${mysql_config} --libs`" -L"`${pg_config} --libdir`" -lpq"
SQL_CFLAGS=`eval echo "$SQL_CFLAGS" | sed -e 's,-I%{_includedir}[^/],,g' -e 's,-I%{_includedir}$,,g' -e 's,[[:blank:]]+, ,g'`
SQL_LIBS=`eval echo "$SQL_LIBS" | sed -e 's,-L%{_libdir}[^/],,g' -e 's,-L%{_libdir}$,,g' -e 's,[[:blank:]]+, ,g'`
SQL_LDFLAGS=`eval echo "$SQL_LIBS" | sed -e 's,-[^L][^ ]*,,g'`
echo $SQL_LDFLAGS
SQL_LIBS=`eval echo "$SQL_LIBS" | sed -e 's,-[^l][^ ]*,,g'`
echo $SQL_LIBS

cleanup_flags() {
        sed -r -e 's,-D_GNU_SOURCE(=[^[:blank:]]+)?,,g' \
               -e 's,-D_FILE_OFFSET_BITS=[[:digit:]]+,,g' \
               -e 's,-D_LARGEFILE_SOURCE(=[^[:blank:]]+)?,,g' \
               -e 's,[[:blank:]]+, ,g'
}
CFLAGS=`echo $CFLAGS $SQL_CFLAGS | cleanup_flags`; export CFLAGS
CPPFLAGS=`echo $CPPFLAGS $SQL_CFLAGS | cleanup_flags`; export CPPFLAGS
LDFLAGS=`echo $LDFLAGS $SQL_LDFLAGS | cleanup_flags`; export LDFLAGS

%configure \
	--disable-static --enable-shared --disable-java \
	--with-plugindir=%{_plugindir2}:%{_sysconfdir}/sasl2 \
	--disable-krb4 \
	--with-rc4 \
	--with-dblib=berkeley \
        --with-bdb=db \
	--with-saslauthd=/var/run/saslauthd --without-pwcheck \
	--with-ldap \
	--with-devrandom=/dev/urandom \
	--enable-anon \
	--enable-cram \
	--enable-digest \
	--enable-ntlm \
	--enable-plain \
	--enable-login \
        --disable-otp \
        --enable-ldapdb \
        --enable-sql --with-mysql=%{_prefix} --with-pgsql=%{_prefix} \
        --without-sqlite \
        "$@"
	# --enable-auth-sasldb -- EXPERIMENTAL
make %{?_smp_mflags} sasldir=%{_plugindir2}
make %{?_smp_mflags} -C saslauthd testsaslauthd
make -C sample

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sasldir=%{_plugindir2}
make install DESTDIR=$RPM_BUILD_ROOT sasldir=%{_plugindir2} -C plugins

install -m755 -d $RPM_BUILD_ROOT%{_bindir}
./libtool --tag=CC --mode=install \
install -m755 sample/client $RPM_BUILD_ROOT%{_bindir}/sasl2-sample-client
./libtool --tag=CC --mode=install \
install -m755 sample/server $RPM_BUILD_ROOT%{_bindir}/sasl2-sample-server
./libtool --tag=CC --mode=install \
install -m755 saslauthd/testsaslauthd $RPM_BUILD_ROOT%{_sbindir}/testsaslauthd
./libtool --tag=CC --mode=install \
install -m755 utils/dbconverter-2 $RPM_BUILD_ROOT%{_sbindir}/dbconverter-2

# Install the saslauthd mdoc page in the expected location.  Sure, it's not
# really a man page, but groff seems to be able to cope with it.
install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man8/
install -m644 saslauthd/saslauthd.mdoc $RPM_BUILD_ROOT%{_mandir}/man8/saslauthd.8

# Create the saslauthd listening directory.
install -m755 -d $RPM_BUILD_ROOT/var/run/saslauthd

# Install the init script for saslauthd and the init script's config file.
install -m755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d $RPM_BUILD_ROOT/etc/sysconfig
install -m755 -p %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
install -m644 -p %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/saslauthd

# Install the config dirs if they're not already there.
install -m755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/sasl2
install -m755 -d $RPM_BUILD_ROOT/%{_plugindir2}

# Remove unpackaged files from the buildroot.
rm -f $RPM_BUILD_ROOT%{_libdir}/sasl2/libotp.*
rm -f $RPM_BUILD_ROOT%{_libdir}/sasl2/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/sasl2/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_mandir}/cat8/saslauthd.8

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add saslauthd

%preun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del saslauthd
fi

%postun
/sbin/ldconfig
if [ $1 != 0 ] ; then
	/sbin/service saslauthd condrestart 2>&1 > /dev/null
fi

%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README doc/*.html
%doc $RPM_SOURCE_DIR/README.RPM
%dir %{_sysconfdir}/sasl2
%{_libdir}/libsasl*.so.*
%dir %{_plugindir2}/
%{_plugindir2}/*anonymous*.so*
%{_plugindir2}/*sasldb*.so*
%{_mandir}/man8/*
%{_sbindir}/dbconverter-2
%{_sbindir}/saslpasswd2
%{_sbindir}/sasldblistusers2
%{_sbindir}/pluginviewer
%{_sbindir}/saslauthd
%{_sbindir}/testsaslauthd
%config(noreplace) /etc/sysconfig/saslauthd
%config /etc/rc.d/init.d/saslauthd
/var/run/saslauthd

%files gssapi
%defattr(-,root,root)
%{_plugindir2}/*gssapi*.so*

%files plain
%defattr(-,root,root)
%{_plugindir2}/*plain*.so*
%{_plugindir2}/*login*.so*

%files md5
%defattr(-,root,root)
%{_plugindir2}/*crammd5*.so*
%{_plugindir2}/*digestmd5*.so*

%files ntlm
%defattr(-,root,root)
%{_plugindir2}/*ntlm*.so*

%files sql
%defattr(-,root,root)
%{_plugindir2}/*sql*.so*

%files ldap
%defattr(-,root,root)
%{_plugindir2}/*ldapdb*.so*

%files scram
%defattr(-,root,root)
%{_plugindir2}/libscram.so*

%files gs2
%defattr(-,root,root)
%{_plugindir2}/libgs2.so*

%files devel
%defattr(-,root,root)
%doc doc/*.txt
%defattr(-,root,root)
%{_bindir}/sasl2-sample-client
%{_bindir}/sasl2-sample-server
%{_includedir}/*
%{_libdir}/libsasl*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

## to build compat32 for x86_64 architecture support
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libsasl*.so.*
%dir %{_plugindir2}/
%{_plugindir2}/*anonymous*.so*
%{_plugindir2}/*sasldb*.so*

%files -n compat32-%{name}-gssapi
%defattr(-,root,root)
%{_plugindir2}/*gssapi*.so*

%files -n compat32-%{name}-plain
%defattr(-,root,root)
%{_plugindir2}/*plain*.so*
%{_plugindir2}/*login*.so*

%files -n compat32-%{name}-md5
%defattr(-,root,root)
%{_plugindir2}/*crammd5*.so*
%{_plugindir2}/*digestmd5*.so*

%files -n compat32-%{name}-ntlm
%defattr(-,root,root)
%{_plugindir2}/*ntlm*.so*

# %files -n compat32-%{name}-sql
# %defattr(-,root,root)
# %{_plugindir2}/*sql*.so*

%files -n compat32-%{name}-ldap
%defattr(-,root,root)
%{_plugindir2}/*ldapdb*.so*

%files -n compat32-%{name}-scram
%defattr(-,root,root)
%{_plugindir2}/libscram.so*

%files -n compat32-%{name}-gs2
%defattr(-,root,root)
%{_plugindir2}/libgs2.so*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libsasl*.so
%endif


%changelog
* Wed Nov 02 2016 Toshiaki Ara <ara_t@384.jp> 2.1.26-6
- fix [BTS:0003006]
  - correct saslauthd.sysconfig

* Mon Mar 21 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.26-5
- rebuilt with openssl-1.0.2g.

* Sun Dec 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1.26-4
- built with libdb 5.3.28
- dropt Patch10
- added Patch44, 45, 49, 50, 52 and 53
- fixed typo of Require of compat32-cyrus-sasl-{scram, gs2}
- fixed %%doc of cyrus-sasl and cyrus-sasl-devel
- added Japanese summary

* Sun Jul 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.26-3
- rebuild with VineSeed environment
- change BuildRequires: libmysqlclient-devel instead of MySQL-devel
- change BuildRequires: libpq-devel instead of postgresql-devel

* Sat Feb 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.26-2
- add Patch46 (cyrus-sasl-2.1.26-size_t.patch) from fedora

* Thu Jan  9 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 2.1.26-1
- update to 2.1.26
 - drop sig file (Source1): upstream isn't release.
- add cyrus-sasl-scram and cyrus-sasl-gs2 packages
- add pkgconfig file in cyrus-sasl-devel package
- fix License
- update URL
- update %%doc
- drop SASLv1
 - drop Source2,3
 - drop Patch0-5 for SASLv1 patches
- update patch from RHEL7 beta cyrus-sasl-2.1.26-12.1.el7
 - no rpath patch (Patch11)
 - keytab patch (Patch28)
 - db4 patch (Patch100)
 - gcc44 patch (Patch101)
- update CVE-2013-4122 patch (Patch200) from Gentoo Linux
- update configure patch (Patch102)
- drop unnecessary patch
 - automake 1.10 patch (Patch27)
 - upstream fixed
  - typo patch (Patch25)
  - digest commas patch (Patch26)

* Mon Sep 16 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.1.23-11
- add patch200 for fix CVE-2013-4122 (NULL ptr. dereference)

* Mon Aug 22 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.1.23-10
- add Vendor/Distri Tags

* Mon Aug 22 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.23-9
- fixed pam support.
- fixed MySQL support.

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.1.23-8
- rebuilt with postgresql-9.0.3

* Tue Mar 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.23-7
- rebuild with krb5-libs-1.8.2 and openssl-1.0.0d

* Tue Jan 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.23-6
- rebuild with openssl-1.0.0c
- add BuildRequires: groff

* Thu Feb 11 2010 NAKAMURA Kenta <kenta@vinelinux.org> 2.1.23-5
- rebuilt with db4-4.8
- updated Patch100: cyrus-sasl-2.1.22-db4.patch
- added Patch101: cyrus-sasl-2.1.23-gcc44.patch

* Sun Jul 05 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.1.23-4
- dropped compat32-%%{name}-sql

* Sat Jul 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.1.23-3
- added compat32 subpackages

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.23-2
- rebuilt with MySQL-5.1.34.

* Mon May 18 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.1.23-1
- new upstream release with security fix (CVE-2009-0688)
- add patch5 to fix CVE-2009-0688 issue in 1.5.28 side
  (No effect in Current VineSeed package)

* Sun Jan 04 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.1.22-5
- rebuilt with openldap-2.4.11

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.22-4
- s/%%{name}-lib/%%{name}/ at requires of sql, ldap sub-packages

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1.22-3
- added gssapi subpackage

* Fri Jun 20 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.22-2
- rebuilt against db-4.6.21 with Patch100
- import Patch27 from Fedora

* Sat Apr 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.22-1vl5
- updated to 2.1.22
- added Patches from Fedora
  * Tue Jun 20 2006 Nalin Dahyabhai <nalin@redhat.com> 2.1.22-2
  - fix a typo in sasl_client_start(3) (#196066)
  * Thu Apr 27 2006 Nalin Dahyabhai <nalin@redhat.com> 2.1.21-11
  - add unapplied patch which makes the DIGEST-MD5 plugin omit the realm
    argument when the environment has $CYRUS_SASL_DIGEST_MD5_OMIT_REALM set 
    to a non-zero value, for testing purposes
- added subpackages for the ldapdb auxprop support
- added --disable-static option to %%configure

* Tue May 22 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.1.18-0vl8
- added Patch17: cyrus-sasl-2.1.18-openssl-098.patch
- rebuilt with openssl-0.9.8

* Thu May 10 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.1.18-0vl7
- disable version 1 now (no VineSeed package require version 1)
- enable ntlm subpackage now
- rebuilt with new toolchain and db4-4.3.x

* Sat Jul  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.18-0vl6
- rebuilt for VineSeed

* Fri Apr 28 2006 IWAI, Masaharu <iwai@alib.jp> 2.1.18-0vl5
- SECURITY FIX for Vine 3.2: CVE-2006-1721
   - add 23_CVE-2006-1721.diff ( Patch16 )
       from Debian Sarge cyrus-sasl2_2.1.19-1.5sarge1.diff.gz

* Mon Dec 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.1.18-0vl4
- rebuild for VineSeed

* Sat Nov 27 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.1.18-0vl3
- added security patch cyrus-sasl-CAN-2004-0884.patch for CAN-2004-0884
  from Mandrakelinux.

* Mon Oct 11 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.1.18-0vl2
- rebuilt with db4-4.2.52

* Thu Aug 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.18-0vl1
- new upstream release
- rebuild with openssl-0.9.7d
- import some patch from fedora package

* Sun Nov 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.15-6vl1
- new upstream release
- remove prereq initscripts
- merged with fedora package
  * Thu Oct 23 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.15-6
  - use /dev/urandom instead of /dev/random for SASL2 (docs indicate that this is
  safe if you aren't using OTP or SRP, and we build neither); SASL1 appears to
  use it to seed the libc RNG only (#103378)
  * Mon Oct 20 2003 Nalin Dahyabhai <nalin@redhat.com>
  - obey RPM_OPT_FLAGS again when krb5_prefix != %%{_prefix}
  * Fri Oct 17 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.15-5
  - install saslauthd's mdoc page instead of the pre-formatted man page, which
    would get formatted again
  * Mon Sep 15 2003 Nalin Dahyabhai <nalin@redhat.com>
  - include testsaslauthd
  - note in the README that the saslauthd protocol is different for v1 and v2,
    so v1's clients can't talk to the v2 server
  * Thu Aug 21 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.15-3
  - add logic to build with gssapi libs in either /usr or /usr/kerberos
  * Tue Jul 15 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.15-1
  - update to 2.1.15
  * Mon Jul 14 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.14-1
  - update to 2.1.14

* Wed May 14 2003 Satoshi MACHINO <machino@vinelinux.org> 2.1.13-3vl1
- new upstream version
- merged with rawhide version
	-- * Fri May  9 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.13-3
	-- - change -m argument to saslauthd to be a directory instead of a path
	-- * Thu May  8 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.13-2
	-- - link libsasl2 with -lpthread to ensure that the sasldb plug-in
	     can always be loaded
	-- * Tue Apr 29 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.13-1
	-- - update to 2.1.13
- disable gssapi because Vine Linux don't support Kerberos

* Sun Dec  9 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.5.27-17vl1
- upstream release
- obsoleted cyrus-sasl-1.5.21-des.patch ( upstream merged )
- obsoleted cyrus-sasl-1.5.24-external.patch ( upstream merged )
- added BuildPrereq: gdbm-devel, pam-devel

* Mon Jul 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.5.24-17vl2
- rebuilt with openssl-0.9.6b

* Wed Apr 11 2001 Satoshi MACHINO <machino@vinelinux.org> 1.5.24-17vl1
- merged Rawhide Package

* Sat Nov 18 2000 MACHINO, Satoshi <machino@vinelinux.org> 1.5.24-14vl1
- build for Vine Linux
- build with gcc-2.95.3
- removed kerberos and gssapi

* Fri Oct 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable static libraries, but always build with -fPIC

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure the version of 1.5.24 in the package matches the masters (#18968)

* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-add the libsasl.so symlink to the -devel package (oops)

* Fri Oct  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- move .so files for modules to their respective packages -- they're not -devel
  links meant for use by ld anyway

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off -devel subpackage
- add a -gssapi subpackage for the gssapi plugins

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the summary text

* Sun Aug 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable arcfour and CRAM

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- force use of gdbm for database files to avoid DB migration weirdness
- enable login mechanism
- disable gssapi until it can coexist peacefully with non-gssapi setups
- actually do a make in the build section (#15410)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.5.24

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (release 3)

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't muck with syslogd in post
- remove patch for db-3.0 wackiness, no longer needed

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS cleanup
- don't strip anything by default

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed man pages not being gzipped

* Tue Nov 16 1999 Tim Powers <timp@redhat.com>
- incorporated changes from Mads Kiilerich
- release number is 1, not mk1

* Wed Nov 10 1999 Mads Kiilerich <mads@kiilerich.com>
- updated to sasl 1.5.11
- configure --disable-krb4 --without-rc4 --disable-cram 
  because of missing libraries and pine having cram as default...
- handle changing libsasl.so versions

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
