# Basic Information
Name:		dconf
Version:	0.26.0
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.26/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi, Takemiakduchi

Summary:	dconf is a low-level configuration system.
Summary(ja):	dconfは、低レベル設定システムです。

# Dependency
Requires:	dbus

BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	dbus-devel
BuildRequires:	libxslt-devel
BuildRequires:	vala-devel
BuildRequires:	docbook-style-xsl

%description
dconf is a low-level configuration system. Its main purpose is to provide
a backend to GSettings on platforms that don't already have configuration
storage systems. 

%description -l ja
dconfは、低レベル設定システムです。その主要な目的は、まだ設定保存システムを
有していないプラットフォーム上にGSettingsのバックエンドを提供することです。

%package    devel
Summary:	Headers for developing programs that will use %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	libxml2-devel
Requires:	dbus-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%package      docs
Summary:      Documentation for %{name}
Summary(ja):  %{name} 用のドキュメント
Group:        Documentation
BuildArch:    noarch

%description  docs
This package contains documentation for %{name}.


%package      vala
Summary:      Vala bindings for %{name}
Summary(ja):  %{name} の Vala バインディング
Group:        Development/Libraries
Requires:     %{name} = %{version}-%{release}
Requires:     vala

%description  vala
Vala bindings for %{name}.


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
gio-querymodules %{_libdir}/gio/modules

%postun 
if [ $1 -eq 0 ] ; then
    gio-querymodules %{_libdir}/gio/modules
fi


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/dconf
%{_libdir}/gio/modules/libdconfsettings.so
%{_libdir}/libdconf*.so.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_mandir}/man1/dconf.1.gz
%{_mandir}/man1/dconf-service.1.gz
%{_mandir}/man7/dconf.7.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/dconf/
%{_libdir}/libdconf*.so
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/dconf/

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.26.0-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.0-1
- new upstream release
- remove dconf-editor subpackage
- create %%{name}-docs,vala subpackages

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.0-1
- new upstream release

* Wed Jun 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.20.0-3
- move some post/postun scripts to dconf-editor:
  - glib-compile-schemas, gtk-update-icon-cache, update-desktop-database

* Mon Jun 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.20.0-2
- split dconf-editor to subpackage.
- drop libgee dependency(R,BR)
- remove unneeded dependency(Requires)

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.0-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.0-1
- new upstream release
- add BuildRequires: vala

* Fri Nov 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.0-1
- new upstream release
- add BuildRequires: libxslt-devel, docbook-style-xsl

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release
- add BuildRequires: dbus-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 17 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5.1-1
- new package. 

