%{!?python3_sitelib: %global python3_sitelib %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define pkg_version 3.16.3
%define pkg_release 1%{?_dist_release}

Summary: Plugins for eog
Summary(ja): eog用のプラグイン
Name: eog-plugins
Version: %{pkg_version}
Release: %{pkg_release}
Source0: http://download.gnome.org/sources/%{name}/3.16/%{name}-%{version}.tar.xz
Source1: README.vine
License: GPLv2+
Group: Applications/Graphics
URL: http://live.gnome.org/EyeOfGnome/Plugins

BuildRequires: gtk3-devel
BuildRequires: eog-devel
BuildRequires: libexif-devel
BuildRequires: libchamplain-devel, libchamplain-gtk-devel
BuildRequires: libpeas-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: libgdata-devel
BuildRequires: python3-devel
BuildRequires: postr

Requires: eog
Requires(postun,posttrans): glib2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.

%description -l ja
Eye of GNOME イメージビューア用のプラグイン集


%prep
%setup -q
%{__cp} %{SOURCE1} .

%build
%configure --with-plugins=map,exif-display,fit-to-width,pythonconsole,slideshowshuffle,postr,postasa,send-by-mail
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove *.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/eog/plugins/*.la

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README README.vine
%{_libdir}/eog/plugins
%{_datadir}/appdata/eog-*.xml
%{_datadir}/eog/plugins/pythonconsole/config.ui
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml


%changelog
* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-2
- rebuild with python-3.4.2

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas-devel

* Tue Jun 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- remove Patch0

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- add BuildRequires: postr

* Sun Sep 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.2-2
- enable postr (upload picture to Flickr)
- enable postasa (upload picture to Picasa web)
- enable send-by-mail (Send picture to friends by evolution mail)
- add libgdata-devel to BR
- add README.vine

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release
- add BuildRequires: libpeas-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel
- update Patch0

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- change BuildRequires: eog-devel instead of eog

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with libchamplain-0.8

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- initial build for Vine Linux
- exclude postr plugin 

