Summary: Utility to ping multiple hosts at once
Name: fping
Version: 3.13
#Release: 0vl0.b2
Release: 1%{?_dist_release}
License: distributable
Group: Applications/Internet
URL: http://fping.org/

Source: http://fping.org/dist/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
fping is a ping-like program which uses the Internet Control Message
Protocol (ICMP) echo request to determine if a target host is responding.

fping is different from ping in that you can specify any number of hosts
on the command line, or specify a file containing the lists of hosts to
ping. Instead of trying one host until it timeouts or replies, fping will
send out a ping packet and move on to the next host in a round-robin fashion.

If a host replies, it is noted and removed from the list of hosts to check.
If a host does not respond within a certain time limit and/or retry limit it
will be considered unreachable.

%prep
%setup -q

%build
%configure \
	--enable-ipv4 \
	--enable-ipv6
%{__make} %{?_smp_mflags} 

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README
%doc %{_mandir}/man8/fping.8*
%doc %{_mandir}/man8/fping6.8*
%attr(4755, root, root) %{_sbindir}/fping
%attr(4755, root, root) %{_sbindir}/fping6

%changelog
* Sun Nov 22 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.13-1
- new upstream release

* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4-1
- new upstream release

* Mon Jun 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2-1
- update to 3.2
- remove old patches

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 2.4-1.b2vl5
- applied new versioning policy

* Tue Nov 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-0vl0.b2
- initial build for Vine Linux based on DAG package.

* Tue Feb 15 2005 Ken Tsukahara <ken.tsukahara@tmt-d.co.jp> 2.4-1.b2
- Flush stdout for each line.
- Fix stdout/stderr confusion in Patch1.

* Sun Jun 01 2003 Dag Wieers <dag@wieers.com> - 2.4-0.b2
- Adapted version to new scheme.

* Mon Feb 17 2003 Dag Wieers <dag@wieers.com> - 2.4b2-0
- Initial package. (using DAR)
