%define pkg_name    gauche
%define pkg_version 0.9.5
%define pkg_release 2%{?_dist_release}

Summary:     An R7RS Scheme implementation developed to be a handy script interpreter
Summary(ja): R7RS準拠のScheme処理系
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD-style
Group:   Development/Languages
URL:     http://practical-scheme.net/gauche/index-j.html
Source:  Gauche-%{version}.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: zlib-devel
BuildRequires: gdbm-devel
BuildRequires: texi2html

# BuildRequires: texinfo
# BuildRequires: texlive-common
# BuildRequires: texlive-collection-basic
# BuildRequires: texlive-collection-latexextra
# BuildRequires: texlive-collection-fontsextra

# %if %{?_dist_release} == "vl6"
# BuildRequires: texlive-collection-texinfo
# %endif
# %if %{?_dist_release} == "vl7"
# BuildRequires: texlive-collection-plainextra
# BuildRequires: texlive-collection-fontsrecommended
# # rpm -qa --qf "BuildRequires: %{name}\n" | grep -v -e "doc$" | \
# #   grep texlive-collection-lang
# BuildRequires: texlive-collection-langenglish
# BuildRequires: texlive-collection-langkorean
# BuildRequires: texlive-collection-langitalian
# BuildRequires: texlive-collection-langpolish
# BuildRequires: texlive-collection-langgerman
# BuildRequires: texlive-collection-langjapanese
# BuildRequires: texlive-collection-langgreek
# BuildRequires: texlive-collection-langcyrillic
# BuildRequires: texlive-collection-langeuropean
# BuildRequires: texlive-collection-langspanish
# BuildRequires: texlive-collection-langcjk
# BuildRequires: texlive-collection-langczechslovak
# BuildRequires: texlive-collection-langfrench
# BuildRequires: texlive-collection-langarabic
# BuildRequires: texlive-collection-langother
# BuildRequires: texlive-collection-langportuguese
# BuildRequires: texlive-collection-langindic
# BuildRequires: texlive-collection-langafrican
# BuildRequires: texlive-collection-langchinese
# %endif

Requires: gdbm

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Gauche is an R7RS Scheme implementation developed to be a handy
script interpreter, which allows programmers and system administrators
to write small to large scripts for their daily chores. Quick startup,
built-in system interface, native multilingual support are some of my goals.

%descriptionl -l ja
Gauche(ゴーシュ)は、スクリプトインタプリタとしての使い易さに重点を置いて
開発を行っているR7RS準拠のScheme処理系です。日常業務の中でのちょっとした
処理を行うスクリプトを気軽にSchemeで書きたいなあ、という願望のもとに、
起動が速いこと、システムへのアクセスが組み込まれていること、 最初から
多国語対応を考慮していること、リスト処理ライブラリとして他のC/C++プログラム
から簡単にリンク可能であること、などを目標としています。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n Gauche-%{version}

%build
%{configure} --enable-multibyte=utf-8
%{__perl} -pi -e "s|DESTDIR\ +\=|DESTDIR = ${RPM_BUILD_ROOT}|" src/Makefile

%{__make} %{?_smp_mflags}
# (cd doc; %{__make} pdf html)
(cd doc; %{__make} html)

%install
export LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir}:${LD_LIBRARY_PATH}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-doc DESTDIR=${RPM_BUILD_ROOT}

%check
export LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir}:${LD_LIBRARY_PATH}
%{__make} check

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
for doc in gauche-refe gauche-refj; do
    file=%{_infodir}/${doc}.info.gz
    if [ -e ${file} ]; then
        /sbin/install-info ${file} %{_infodir}/dir 2>/dev/null
    fi
done
%{_syssbindir}/ldconfig

%preun
if [ $1 = 0 ]; then
    for doc in gauche-refe gauche-refj; do
        file=%{_infodir}/${doc}.info.gz
        if [ -e ${file} ]; then
            /sbin/install-info --delete ${file} %{_infodir}/dir 2>/dev/null
        fi
    done
fi

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%doc doc/gauche-ref*.html
# %doc doc/gauche-ref*.pdf
%{_bindir}/
%{_libdir}/gauche-*
%{_libdir}/libgauche-*.so*
%{_datadir}/aclocal/
%{_datadir}/gauche-*
%{_infodir}/
%{_mandir}/man1/


%changelog
* Sun Nov 06 2016 Toshiaki Ara <ara_t@384.jp> 0.9.5-2
- change Group to Development/Languages

* Sat Oct 08 2016 Toshiaki Ara <ara_t@384.jp> 0.9.5-1
- update to 0.9.5
- drop PDF manual

* Sat May 14 2016 Toshiaki Ara <ara_t@384.jp> 0.9.4-2
- make pdf manuals
- add BuildRequires

* Fri May 13 2016 Toshiaki Ara <ara_t@384.jp> 0.9.4-1
- new package
