Summary:        A modular geoinformation service
Summary(ja):    モジュール型地理情報サービス

Name:           geoclue2
Version:        2.4.3
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/GeoClue/
Source0:        http://www.freedesktop.org/software/geoclue/releases/2.4/geoclue-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: geocode-glib-devel
BuildRequires: json-glib-devel
BuildRequires: libsoup-devel
BuildRequires: ModemManager-glib-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: avahi-glib-devel
BuildRequires: gtk-doc
BuildRequires: itstool

Vendor: Project Vine
Distribution: Vine Linux

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 

%package devel
Summary: Development package for geoclue
Summary(ja): geoclue の開発パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with geoclue.


%prep
%setup -q -n geoclue-%{version}

%build
gtkdocize
autoreconf -v --force --install
intltoolize -f
%configure \
	--disable-static \
	--disable-gtk-doc \
	--disable-geoip-server
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_sysconfdir}/geoclue/geoclue.conf
%{_libdir}/girepository-1.0/Geoclue-2.0.typelib
%{_libdir}/libgeoclue-2.so.*
%{_libexecdir}/geoclue
%{_libexecdir}/geoclue-2.0/demos/where-am-i
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgeoclue-2.0
%{_libdir}/libgeoclue-2.so
%{_libdir}/pkgconfig/geoclue-2.0.pc
%{_libdir}/pkgconfig/libgeoclue-2.0.pc
%{_datadir}/gir-1.0/Geoclue-2.0.gir


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.3-1
- new upstream release
- add BuildRequires: gobject-introspection-devel, avahi-glib-devel

* Mon Apr 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.10-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.7-1
- new upstream release
- add BuildRequires: ModemManager-glib-devel, NetworkManager-glib-devel

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.0-1
- initial build

