%define pkg_name    ghc
%define pkg_version 7.10.3
%define pkg_subversion b
%define pkg_release 3%{?_dist_release}

%ifarch %{ix86}
%define rpmarch i386
%endif
%ifarch x86_64
%define rpmarch x86_64
%endif


Summary: A state-of-the-art, open source, compiler and interactive environment for the functional language Haskell
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD-like
Group:   Applications/Languages
URL:     https://www.haskell.org/ghc

Source0: %{name}-%{version}%{pkg_subversion}-src.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc-bootstrap
BuildRequires: gmp-devel
BuildRequires: libffi-devel
BuildRequires: ncurses-devel readline-devel freeglut-devel
BuildRequires: gtk2-devel
BuildRequires: dblatex
BuildRequires: texlive-collection-bibtexextra
BuildRequires: texlive-collection-fontutils
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl
BuildRequires: hscolour

Requires: gmp-devel
Requires: libffi
Requires: freeglut

Obsoletes: ghc-bootstrap

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
The Glasgow Haskell Compiler (GHC) is a state-of-the-art, open source,
compiler and interactive environment for the functional language Haskell.
Highlights:
- GHC supports the entire Haskell 2010 language plus a wide variety of
  extensions.
- GHC has particularly good support for concurrency and parallelism,
   including support for Software Transactional Memory (STM).
- GHC generates fast code, particularly for concurrent programs.
- Take a look at GHC's performance on The Computer Language Benchmarks Game.
  GHC works on several platforms including Windows, Mac, Linux,
   most varieties of Unix, and several different processor architectures.
  There are detailed instructions for porting GHC to a new platform.
- GHC has extensive optimisation capabilities, including inter-module
  optimisation.
- GHC compiles Haskell code either directly to native code or using LLVM
  as a back-end.
  GHC can also generate C code as an intermediate target for porting to
  new platforms.
  The interactive environment compiles Haskell to bytecode,
   and supports execution of mixed bytecode/compiled programs.
- Profiling is supported, both by time/allocation and various kinds of heap
  profiling.
- GHC comes with several libraries, and thousands more are available on Hackage.
#'


%package bindist
Version:     %{version}
Summary:     ghc binary tarball to building haskell-platform
License:     BSD-like
Group:       Applications/Languages

%description bindist
ghc binary tarball to building haskell-platform


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
./configure \
    --prefix=%{_prefix} --libdir=%{_libdir} \
    --docdir=%{_docdir}/%{name}-%{version} \
    --with-system-libffi
%{__make} %{?_smp_mflags}
%{__make} binary-dist

%install
%{make_install}
%{__cp} ANNOUNCE LICENSE \
        ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_usrsrc}
%{__mv} ghc-%{version}-%{rpmarch}-unknown-linux.tar.bz2 \
        ghc-%{version}-%{rpmarch}-vine-linux.tar.bz2
%{__cp} ghc-%{version}-%{rpmarch}-vine-linux.tar.bz2 \
        ${RPM_BUILD_ROOT}%{_usrsrc}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig
%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{version}/
%{_docdir}/ghc-%{version}/
%{_mandir}/man1/

%files bindist
%defattr(-, root, root)
%{_usrsrc}/


%changelog
* Tue May 03 2016 Toshiaki Ara <ara_t@384.jp> 7.10.3-3
- add Requires: gmp-devel

* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 7.10.3-2
- correct SPEC file

* Wed Feb 17 2016 Toshiaki Ara <ara_t@384.jp> 7.10.3-1
- update to 7.10.3
- add BuildRequires: texlive-collection-fontutils
- add Requires: libffi
- add Requires: freeglut
- provide binary tarball for building haskell-platform

* Sun Feb 14 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-5
- rebuild with ghc-7.6.3-4

* Sun Feb 14 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-4
- add Patchs to use --with-system-libffi option

* Fri Feb 12 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-3
- empty

* Mon Feb 08 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-2
- add BuildRequires: dblatex
- add BuildRequires: texlive-collection-bibtexextra
- add BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl
- change BuildRequires from ghc-bootstrap to ghc

* Tue Feb 02 2016 Toshiaki Ara <ara_t@384.jp> 7.6.3-1
- new package
