%define verdir		v2.8
%define binver		2.8
%define subver		2.0

Summary: 	The GNU Image Manipulation Program
Summary(ja):    GNU 画像加工プログラム
Name: 		gimp
Version: 	2.8.18
Release:	1%{?_dist_release}
License: 	GPL, LGPL
Group: 		Applications/Graphics
URL: 		http://www.gimp.org/
Source: 	ftp://ftp.gimp.org/pub/gimp/%{verdir}/%{name}-%{version}.tar.bz2

Patch10:	gimp-2.0-desktopfile-no-gimp-remote.patch

Patch100:	gimp-2.8.0-gimprc-vine.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Obsoletes: 	gimp-data-min
Obsoletes:	gimp-libgimp

Requires:	xdg-utils

BuildRequires:  gtk2-devel >= 2.24.10
BuildRequires:	libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BUildRequires:  lcms-devel
BuildRequires:	librsvg2-devel
BuildRequires:  aalib-devel
BuildRequires:	alsa-lib-devel
BuildRequires:  libexif-devel
BuildRequires:	gegl-devel >= 0.2.0
BuildRequires:  poppler-devel >= 0.14.2
BuildRequires:  curl-devel
BuildRequires:  libwmf-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gvfs-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  python-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXmu-devel
BuildRequires:  pygtk2-devel
BuildRequires:  libxslt
BuildRequires:  gtk-doc

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute.  The GIMP FTP site
has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of
the fonts have unusual licensing requirements; all the licenses are
documented in the package.  Get
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz and
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

Install the GIMP if you need a powerful image manipulation
program. You may also want to install other GIMP packages:
gimp-libgimp if you're going to use any GIMP plug-ins and
gimp-data-extras, which includes various extra files for the GIMP.

#'
%description -l ja
GIMP (GNU 画像処理プログラム)は、ウェブページ用のロゴやその他の画像を
作る際に役立つ、強力な描画・編集プログラムです。GIMPには、同様の商用
ソフトにあなたが望むような数多くのツールやフィルタはもとより、いくつ
かの面白い追加機能も含まれています。GIMPは、チャンネル操作，レイヤー，
効果，サブピクセル処理，アンチエイリアシング，変換，複数回のアンドゥ
対応を含む多機能なツールボックスを提供します。

GIMPはスクリプト機能を備えていますが、組み込みスクリプトの多くは我々が
配布できないフォントに依存しています。GIMPのFTPサイトには、組み込まれ
たスクリプトを実行するのに必要な全てのフォントを含んだ、ご自分で
インストールできるフォントのパッケージがあります。いくつかのフォント
には見慣れないライセンス要件が設定されています。
(全てのライセンスについてはパッケージ中の文書に記載があります)
必要な人は
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz と
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz から
取得して下さい。別の手段として、スクリプトの実行前にあなたのシステムに
既にあるフォントを選んでおく方法があります。

もしあなたが強力な画像処理プログラムを必要としているならば、GIMP を
インストールして下さい。また、恐らくあなたはその他の GIMP 用パッケージ
もインストールしたいと思うでしょう。
(gimp-libgimp : GIMP プラグインを使用する場合に必要。
gimp-data-extras : GIMP用のさまざまな拡張ファイル。)

%package devel
Summary: GIMP plugin and extension development kit
Summary(ja): GIMP プラグイン・拡張機能開発キット
Group: 	  Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel >= 2.4.4, glib2-devel >= 2.4.5 

%description devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

Install gimp-devel if you're going to create plug-ins and/or
extensions for the GIMP.  You'll also need to install gimp-limpgimp
and gimp, and you may want to install gimp-data-extras.

%prep
%setup -q -n %{name}-%{version}
%patch100 -p1 -b .gimprc


%build
autoreconf -if
%configure \
	--without-print \
	--without-libmng \
	--without-webkit \
	--without-hal \
	--with-libexif \
	--with-gvfs \
	--enable-mp

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
DESTDIR=$RPM_BUILD_ROOT make install

mkdir -p %{buildroot}%{_datadir}/applications
cp ./desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor gnome             \
  --dir %{buildroot}%{_datadir}/applications    \
  --delete-original				\
  --remove-category RasterGraphics              \
  --add-category GNOME                          \
  --add-category Application                    \
  --add-category Graphics			\
  %{buildroot}%{_datadir}/applications/%{name}.desktop

ln -sf gimp-%{binver} $RPM_BUILD_ROOT/%{_bindir}/gimp
ln -sf gimp-remote-%{binver} $RPM_BUILD_ROOT/%{_bindir}/gimp-remote
ln -sf gimptool-%{subver} $RPM_BUILD_ROOT/%{_bindir}/gimptool

## removed unpacked files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{subver}/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{subver}/python/*.la
# conflict to gimp-print package
#rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{subver}/plug-ins/print

%post
/sbin/ldconfig
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%clean
rm -rf %{buildroot}

%files
%attr (-, root, man) %doc AUTHORS COPYING ChangeLog HACKING NEWS README
%attr (-, root, man) %doc README.i18n
#%attr (-, root, man) %doc docs/*.txt
%defattr (-, root, root)
%{_sysconfdir}/%{name}/%{subver}/controllerrc
%{_sysconfdir}/%{name}/%{subver}/gimprc
%{_sysconfdir}/%{name}/%{subver}/gtkrc
%{_sysconfdir}/%{name}/%{subver}/menurc
%{_sysconfdir}/%{name}/%{subver}/sessionrc
%{_sysconfdir}/%{name}/%{subver}/templaterc
%{_sysconfdir}/%{name}/%{subver}/unitrc
%{_bindir}/*
%dir %{_libdir}/%{name}/%{subver}/environ
%dir %{_libdir}/%{name}/%{subver}/modules
%dir %{_libdir}/%{name}/%{subver}/plug-ins
%{_libdir}/%{name}/%{subver}/interpreters/default.interp
%{_libdir}/%{name}/%{subver}/interpreters/pygimp.interp
%{_libdir}/%{name}/%{subver}/environ/*
%{_libdir}/%{name}/%{subver}/modules/*.so
%{_libdir}/%{name}/%{subver}/plug-ins/*
%{_libdir}/%{name}/%{subver}/python/*
%{_libdir}/lib*.so.*
%{_datadir}/appdata/gimp.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%dir %{_datadir}/%{name}/%{subver}/
%{_datadir}/%{name}/%{subver}/brushes
%{_datadir}/%{name}/%{subver}/dynamics
%{_datadir}/%{name}/%{subver}/fonts
%{_datadir}/%{name}/%{subver}/fractalexplorer
%{_datadir}/%{name}/%{subver}/gfig
%{_datadir}/%{name}/%{subver}/gflare
%{_datadir}/%{name}/%{subver}/gimpressionist
%{_datadir}/%{name}/%{subver}/gradients
%{_datadir}/%{name}/%{subver}/images/*.png
%{_datadir}/%{name}/%{subver}/menus
%{_datadir}/%{name}/%{subver}/palettes
%{_datadir}/%{name}/%{subver}/patterns
%{_datadir}/%{name}/%{subver}/scripts
%{_datadir}/%{name}/%{subver}/tags
%{_datadir}/%{name}/%{subver}/themes
%{_datadir}/%{name}/%{subver}/tips
%{_datadir}/%{name}/%{subver}/tool-presets
%{_datadir}/%{name}/%{subver}/ui
%{_datadir}/locale/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_includedir}/gimp-%{subver}/libgimp/*.h
%{_includedir}/gimp-%{subver}/libgimpbase/*.h

	%{_includedir}/gimp-%{subver}/libgimpcolor/*.h
%{_includedir}/gimp-%{subver}/libgimpconfig/*.h
%{_includedir}/gimp-%{subver}/libgimpmath/*.h
%{_includedir}/gimp-%{subver}/libgimpmodule/*.h
%{_includedir}/gimp-%{subver}/libgimpthumb/*.h
%{_includedir}/gimp-%{subver}/libgimpwidgets/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc/html/*


%changelog
* Sat Nov 05 2016 Toshiaki Ara <ara_t@384.jp> 2.8.18-1
- new upstream release

* Sun Nov 22 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.16-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.14-1
- new upstream release
- remove Patch0 (gimp-2.8.10-git20140709.patch)

* Sun Jul 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.10-4
- change Patch0 (gimp-2.8.10-git20140709.patch)

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.10-3
- rebuild with poppler-0.26.2

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.10-2
- rebuild with poppler-0.24.5
- add Patch0 (gimp-2.8.10-freetype-2.5.x.patch)

* Sun Dec 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.10-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.6-2
- rebuild with poppler-0.24.2

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.6-1
- new upstream release

* Sun Mar 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.4-1
- new upstream release

* Tue Aug 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.2-1
- new upstream release

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release
- update Patch100 (gimp-2.8.0-gimprc-vine.patch)

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.12-2
- rebuild with poppler-0.18.4

* Thu Feb 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.12-1
- new upstream release
- remove Patch0

* Sat Jan 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.11-6
- remove BuildRequires: hal-devel
- add configure option (--without-hal)
- update Patch0 (gimp-2.6-git20120103.patch)
- add BuildRequires: dbus-glib-devel, libxslt

* Wed Sep 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.11-5
- add Patch0 (gimp-2.6-git20110825.patch)
  (including security fix for CVE-2010-4540,4541,4542,4543 and CVE-2011-1782,2896)
- remove Patch21,22

* Wed Apr 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.11-4
- add Patch21 (05_CVE-2010-454x.patch) from debian
  (including security fix for CVE-2010-4540,4541,4542)
- add Patch22 (06_CVE-2010-4543.patch) from debian
  (including security fix for CVE-2010-4543)

* Fri Apr 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.11-3
- update Patch100 to use xdg-open instead of htmlview
- add R: xdg-utils, remove R: htmlview

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.11-2
- rebuilt with poppler-0.16.3

* Sat Oct 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.11-1
- new upstream release

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.10-3
- rebuild with poppler-0.14.2

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.10-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.10-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.8-2
- rebuild with gegl-0.1.2

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.8-1
- new upstream release
- add BuildRequires: python-devel, libXpm, libXmu, pygtk2-devel

* Mon Aug 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.7-1
- new upstream release

* Fri May 29 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.6.6-3
- rebuilt

* Sat Apr 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 	2.6.6-2
- add --without-webkit --with-gvfs
- add BR: poppler-devel, curl-devel, libwmf-devel, hal-devel,
          dbus-devel, gvfs-devel, alsa-lib-devel

* Fri Apr 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 	2.6.6-1
- new upstream release

* Sun Dec 14 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.6.3-2
- rebuild with poppler-0.10.2

* Sat Nov 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.3-1
- new upstream release

* Wed Oct 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-1
- new upstream release

* Thu Oct 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-1
- new upstream release

* Tue Oct 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.0-1
- new upstream release
- add BR: gegl-devel

* Mon Aug 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.7-1vl5
- updated gimp to 2.4.7
- set binver macro to 2.4
- updated gimp-2.2.17-gimprc-vine.patch to 2.4.7
- dropt gimp-2.0-desktopfile-no-gimp-remote.patch
- changed option in %%configure
	- dropt --disable-python
	- dropt --disable-perl
	- added --disable-print, instead of --without-print
- applied new versioning policy, spec in utf-8

* Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.17-0vl3
- updated Patch100
- rebuilt with librsvg2-2.18.2

* Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.17-0vl2
- added Patch100 for using internal browser <BTS:545>

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.17-0vl1
- new upstream release

* Thu Apr 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.14-0vl1
- new upstream release
- build with libexif, add BuildRequires: libexif-devel

* Fri Dec 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.13-0vl1
- new upstream release
- add Requires: %%{name} = %%{version}-%%{release} to -devel package
- add BuildRequires:
        libpng-devel, libtiff-devel, libjpeg-devel, lcms-devel,
        librsvg2-devel, aalib-devel, gtkhtml2-devel, alsa-lib-devel

* Thu Aug 31 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.12-0vl2
- rebuilt without libwmf-devel

* Sun Jul  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.12-0vl1
- new upstream release

* Sun Apr 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.11-0vl1
- new upstream release
- updated BuildRequires

* Thu Jan  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.10-0vl1
- new upstream release

* Mon Nov 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.9-0vl2
- remove libwmf dependency

* Thu Nov 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.9-0vl1
- new upstream release

* Mon Oct  3 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.8-0vl1
- new upstream release
- added Japanese translation catalogue from CVS

* Mon May 16 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.7-0vl3
- 2.2.7-0vl2's packager is not Suzuki-san but Inagaki-san. Fixed.
- release number conflict - increased release number
  - Wed May 11 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.7-0vl2
  - rebuilt to fix unwanted dependencies with lcms (ppc only)

* Sun May 15 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.7-0vl2
- added --without-libexif option to %configue
- added %{_includedir}/gimp-%{subver}/libgimpthumb/*.h to devel
- changed devel package Group to Development/Libraries

* Tue May 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.7-0vl1
- new upstream release

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6-0vl2
- rebuild without alsa-lib

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6-0vl1
- new upstream release
- fixed broken symlinks to gimptool

* Sun Mar 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl2
- remove alsa-lib dependency

* Sat Mar 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- new upstream release

* Tue Jan 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Wed Dec 22 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Nov 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.6-0vl2
- rebuild with new environment

* Wed Nov 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.6-0vl1
- new upstream release

* Mon Sep 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.5-0vl1
- new upstream release

* Sun Aug 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl1
- new upstream release

* Mon Jul 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl1
- new upstream release

* Thu Jun 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl2
- added BuildRequires: libart_lgpl-devel

* Thu Jun 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl1
- new upstream release

* Fri Apr 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-0vl1
- new upstream release

* Wed Mar 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl2
- remove obsolete po/ja.po and po-libgimp/ja.po
- update po-script-fu/ja.po

* Wed Mar 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl1
- new upstream release

* Mon Mar  8 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.pre4
- new upstream release
- modify desktop file to exec "gimp" instead of "gimp-remote-version"
- do not build/install static libs

* Tue Feb 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.pre3
- new upstream release

* Tue Jan 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.pre2
- new upstream release

* Sun Sep 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.20-0vl1
- new upstream release

* Sun Sep 14 2003 KAZUKI SHIMURA <rito@pos.to> 1.3.19-0vl4
- rebuild with --without-libmng

* Tue Sep 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.19-0vl3
- update ja.po

* Sat Sep 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.19-0vl2
- add missing files..

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.19-0vl1
- new upstream release

* Sun Aug 03 2003 Satoshi MACHINO <machino@vinelinux.org> 1.3.14-0vl5
- rebuilt without libmng-devel

* Sat Jun 21 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.3.14-0vl4
- rebuilt

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.14-0vl3
- rebuilt

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.14-0vl2
- rebuilt

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.14-0vl1
- new upstream release

* Fri Apr 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.13-0vl1
- new upstream release

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.11-0vl2
- fixed Requires for -devel package.

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.11-0vl1
- new upstream release
- this is experimental package for gnome2

* Mon Mar 04 2002 Toru Sagami <sagami@vinelinux.org> 1.2.3-0vl2
- include missing -1.2 man pages

* Sat Feb 16 2002 Jun Nishii <jun@vinelinux.org> 1.2.3-0vl1
- ver.up

* Thu Jan 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl5
- rebuild on XFree86-3.3.6

* Thu Jan 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl5
- FIX: Requires: %%{name} = %%{version} for devel subpackage

* Fri Dec 21 2001 Toru Sagami <sagami@vinelinux.org> 1.2.2-0vl4
- quit replacing gimp-std-plugins.ja.po on our glibc22 system
- Requires: %%{name}-%%{version} for devel subpackage
- freshen gimp-help-ja as of 1120

* Tue Sep 04 2001 Toru Sagami <sagami@vinelinux.org>
- 1.2.2-0vl3: freshen gimp-help-ja as of 0903
- enable pre script and make it work for upgrading to symlink from directory
- let pre/triggres scripts exit 0

* Fri Aug 31 2001 <shom@vinelinux.org> 1.2.2-0vl2
- add all BuildPrereq
- change help-ja location (dir:help/{C,ja}
symlink:help/{en,en_US,ja,ja_JP,ja_JP.eucJP})
- add helpbrowser setlocale patch (Patch0)
- add %pre (for invalid symlinks, dirs in 1.2.2-0vl1 and help-ja)

* Thu Aug 16 2001 <sagami@vinelinux.org>
- 1.2.2-0vl1
- FIXME: revive gimp-std-plugins.ja.po to prevent NLS error.
- tweaked spec around installing help-ja (install files into "en", not "c")
- %%triggerpostun to cope with obsoleted gimp-help-ja uninstallation

* Thu Aug 16 2001 Masaki Shinomiya <shino@pos.to>
- Include Japanese help 0729
- Requires: gtk+ version >= 1.2.8

* Fri Aug 03 2001 <sagami@vinelinux.org>
- 1.2.2-0vl0: updated to release 1.2.2
- move gimptool.1 to devel subpackage and eliminate ABOUT-NLS from %%doc

* Fri May 25 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.2.1-0vl3
- rebuilt with glib/gtk = 1.2.10

* Mon Feb 05 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- fixed files section so as not to own mandir itself

* Tue Jan 23 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.2.1-0vl1

* Sat Jan 13 2001 Jun Nishii <jun@vinelinux.org>
- 1.2.0-0vl2
- fix Group of gimp-lib
- remove screenshot.patch because the bug seems to be fixed.
- optimize by -O2

* Fri Dec 29 2000 Yoichi Imai <yoichi@silver-forest.com>
- 1.2.0-0vl1
- removed strip
- removed fontset patch, gimp-std-plugins.ja.po
- used %{_.*?dir}
- added some path of files

* Tue Oct 17 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.27-0vl2
- added gimp-1.1.23-screenshot.patch

* Sun Oct  8 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.27-0vl1
- guash 2.3.0

* Tue Sep 12 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.25-0vl1
- obsoletes /etc/X11/wmconfig

* Mon Jun 26 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.24
- added gimp-std-plugins.ja.po to prevent NLS error for the temporary.

* Thu Jun  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.23

* Mon Apr 24 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.20
- added /usr/bin/gimptool to devel.

* Tue Apr  4 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.19

* Sat Mar 25 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added GIMP.desktop file

* Mon Mar 6 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.18

* Mon Feb 14 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.17

* Fri Feb 11 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.16
- remove unnecessary patches and sources (hack_jp,  Success, GrayScale, ja.po)
- added guash plug-ins

* Sat Jan 22 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.15-0vl2
- rebuild to avoid esxtra dependency for Vine Linux 2.0

* Wed Jan 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- gimp-1.1.15
- modified Success patch and hack_jp patch for 1.1.15

* Tue Dec 21 1999 Jun Nishii <jun@vinelinux.org>
- gimp-1.1.14

* Sun Nov 28 1999 Jun NISHII <jun@vinelinux.org>
- plugins.patch

* Sat Nov 27 1999 Jun NISHII <jun@vinelinux.org>
- gimp-1.1.13
- merge patch from ftp://ftp.tba.org.tohoku.ac.jp/pub/gimp/

* Thu Nov 25 1999 Jun NISHII <jun@vinelinux.org>
- merge many jp patches

* Mon Oct 25 1999 Jun Nishii <jun@vinelinux.org>
- added defattr for vine-devel

* Sat Oct 23 1999 Jun Nishii <jun@vinelinux.org>
- merge fontset patch from gimp-ML

* Sun Oct 17 1999 Jun Nishii <jun@vinelinux.org>
- 1.1.10
- separate gimp and gimpe-libgimp again

* Fri Aug 6 1999 Jun Nishii <jun@vinelinux.org>
- 1.1.7
- build without threads and mp suppored to get stability

* Fri Jul 30 1999 Jun Nishii <jun@vinelinux.org>
- build with threads and mp suppored
- merge gimp and gimp-libgimp

* Thu Jun 10 1999 Toru Hoshina <hoshina@best.com>
- Added spline patch, because I love SOTA chrome logo :-)

* Wed Mar 10 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- First release
