%{!?python3_sitearch: %define python3_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Summary:	Git repository viewer for GTK+/GNOME
Summary(ja):	Git リポジトリビューアー
Name:		gitg
Version:	3.20.1
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/Development
URL:		https://wiki.gnome.org/Apps/Gitg/

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRequires:  gtk3-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libgit2-glib-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  webkitgtk4-devel
BuildRequires:  libgee-devel
BuildRequires:  json-glib-devel
BuildRequires:  libsecret-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  gtkspell3-devel
BuildRequires:  libpeas-devel
BuildRequires:  pygobject3-devel
BuildRequires:  python3-pygobject
BuildRequires:  vala-tools

Requires(postun,posttrans): glib2
Requires(postun,posttrans): desktop-file-utils
Requires(postun,posttrans): gtk2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Gitg is the GNOME GUI client to view git repositories. 

%description -l ja
Gitg は git リポジトリを閲覧するための GNOME GUI クライアントです。


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the %{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-glade-catalog

make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> > /dev/null || :
    update-desktop-database -q > /dev/null || :
	glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README NEWS
%{_bindir}/%{name}
%{_libdir}/libgitg-1.0.so.*
%{_libdir}/libgitg-ext-1.0.so.*
%{_libdir}/girepository-1.0/Gitg-1.0.typelib
%{_libdir}/girepository-1.0/GitgExt-1.0.typelib
%{_libdir}/%{name}
%{python3_sitearch}/gi/overrides/GitgExt.py
%{python3_sitearch}/gi/overrides/__pycache__/GitgExt*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/%{name}/icons/hicolor/scalable/actions/diff-symbolic.svg
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgitg-1.0/
%{_includedir}/libgitg-ext-1.0/
%{_libdir}/libgitg-1.0.so
%{_libdir}/libgitg-ext-1.0.so
%{_libdir}/pkgconfig/libgitg-1.0.pc
%{_libdir}/pkgconfig/libgitg-ext-1.0.pc
%{_datadir}/gir-1.0/Gitg-1.0.gir
%{_datadir}/gir-1.0/GitgExt-1.0.gir

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/libgitg-1.0.vapi
%{_datadir}/vala/vapi/libgitg-ext-1.0.vapi

%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun May 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Apr 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- initial build

