%define pkg_version 1.44.0
%define pkg_release 2%{?_dist_release}

Summary:     Javascript binding for GNOME
Summary(ja): GNOME 向け JavaScript バインディング
Name:        gjs
Version:     %{pkg_version}
Release:     %{pkg_release}
Source0:     http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.44/%{name}-%{version}.tar.xz

License:     MPL1.1/LGPLv2+/GPLv2+
Group:       System Environment/Libraries
URL:         http://live.gnome.org/GnomeShell

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig >= 0.14.0
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: gobject-introspection-devel >= 1.29.16
BuildRequires: cairo-devel
BuildRequires: mozjs24-devel
BuildRequires: yelp-tools
BuildRequires: desktop-file-utils
BuildRequires: autoconf >= 2.69
BuildRequires: automake
BuildRequires: gnome-common

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience. It provides core interface functions like switching to windows and launching applications. GNOME Shell takes advantage of the capabilities of modern graphics hardware and introduces innovative user interface concepts to provide a delightful and easy to use experience. 


%package devel
Summary:     Development files of the gjs library.
Summary(ja): gjs ライブラリの開発用ファイル
Group:       Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Development files of the gjs library.


%prep
%setup -q


%build
rm -f configure
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static)
%{__make} V=1 %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/gjs*
%{_libdir}/lib*.so.*
%{_libdir}/gjs/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gjs-1.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.44.0-2
- rebuild with gcc-5.4.0

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.44.0-1
- new upstream release

* Mon Mar 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.43.3-1
- new upstream release

* Thu Jan  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.42.0-2
- moved to System Environment/Libraries Group
- added Japanese summary
- changed BR: automake instead of automake112

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.42.0-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.1-2
- rebuild with libffi-3.0.13

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.40.0-1
- new upstream release
- change BuildRequires: mozjs24-devel instead of mozjs17-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.38.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.38.1-1
- new upstream release
- change BuildRequires: mozjs17-devel instead of js-devel
- add BuildRequires: autoconf, automake112

* Wed Apr 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.36.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.34.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.32.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.18-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.17-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.15-1
- new upstream release
- change BuildRequires: js-devel instead of xulrunner-devel

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.13-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.7-1
- new upstream release

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release
- remove BuildRequires: mutter-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release
- fix typo

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- initial build for Vine Linux

