Name:           glib-networking
Version:        2.48.2
Release:        1%{?_dist_release}
Summary:        Networking support for GLib

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org
Source:         http://download.gnome.org/sources/%{name}/2.48/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  libproxy-devel
BuildRequires:  gnutls-devel
BuildRequires:  intltool
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  ca-certificates

Requires:  ca-certificates

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This package contains modules that extend the networking support in GIO.
In particular, it contains a libproxy-based GProxyResolver implementation
and a gnutls-based GTlsConnection implementation.

%prep
%setup -q


%build
%configure \
	--with-libproxy \

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

rm -rf $RPM_BUILD_ROOT/files
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/systemd

%find_lang %{name}

%post
gio-querymodules %{_libdir}/gio/modules

%postun
gio-querymodules %{_libdir}/gio/modules

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.48.2-1
- new upstream release

* Wed Dec 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.1-2
- rebuild with gnutls-3.4.7

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.46.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.44.0-1
- new upstream release

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.42.1-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.42.0-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.40.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.40.0-1
- new upstream release

* Tue Feb 25 2014 NAKAMURA Kenta <kenta@vinelinux.org> 2.38.2-2
- rebuilt with gnutls-3.2

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.38.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.38.1-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.36.2-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.36.1-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.2-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.0-1
- new upstream release
- change BuildRequires: ca-certificates instead of openssl

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.3-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sat Jan 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.18-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.15-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.9-1
- initial build for Vine Linux

