# Basic Information
Name:		gnome-documents
Version:	3.20.0
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/Documentation
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz
# Start testing
#Source1:	http://l10n.gnome.org/POT/gnome-documents.master/gnome-documents.master.ja.po
# End testing
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi, Takemikaduchi

Summary:	A document manager application for GNOME
Summary(ja):	GNOME 向けのドキュメント管理アプリケーション

# Dependency
BuildRequires:	clutter-gtk-devel
BuildRequires:	evince-devel
BuildRequires:	gnome-desktop3-devel
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	libgdata-devel
BuildRequires:	liboauth-devel
BuildRequires:	tracker-devel
BuildRequires:	libzapojit-devel
BuildRequires:	gjs-devel
BuildRequires:	webkitgtk4-devel
BuildRequires:	yelp-tools
BuildRequires:	librsvg2


%description
Documents is a document manager application for GNOME.
More information on https://live.gnome.org/Design/Apps/Documents

%description -l ja
ドキュメントは GNOME 向けのドキュメント管理アプリケーションです。
詳細は、 https://live.gnome.org/Design/Apps/Documents を参照してください。

%package devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files for %{name}

%description -l ja devel
%{name} の開発用ファイル

%prep
%setup -q

# Start testing
#%%{__cp} %{SOURCE1} po/ja.po
echo "ja" >> po/LINGUAS
# End testing

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
export GSETTINGS_DISABLE_SCHEMAS_COMPILE=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset GSETTINGS_DISABLE_SCHEMAS_COMPILE

%find_lang %{name} --with-gnome

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/gnome-books
%{_bindir}/gnome-documents
%{_libdir}/%{name}/girepository-1.0/Gd-1.0.typelib
%{_libdir}/%{name}/girepository-1.0/GdPrivate-1.0.typelib
%{_libdir}/%{name}/libgdprivate-1.0.so
%{_libdir}/%{name}/libgd.so
%{_datadir}/appdata/org.gnome.Books.appdata.xml
%{_datadir}/appdata/org.gnome.Documents.appdata.xml
%{_datadir}/applications/org.gnome.Books.desktop
%{_datadir}/applications/org.gnome.Documents.desktop
%{_datadir}/dbus-1/services/org.gnome.Books.service
%{_datadir}/dbus-1/services/org.gnome.Documents.service
%{_datadir}/glib-2.0/schemas/org.gnome.books.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_datadir}/gnome-documents
%{_datadir}/gnome-shell/search-providers/org.gnome.Documents.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/gnome-books.1.gz
%{_mandir}/man1/gnome-documents.1.gz

%files devel
%defattr(-,root,root)
%{_datadir}/%{name}/gir-1.0/Gd-1.0.gir

%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.4-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release
- add BuildRequires: librsvg2

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release
- change BuildRequires: webkitgtk4-devel instead of WebKit3-gtk-devel

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Fri Sep 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- add BuildRequires: yelp-tools, WebKit3-gtk-devel

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: libzapojit-devel

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.2-1
- new upstream release
- add BuildRequires: gjs-devel

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.1-1
- new upstream release

* Wed Oct 05 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2.0-1
- new upstream release
- remove SOURCE1

* Mon Sep 26 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.92-2
- update translation from master.

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.92-1
- initial build for Vine Linux
