Summary:	GNOME Flashback session and helper application
Summary(ja):	GNOMEフラッシュバックセッション及びヘルパーアプリケーション
Name:		gnome-flashback
Version:	3.20.1
Release:	1%{?_dist_release}
License:	GPLv3
Group:		User Interface/Desktops
URL:		https://wiki.gnome.org/Projects/GnomeFlashback

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk3-devel
BuildRequires: gnome-desktop3-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: polkit-devel
BuildRequires: upower-devel
BuildRequires: ibus-devel
BuildRequires: gnome-bluetooth-devel
BuildRequires: libxkbfile-devel
BuildRequires: xkeyboard-config
BuildRequires: pulseaudio-libs-devel

Requires(posttrans,postun): desktop-file-utils
Requires(posttrans,postun): glib2

Requires: metacity
Requires: gnome-panel
Requires: gnome-applets
Requires: gnome-screensaver
Requires: gnome-session

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Gnome Flashback is a session for Gnome 3 which was initially called
"Gnome Fallback", and shipped as a stand-alone session. It provides
a similar user experience to the Gnome 2.x series sessions.
The differences to the Mate project is that Gnome Flashback uses Gtk+3
 and tries to follow the current Gnome development by integrating
recent changes of the Gnome libraries. 


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 -eq 0 ]; then
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_sysconfdir}/xdg/autostart/gnome-flashback-nm-applet.desktop
%{_sysconfdir}/xdg/autostart/gnome-flashback-screensaver.desktop
%{_sysconfdir}/xdg/menus/gnome-flashback-applications.menu
%{_bindir}/%{name}
%{_libexecdir}/gnome-flashback-compiz
%{_libexecdir}/gnome-flashback-metacity
%{_datadir}/applications/gnome-flashback-init.desktop
%{_datadir}/applications/gnome-flashback.desktop
%{_datadir}/desktop-directories/X-GNOME-Flashback-Settings-System.directory
%{_datadir}/desktop-directories/X-GNOME-Flashback-Settings.directory
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-flashback.gschema.xml
%{_datadir}/gnome-session/sessions/gnome-flashback-compiz.session
%{_datadir}/gnome-session/sessions/gnome-flashback-metacity.session
%{_datadir}/xsessions/gnome-flashback-compiz.desktop
%{_datadir}/xsessions/gnome-flashback-metacity.desktop


%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.1-1
- new upstream release

