%define use_eds 1

%define gettext_package gnome-panel-2.0

%define gnome_desktop3_version 2.91.0
%define glib2_version 2.25.2
%define gtk3_version 3.15.2
%define libgnome_version 2.32.0
%define orbit_version 2.14.19
%define libwnck3_version 3.4.6
%define gconf_version 2.32.0
%define gnome_menus_version 3.7.90
%define evolution_data_server_version 3.5.3
%define cairo_version 1.0.0
%define dbus_version 1.4.0
%define dbus_glib_version 0.88
%define libgweather_version 3.17.1
%define libcanberra_version 0.25
%define gobject_introspection_version 0.9.8

Summary: GNOME panel
Summary(ja): GNOME パネル
Name: gnome-panel
Version: 3.20.0
Release: 1%{_dist_release}
URL: http://www.gnome.org/
License: GPL 
Group: User Interface/Desktops

Source0: http://ftp.gnome.org/pub/gnome/sources/gnome-panel/3.20/%{name}-%{version}.tar.xz
# Remove this line and next line when upstream adopt Source1
Source2: vine6-panel-default-setup.entries
Source5: vine-panel-backwards-compat-config.schemas
Source10: add-translations.sh
Source12: gnome-compiler-flags.m4
Source13: panel-default-layout.layout.vine

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: %{name}-libs = %{version}-%{release}
Requires: gnome-desktop3 >= %{gnome_desktop3_version}
Requires: libwnck3 >= %{libwnck3_version}
Requires: gnome-menus >= %{gnome_menus_version}
Requires: vine-menus >= 1.1
Requires(post,postun): gtk3

%if %{use_eds}
Requires: evolution-data-server >= %{evolution_data_server_version}
%endif
Requires: libSM

BuildRequires: libxml2-python
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: libxslt
BuildRequires: gnome-desktop3-devel >= %{gnome_desktop3_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libwnck3-devel >= %{libwnck3_version}
BuildRequires: gnome-menus-devel >= %{gnome_menus_version}
BuildRequires: cairo-devel >= %{cairo_version}
BuildRequires: yelp-tools
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk-doc
BuildRequires: pango-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
%if %{use_eds}
BuildRequires: evolution-data-server-devel >= %{evolution_data_server_version}
BuildRequires: ORBit2-devel >= %{orbit_version}
BuildRequires: dbus-devel >= %{dbus_version}
%endif
BuildRequires: libgweather-devel >= %{libgweather_version}
BuildRequires: libcanberra-devel >= %{libcanberra_versino}
BuildRequires: librsvg2-devel
BuildRequires: NetworkManager-devel
BuildRequires: libSM-devel
BuildRequires: gobject-introspection-devel >= %{gobject_introspection_version}
BuildRequires: dconf-devel
BuildRequires: polkit-devel
BuildRequires: telepathy-glib-devel
BuildRequires: desktop-file-utils

Obsoletes: gnome-netstatus < 2.29

%description

The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%description -l ja

GNOME パネルは、ウィンドウ一覧・ワークスペース切り換え器・メニューその他の
特徴を GNOME デスクトップに提供します。

%package libs
Summary: Libraries for use in panel applets of GNOME
Summary(ja): GNOME のパネルアップレットで使用するライブラリ
Group: System Environment/Libraries

%description libs
Libraries for use in panel applets of GNOME.

%description libs -l ja
GNOME のパネルアップレットで使用するライブラリ

%package devel
Summary: Development environment for panel applets of GNOME
Summary(ja): GNOME のパネルアップレット用開発環境
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel >= %{glib2_version}
Requires: gtk3-devel >= %{gtk3_version}

%description devel
Header files and libraries for building a panel applets of GNOME.

%description devel -l ja
GNOME のパネルアップレットをビルドするためのヘッダファイル及びライブラリ集


%prep
%setup -q

cp -f %{SOURCE2} gnome-panel/panel-default-setup.entries
cp -f %{SOURCE12} m4
cp -f %{SOURCE5} gnome-panel/panel-compatibility.schemas
cp -f %{SOURCE13} data/panel-default-layout.layout

. %{SOURCE10}

for a in ca cs de el es fr gu hu it lt nb pl pt pt_BR ru sk sr sv th vi zh_TW;
do 
    sed -i "s|^$a$||" po/LINGUAS
    rm -f po/$a.po
done

%build
%configure \
           --disable-gtk-doc \
           --enable-introspection=yes \
%if %{use_eds}
           --enable-eds=yes
%else
           --enable-eds=no
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#
# Create pager and tasklist schemas for compatibility with older
# configurations which reference the old schema names
#
#sed -e 's|/schemas/apps/window_list_applet/prefs/|/schemas/apps/tasklist_applet/prefs/|' $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/window-list.schemas > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/tasklist.schemas
#sed -e 's|/schemas/apps/workspace_switcher_applet/prefs/|/schemas/apps/pager_applet/prefs/|; s|<default>1</default>|<default>2</default>|' $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/pager.schemas


find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{gettext_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi
update-desktop-database -q &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
  
%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB COPYING-DOCS NEWS README
%{_bindir}/*
%exclude %{_bindir}/panel-test-applets
%{_libdir}/%{name}/5.0/libclock-applet.so
%{_libdir}/%{name}/5.0/libfish-applet.so
%{_libdir}/%{name}/5.0/libnotification-area-applet.so
%{_libdir}/%{name}/5.0/libwnck-applet.so
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-panel
%{_mandir}/man*/*

%files libs
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_bindir}/panel-test-applets
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnome-panel*
%{_libdir}/*.so
%{_datadir}/gtk-doc
%{_datadir}/gir-1.0/*.gir


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.0-1
- new upstream release

* Fri Nov 06 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release
- add Source13 (panel-default-layout.layout.vine)

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- remove Patch0 (gnome-panel-3.5.91-configure.patch)
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2.1-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- add BuildRequires: polkit-devel

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- remove BuildRequires: polkit-gnome-devel

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-2
- rebuild with evolution-data-server-3.1.90

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Sat Aug 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- new upstream release
- drop old Patches
- change BuildRequires: gnome-desktop3-devel instead of gnome-desktop-devel
- change BuildRequires: libwnck3-devel instead of libwnck-devel
- add BuildRequires: dconf-devel, telepathy-glib-devel
- add Obsoletes: gnome-netstatus 
- add Patch0 (gnome-panel-3.0.2-configure.patch)

* Thu Jun 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-4
- update SOURCE2(vine6-panel-default-setup.entries)
  - remove bottom panel
  - move window_list and workspace_switcher applet to top panel

* Sat Dec 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-3
- update Source1 (clock.gnome-2.32.ja.po)

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-2
- remove Provides: gnome-panel-devel

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0.2-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- remove BuildRequires: libgnomeui-devel
- remove SOURCE3 and SOURCE4
- drop Patch11
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Aug 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- create -libs and -devel package

* Tue Jun 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Tue Jun 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with evolution-data-server-2.30.2

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- update Patch8, Patch9 (from FC package)
- add BuildRequires: libcanberra-devel

* Sat Mar 27 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-4
- update translation of clock applet manual
- add translation of fish applet manual

* Fri Mar 26 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-3
- add libSM(-devel) to (Build)Requires
- add desktop-file-utils to BuildRequires

* Thu Mar 25 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-2
- update translation of clock applet manual

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- updated Patch0 and 2

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-3
- rebuild with gtk2-2.16.3

* Thu Jun 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-2
- add empty gconf entries to vine-panel-default-setup.entries

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-4
- update vine-panel-default-setup.entries again..

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- update vine-panel-default-setup.entries

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- remove mixer applets from default panel setup

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release
- added BuildRequires: PolicyKit-gnome-devel

* Tue Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Tue Jun  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sat Apr 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.3-1
- new upstream release

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.2-1vl5
- new upstream release
- removed Patch25,26,27,29 and 30 (merged into upstream)

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-2vl5
- added Patches from FC
  * Fri Mar 28 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-8
  - Fix editing of locations in the clock applet
  * Fri Mar 28 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-7
  - Convert the edit and find location windows to dialogs
  * Thu Mar 27 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-6
  - Improve the time settings window
  * Thu Mar 27 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-5
  - Make the find-location window of the clock larger
  * Sat Mar 15 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-4
  - Only save the session when the users wants it
  * Fri Mar 14 2008 Matthias Clasen  <mclasen@redhat.com> - 2.22.0-3
  - Populate the location list before showing the preference window
  * Sat Mar  8 2008 Will Woods <wwoods@redhat.com> - 2.21.92-6
  - Add "About This Computer" item to System menu if it exists
  * Wed Feb 20 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.91-6
  - Try harder to avoid resizing the popup 
- updated BuildRequires

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- added BuildRequires: libgweather-devel

* Tue Jan  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release
- updated %post and %postun section
- added %pre and %preun section
- added Patches from Fedora
  * Fri Oct 12 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0.1-4
  - Sharper icons
  * Wed Oct  3 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0.1-3
  - Make it possible to start s-c-d from the clock menu again (#316921)
  * Fri Sep 21 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0.1-2
  - Don't pop up an error if an applet from the default
    configuration is missing  
  * Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.92-6
  - Turns out we need requires for applets in the default config (#293261)
  * Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.92-5
  - Drop the requires for fast-user-switch-applet (#253831)

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.3-0vl1
- new upstream release
- dropped Patch22 (merged into upstream)

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Mon Oct 30 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.14.3-0vl2
- add missing BuildRequires to gnome-menus-devel (<BTS:319>)

* Thu Oct 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release
- fix panel-default-setup.entries to change the name of
  firefox desktopfile (<BTS:229>)

* Thu Jul 20 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.14.2-0vl2
- add patch 11 to fix disappearing of recent documents list.
  <BTS:VineLinux:81>, http://bugzilla.gnome.org/show_bug.cgi?id=343812

* Sat Jun  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Sat Apr 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- run gtk-update-icon-cache in %%post script.

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.91-0vl2
- update vine-panel-default-setup.entries
  - replace mozilla by firefox
  - remove nautilus
  - add notification area applet on top panel
  - add trashbox applet on bottom panel
- cleanup %%post script

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.91-0vl1
- new upstream release

* Sun Feb 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release
- added Prereq: scroolkeeper, GConf2

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Aug 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.91-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Thu Jul 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.2-0vl1
- new upstream release

* Sat Apr 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl2
- disable evolution-data-server

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Thu Mar 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- add Patch10 to fix hard-coded desktop file name.

* Thu Mar 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Fri Feb 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upstream release
- run scrollkeeper at %post, %postun

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Fri Oct 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl3
- add Patch10 to fix egg-recent-model.c.
  save old umask value before create ".recently-used" file.
  
* Sun Oct 24 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 2.4.2-0vl2
- fix location of nautilus launcher in panel-default-setup.entries.
- do not add wireless monitor in %%post when no interfaces are available.
- add Japanese summary and description
- add BuildRequires: startup-notification-devel, gcc-c++.
- disable libtoolize: version mismatch is bad

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Sat Dec 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Sat Dec 27 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.0-0vl3
- rebuilt against new toolchain

* Fri Sep 12 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.0-0vl2
- add --disable-schemas-install option to %%configure

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Mon Sep 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.91-0vl2
- add missing files
- add vine default panel entries

* Sat Sep 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.91-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.7-0vl1
- new upstream release

* Wed Jun 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2.1-0vl2
- remove vine's panel-per-panel-config.schemas
  This should be added again in a future version.

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2.1-0vl1
- new upstream release

* Tue Apr 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release
- remove old ja.po

* Sat Feb 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- remove clockaddon, system-tray-applet

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90.1-0vl2
- add patch1 from rawhide package.

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90.1-0vl1
- new upstream release

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- add system-tray-applet
- modify default panel menu.
- update ja.po

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add Requires: vine-menus

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- remove redhatize patch.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Mon Oct 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix postun script

* Tue Oct  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.9 with menu edit stuff
- system-tray-applet 0.15 that doesn't crash all the time
- merge/remove patches as appropriate

* Wed Aug 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with "hold down print screen" (71432)

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- panel-properties OnlyShowIn=GNOME;
- somehow the po file got screwed up.  Works now
- update po files

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- fix from #71762 for clock applet popdown key
- no WIN_POS_MOUSE fixes #72167
- fix for #72540 from George

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- system tray applet 0.11 with a small memleak fix and a couple translations

* Thu Aug 15 2002 Jonathan Blandford <jrb@redhat.com>
- menu tweaks

* Wed Aug 14 2002 Tim Powers <timp@redhat.com>
- bump release

* Wed Aug 14 2002 Preston Brown <pbrown@redhat.com>
- put battery applet on panel for laptops (#67296)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final from gnome 2.0.1
- remove gnome-panel-screenshot patch now upstream

* Thu Aug  8 2002 Jonathan Blandford <jrb@redhat.com>
- new system-tray-applet version
- Fix gnome-panel-screenshot

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.4
- replace gnome-logo-icon-transparent.png with redhat-main-menu.png
  for the foot menu

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- fix desktop (logout/lock) menu item location
  in Alt+F1 and in new menu applets
- remove Screenshot... menu item

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- move around default applets, remove some of them
- system tray 0.9
- change default menu flags
- blow unpackaged files out of build root

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- own libexecdir stuff

* Thu Jul 25 2002 Havoc Pennington <hp@redhat.com>
- new system tray that's prettier and doesn't clip the icon

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.7 that doesn't crash on startup
- get Mozilla desktop file right so we get web browser launcher

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.6 with server file fixed (work dammit)

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- tweak applet positions but I think it's just broken
- system tray 0.5 moved back to libdir not libexecdir

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove ltmain.sh hack
- new system-tray-applet that works

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- put office suite stuff on the panel

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2.90 cvs snap

* Wed Jul 10 2002 Havoc Pennington <hp@redhat.com>
- update the clock patch to be a little smarter in a couple ways

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem where system tray applet was being looked for in /unst
- Fix a crash in the system tray applet

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix typo in the pt_BR translation that was causing GConf problems

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- add the system tray applet
- add system tray applet by default
- add more launcher by default

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Havoc Pennington <hp@redhat.com>
- use correct gettext package name, and add check for missing translations

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- add the calendar and configuration patch 

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- add control center desktop file to file list
- add gnome-panelrc to file list
- try fixing panel size (blind, no text box at home)

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- updates to default configuration

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- fix schemas installation

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- unset old panel schemas when installing new ones
- put in a broken panel config to see errors about
- add a patch to give some decent error messages about what's wrong
  with the default panel config

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun Jun  9 2002 Havoc Pennington <hp@redhat.com>
- don't provide/obsolete gnome-core

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.24
- ldconfig

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.23

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22
- provide gnome-core
- add a bunch of extra build requires so build system 
  won't get confused

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.19

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- add the keep-libtool-from-relinking hack so 
  we get the gen util applet

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- obsoletes gnome-core-devel
- include libdir/*.so

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- get libpanel-applet in the package

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


