%define gettext_package gnome-terminal

%define glib2_version 2.48.0
%define gtk3_version 3.20.0
%define vte3_version 0.44.2
%define startup_notification_version 0.8
%define desktop_file_utils_version 0.10

Summary: GNOME Terminal
Summary(ja): GNOME ターミナル
Name: gnome-terminal
Version: 3.20.2
Release: 1%{?_dist_release}
URL: http://www.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.20/%{name}-%{version}.tar.xz

License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: vte3 >= %{vte3_version}
Obsoletes: gnome-terminal2

BuildRequires: gnome-shell
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: vte3-devel >= %{vte3_version}
BuildRequires: dbus-glib-devel
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libSM-devel
BuildRequires: dconf-devel
BuildRequires: libuuid-devel
BuildRequires: docbook-utils
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gnome-doc-utils
BuildRequires: itstool
BuildRequires: appdata-tools
BuildRequires: vala-devel
BuildRequires: GConf2-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description

GNOME terminal emulator application.

%description -l ja

GNOME 端末エミュレータです。

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-gtk=3.0 \
	--with-nautilus-extension=no 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# remove unused file
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/systemd/user/gnome-terminal-server.service

%find_lang %{gettext_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_bindir}/%{name}
%{_libexecdir}/%{name}-migration
%{_libexecdir}/%{name}-server
%{_datadir}/appdata/org.gnome.Terminal.appdata.xml
%{_datadir}/applications/gnome-org.gnome.Terminal.desktop
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini

%changelog
* Mon Jul 18 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.2-1
- new upstream release

* Wed Dec 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-2
- rebuild with gnutls-3.4.7

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release
- remove Requires: GConf2

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release
- add BuildRequires: vala-devel

* Sun Jun 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.3-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: appdata-tools

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Wed Apr 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- remove Patch10 (gnome-terminal-2.22.0-i18n-help.patch)

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.1-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: vte3-devel instead of vte-devel

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.32.1-1
- new upstream release

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.32.0-1
- new upstream release

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.1-1
- new upstream release
- add BuildRequires: docbook-utils

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release
- add BuildRequires: libSM-devel, gnome-doc-utils

* Tue Mar  2 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.28.1-2
- rebuilt with new toolchain

* Sun Nov 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Thu Jul 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3.1-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Thu Apr 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Mar 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.3-1
- new upstream release

* Tue Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon Aug 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.3-1
- new upstream release

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Mon Apr  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- updated Patch10

* Sat Jan 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-0vl1
- new upstream release

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.1-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Fri Jun 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- add Patch10 to fix corruption of help option message.

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.91-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sat Feb 26 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- added application-registry to %files

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- rebuild with gtk2-2.4.0/glib2-2.4.0

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Tue Sep 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- fixed missing locale files

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl1
- new upstream release

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Sat Feb 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl3
- fixed %%files bug

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- update ja.po
- add obsoletes gnome-terminal-zvt

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl4
- remove redhat category

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl2
- add desktop files

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- build for Vine Linux

* Mon Sep  2 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.1-5
- fix goofy audible bell checkbox (backport from HEAD)

* Mon Sep  2 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.1-4
- fix incorrect regexp which matched newlines as parts of URLs (#71349)

* Fri Aug 23 2002 Jonathan Blandford <jrb@redhat.com>
- Clean up keyboard handling.

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- require latest vte

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1 released version instead of cvs snap
- clean up unpackaged files

* Thu Aug  8 2002 Nalin Dahyabhai <nalin@redhat.com>
- pick up widget padding

* Wed Jul 24 2002 Owen Taylor <otaylor@redhat.com>
- Use monospace preference for system font

* Thu Jul 18 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0.90 cvs snap

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install
- put bonobo server file in file list
- put help files in file list
- apply some fixes from CVS (or rather, that I'm going to 
  check in to CVS soon)

* Fri Jun 14 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Fri Jun 14 2002 Nalin Dahyabhai <nalin@redhat.com>
- add patch to handle vte abi change

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- add patch to get a decent default monospace font

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild, had bin compat issues

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun Jun  9 2002 Havoc Pennington <hp@redhat.com>
- don't obsolete/provide gnome-core

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.9.7

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires bonobo activation

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.9.6.90
- provide gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.9.5
- obsolete gnome-core

* Fri Apr 26 2002 Havoc Pennington <hp@redhat.com>
- 1.9.4.91, fixes scrollback thing

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- 1.9.4.90
- move it to VTE, let's see how this goes

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


