%define ver 0.3

Name:           grilo-plugins
Version:        0.3.2
Release:        1%{?_dist_release}
Summary:        A collection of plugins for the Grilo framework
Summary(ja):    Grilo フレームワーク用のプラグイン集

Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://live.gnome.org/Grilo
Source0:        http://download.gnome.org/sources/%{name}/0.3/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  grilo-devel >= 0.3
BuildRequires:  libdmapsharing-devel >= 2.9.12
BuildRequires:  avahi-gobject-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libgdata-devel
BuildRequires:  libsoup-devel
BuildRequires:  libgdata-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  json-glib-devel
BuildRequires:  rest-devel
BuildRequires:  totem-pl-parser-devel >= 3.4.1
BuildRequires:  gmime-devel
BuildRequires:  tracker-devel
BuildRequires:  libmediaart-devel
BuildRequires:  gom-devel
BuildRequires:  yelp-tools

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
%{summary}


%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-lua-factory
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -f $RPM_BUILD_ROOT%{_datadir}/help/C/examples/example-tmdb.c

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/grilo-%{ver}/libgrldaap.so
%{_libdir}/grilo-%{ver}/libgrldleyna.so
%{_libdir}/grilo-%{ver}/libgrldpap.so
%{_libdir}/grilo-%{ver}/libgrlfilesystem.so
%{_libdir}/grilo-%{ver}/libgrlflickr.so
%{_libdir}/grilo-%{ver}/libgrlfreebox.so
%{_libdir}/grilo-%{ver}/libgrlgravatar.so
%{_libdir}/grilo-%{ver}/libgrljamendo.so
%{_libdir}/grilo-%{ver}/libgrllocalmetadata.so
%{_libdir}/grilo-%{ver}/libgrlmagnatune.so
%{_libdir}/grilo-%{ver}/libgrlmetadatastore.so
%{_libdir}/grilo-%{ver}/libgrlopensubtitles.so
%{_libdir}/grilo-%{ver}/libgrloptical-media.so
%{_libdir}/grilo-%{ver}/libgrlpodcasts.so
%{_libdir}/grilo-%{ver}/libgrlraitv.so
%{_libdir}/grilo-%{ver}/libgrlshoutcast.so
%{_libdir}/grilo-%{ver}/libgrltmdb.so
%{_libdir}/grilo-%{ver}/libgrltracker.so
%{_libdir}/grilo-%{ver}/libgrlvimeo.so
%{_libdir}/grilo-%{ver}/libgrlyoutube.so


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.2-1
- new upstream release

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.17-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.16-1
- new upstream release

* Wed Jul 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-2
- add BuildRequires: gom-devel

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.13-2
- rebuild with libgdata-0.16.0

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.13-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.12-1
- new upstream release
- add BuildRequires: yelp-tools, avahi-gobject-devel, libmediaart-devel
- remove BuildRequires: libquvi-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.9-2
- rebuild with VineSeed environment

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.9-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.8-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build
