%define ver 0.3

Name:           grilo
Version:        0.3.1
Release:        1%{?_dist_release}
Summary:        Framework for multimedia developers
Summary(ja):    マルチメディア開発者用のフレームワーク

Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://live.gnome.org/Grilo
Source0:        http://download.gnome.org/sources/%{name}/0.3/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.29.10
BuildRequires:  gtk3-devel
BuildRequires:  libsoup-devel 
BuildRequires:  liboauth-devel 
BuildRequires:  libxml2-devel 
BuildRequires:  gobject-introspection-devel 
BuildRequires:  totem-pl-parser-devel >= 3.4.1

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Grilo is a framework for browsing and searching media content from various
sources using a single API.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/grl-inspect-%{ver}
%{_bindir}/grl-launch-%{ver}
%{_bindir}/grilo-test-ui-%{ver}
%{_libdir}/libgrilo-%{ver}.so.*
%{_libdir}/libgrlnet-%{ver}.so.*
%{_libdir}/libgrlpls-%{ver}.so.*
%{_libdir}/girepository-1.0/Grl-%{ver}.typelib
%{_libdir}/girepository-1.0/GrlNet-%{ver}.typelib
%{_libdir}/girepository-1.0/GrlPls-%{ver}.typelib
%{_mandir}/man1/grilo-test-ui-%{ver}.1.gz
%{_mandir}/man1/grl-inspect-%{ver}.1.gz
%{_mandir}/man1/grl-launch-%{ver}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{ver}
%{_libdir}/libgrilo-%{ver}.so
%{_libdir}/libgrlnet-%{ver}.so
%{_libdir}/libgrlpls-%{ver}.so
%{_libdir}/pkgconfig/%{name}-%{ver}.pc
%{_libdir}/pkgconfig/%{name}-net-%{ver}.pc
%{_libdir}/pkgconfig/%{name}-pls-%{ver}.pc
%{_datadir}/gir-1.0/Grl-%{ver}.gir
%{_datadir}/gir-1.0/GrlNet-%{ver}.gir
%{_datadir}/gir-1.0/GrlPls-%{ver}.gir


%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- new upstream release

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.15-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.14-1
- new upstream release

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.12-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.11-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.10-1
- new upstream release
- add BuildRequires: liboauth-devel, totem-pl-parser-devel

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.6-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- add BuildRequires: gtk3-devel, libsoup-devel

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- new upstream release

* Mon Sep 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build
