%define pkg_name    jmol
%define pkg_version 13.0.18
%define pkg_release 1%{?_dist_release}

Summary:     An open-source Java viewer for chemical structures in 3D
Summary(ja): 分子の3次元化学構造を表示するためのJavaで作成されたビューワー
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Edutainment
URL:     http://jmol.sourceforge.net/
Source0: Jmol-%{version}-binary.tar.gz
Source1: jmol.desktop
Source2: jmol-icon.png

BuildArch:     noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Jmol is an open-source viewer for three-dimensional chemical structures,
with features for chemicals, crystals, materials and biomolecules.
It is cross-platform, running on Windows, Mac OS X, and Linux/Unix systems.

%description -l ja
JmolはJavaで作成された分子の3次元の化学構造を表示するためのプログラムです。
さまざまな形式の構造データ・ファイルや量子化学計算プログラムによる出力結果
および複数フレームのアニメーション・ファイルや量子化学計算プログラムで計算
された基準振動モードを読み込みむことができます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}
%{__cp} -r ../%{name}-%{version} ${RPM_BUILD_ROOT}%{_libdir}

# move document
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
%{__mv} ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}/*.txt \
 ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

# menu / icon
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons
%{__cp} %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__cp} %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/icons/

# symbolic link
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
cd ${RPM_BUILD_ROOT}
%{__ln_s} %{_libdir}/%{name}-%{version}/jmol.sh usr/bin
%{__mv} usr/bin/jmol.sh usr/bin/jmol

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/jmol-%{version}/
%{_datadir}/applications/
%{_datadir}/icons/
%{_docdir}/


%changelog
* Thu May 12 2016 Toshiaki Ara <ara_t@384.jp> 13.0.18-1
- new package

