Summary: A sophisticated file transfer program
Summary(ja): 洗練された ftp/http クライアント
Name: lftp
Version: 4.7.2
Release: 2%{?_dist_release}
License: GPLv3
Group: Applications/Internet
URL: http://lftp.yar.ru/

Source: http://ftp.yars.free.net/pub/source/lftp/lftp-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: expat-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: readline-devel
BuildRequires: zlib-devel

Packager: iwamoto
Vendor: Project Vine
Distribution: Vine Linux

%description
LFTP is a sophisticated ftp/http file transfer program. Like bash, it has job
control and uses the readline library for input. It has bookmarks, built-in
mirroring, and can transfer several files in parallel. It is designed with
reliability in mind.

%description -l ja
LFTP は洗練された ftp/http ファイル転送プログラムです．Bash のように、ジョブ制御
機能を有し、入力には Readline ライブラリを使用します。ブックマーク機能や、ミラー
リング機能も組み込まれており、複数のファイルを並列して転送することも可能です。　
もちろん、信頼性を念頭に設計されています。

%package scripts
Summary:	Scripts for lftp
Summary(ja): 	LFTP のユーティリティスクリプト
Group:		Applications/Internet
Requires:	lftp = %{version}-%{release}
Requires:	perl(DBD::SQLite)
BuildArch:	noarch

%description scripts
Utility scripts for use with lftp.

%description scripts -l ja
LFTP のユーティリティスクリプトです。

%prep
%setup -q

# cp po/ja.po po/ja.po.orig
# msgmerge -v %{SOURCE10} po/ja.po.orig -o po/ja.po

%build
if pkg-config openssl ; then
        CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
        LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi
LDFLAGS="-L`pwd`/src/.libs $LDFLAGS"; export LDFLAGS
%configure --with-modules --disable-static --with-openssl
export tagname=CC
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}
rm -f $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.la
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lftp/*
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.so

# Remove files from $RPM_BUILD_ROOT that we aren't shipping.
rm -f $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.modules FAQ THANKS COPYING
%doc TODO NEWS FEATURES
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/*/*
# %{_datadir}/lftp
%{_libdir}/*.so*
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/cmd-*.so
%{_libdir}/lftp/%{version}/liblftp-network.so
# %{_libdir}/lftp/%{version}/liblftp-getdate.so
%{_libdir}/lftp/%{version}/liblftp-pty.so
%{_libdir}/lftp/%{version}/proto-*.so


%files scripts
%defattr(-,root,root,-)
%{_datadir}/lftp

%changelog
* Thu Jun 30 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.7.2-2
- rebuilt with new toolchain.

* Sat May 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.2-1
- new upstream release

* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.1-1
- new upstream release

* Fri Aug 08 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 4.5.4-1
- new upstream release

* Tue Jun 17 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.5.2-1
- new upstream release 

* Thu Jan  9 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.4.14-1
- new upstream release
- add BR: zlib-devel
- fix changelog date

* Sun Sep 30 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.4.0-1
- new upstream release
- use upstream ja.po instead of old local ja.po (source10)

* Sat Jun  2 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.3.7-1
- new upstream release
- built with openssl 1.0.1

* Mon May  2 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.2.3-1
- new upstream release

* Sun Jan  9 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.1.2-3
- rebuilt with openssl 1.0.0c

* Wed Jan  5 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.1.2-2
- separated scripts to script package

* Mon Jan  3 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.1.2-1
- new upstream release
- change source tarball format (bz2 -> xz)

* Sat Aug  7 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.9-1
- new upstream release with security fix (CVE-2010-2251)

* Thu Jan 21 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.5-1
- new upstream release  
- update ja.po file (Thanks to Tadashi Jokagi <elf@elf.no-ip.org>)
- update %files section to fit new release

* Tue Jul 28 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.15-1
- new upstream release 

* Tue May 19 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.14-1
- new upstream release

* Wed May 06 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.13-1
- new upstream release

* Wed Mar 25 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.11-1
- new upstream release

* Wed Mar 04 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.9-1vl5
- new upstream release

* Sun Feb 01 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.8-1vl5
- new upstream release
- fix License tag

* Mon Jan 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.7-1vl5
- new upstream release

* Mon Dec 01 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.6-1vl5
- new upstream release

* Mon Oct 20 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.4-1vl5
- new upstream release
- del liblftp-getdate.so from files list (upstream change)

* Sat Jul 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.3-1vl5
- new upstream release
- spec in UTF8

* Sat May 03 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.1-2vl5
- add BuildPrereq expat-devel

* Sat May 03 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.1-1vl5
- new upstream release
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.7.0-0vl1
- new upstream release

* Wed Feb 20 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.6.1-0vl2
- rebuild with expat-2.0.1

* Mon Jan 07 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.6.1-0vl1
- new upstream release

* Sat Oct 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.15-0vl1
- new upstream release

* Tue Aug 28 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.5.13-0vl1
- new upstream release

* Mon Jul 30 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.5.12-0vl1
- new upstream release

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-0vl1
- new upstream release
- rebuilt with new toolchain and openssl-0.9.8

* Fri Jan 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.5.9-0vl1
- new upstream release

* Sat Nov 11 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.5.6-0vl3
- fix configure option to use openssl

* Sun Oct 29 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.5.6-0vl2
- rebuild with gnutls-1.4.1

* Fri Oct 27 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.5.6-0vl1
- new upstream release

* Mon Aug 21 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.5.4-0vl1
- new upstream release

* Fri Jul 07 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4.7-0vl2
- changed Group to Applications/Internet

* Fri Jun 09 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.4.7-0vl1
- new upstream release

* Sun Mar 19 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.4.2-0vl2
- rebuild with readline-5.1

* Wed Feb 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4.2-0vl1
- new upstream release

* Fri Oct 22 2004 IWAI, Masaharu <iwai@alib.jp> 3.0.9-0vl1
- new upstream release
- update ja.po ( Source10 )
- add Japanese description
- lftp.conf: noreplace

* Sun Jun 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-0vl1
- new upstream release

* Thu Jun  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.5-0vl1
- new upstream release

* Fri Apr 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-0vl1
- new upstream release

* Sun Apr 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-0vl2
- update ja.po (more work needed...)

* Sun Apr 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-0vl1
- new upstream release

* Sun Apr 4 2004 HAYASHI Kentarou <linjian@gigo-ice.org> 3.0.0-0vl1
- new upstream release

* Mon Mar 1 2004 HAYASHI Kentarou <linjian@gigo-ice.org> 2.6.12-0vl1
- new upstream release

* Mon Dec 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.11-0vl1
- new upstream release

* Thu Dec 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.10-0vl1
- new upstream release

* Sat Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.7-0vl1
- new upstream release

* Tue Jun 10 2003 Jun NISHII <jun@vinelinux.org> 2.6.5-2vl1
- synced with RawHide 2.6.5-2

* Thu Mar 27 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.6.3-4vl1
- synced with RawHide 2.6.3-4

* Wed Jan 23 2002 Jun Nishii <jun@vinelinux.org> 2.4.8-0vl1
- ver.up
- fix COPYRIGHT(GPL->GPL2)

* Tue Sep 25 2001 Kazuhisa TAKEI <takei@vinelinux.org>
- 2.4.4
- major version  update

* Mon Jul 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.3.10-0vl5
- rebuilt with openssl-0.9.6b

* Thu May 24 2001 <sagami@vinelinux.org>
- 2.3.10-0vl4: fix so as not to own %%{_bindir} itself

* Thu May 24 2001 Kazuhisa TAKEI<takei@vinelinux.org> 2.3.10-0vl3
- remove configurei's --with-modules option.

* Sat May 19 2001 <takei@vinelinux.org> 2.3.10-0vl2
- fixed spec bug( sevaral lftp modules lack)

* Fri May 11 2001 <sagami@vinelinux.org>
- 2.3.10-0vl1: use more macros

* Tue Jan 23 2001 Kazuhisa TAKEI <takei@vinelinux.org> 2.3.7-0vl2
- enable ssl

* Tue Jan 23 2001 Kazuhisa TAKEI <takei@vinelinux.org> 2.3.7-0vl1
- 2.3.7-0vl1

* Wed Dec 13 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.3.3-0vl4
- rebuilt with readline-4

* Thu Oct 12 2000 Kazuhisa TAKEI<takei@vinelinux.org> 2.3.3-0vl3
- add lftpget

* Mon Oct  9 2000 Kazuhisa TAKEI<takei@vinelinux.org> 2.3.3-0vl1
- upstream merge ja.po
- %doc /usr/man -> %{_mandir}   
- several .spec file's bug  fixed.

* Sun Oct  1 2000 Kazuhisa TAKEI<takei@vinelinux.org> 2.3.0-0vl5
- fixed ja.po

* Mon Sep 11 2000 Kazuhisa TAKEI<takei@vinelinux.org>
- 2.2.6-1vl0
- remove noroot.patch

* Mon Sep 11 2000 Kazuhisa TAKEI<takei@vinelinux.org>
- 2.2.2-1vl3
- added Japanese message catalog file

* Thu Jul 27 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.2.2-1vl2
- cleaned up noroot.patch
- added %build tag (why forgotten?)
- added Japanese Summary
- modified %files section to handle compressed man pages

* Thu May  4 2000 Kazuhisa TAKEI <takei@vinelinux.org>
- change spec file  for Vine Linux

* Sat Oct 02 1999 Alexander Lukyanov <lav@yars.free.net>
- 2.1.1 release
- removed ChangeLog from doc.

* Mon Sep 27 1999 Alexander Lukyanov <lav@yars.free.net>
- 2.1.0 release

* Tue Sep 14 1999 Alexander Lukyanov <lav@yars.free.net>
- add lftpget

* Tue Jul 27 1999 Adrian Likins <alikins@redhat.com>
-initial release
