%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXrender runtime library
Summary(ja): X.Org X11 libXrender ランタイムライブラリ
Name: libXrender
Version: 0.9.9
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libX11-devel
Obsoletes: XFree86-libs, XOrg-libs

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
X.Org X11 libXrender runtime library

%package devel
Summary: X.Org X11 libXrender development package
Summary(ja): X.Org X11 libXrender 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Requires: libX11-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXrender development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXrender runtime library
Summary(ja): X.Org X11 libXrender ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libXrender runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXrender development package
Summary(ja): X.Org X11 libXrender 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
X.Org X11 libXrender development package

%prep
%setup -q

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0

%files devel
%defattr(-,root,root,-)
%doc doc/libXrender.txt
%dir %{_includedir}/X11
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/Xrender.h
%if %{with_static}
%{_libdir}/libXrender.a
%endif
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXrender.a
%endif
%{_libdir}/libXrender.so
%endif

%changelog
* Sun May 24 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.9-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8-2
- rebuild with VineSeed environment

* Mon Aug 12 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8-1
- new upstream release
- remove Patch0 (libXrender-0.9.7-git20130505.patch)

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.7-2
- add Patch0 (libXrender-0.9.7-git20130505.patch)
  (including security fix for CVE-2013-1987)

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.7-1
- new upstream release
- add BuildRequires: xorg-x11-util-macros

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.9.6-2
- build with rpm-4.8.1-1 for pkg-config file

* Sat Jul 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.6-1
- new upstream release

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.5-1
- new upstream release

* Sun May 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.9.4-3
- added compat32 package for x86_64 arch support

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.4-2
- spec in utf-8

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.4-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.4-0vl1
- initial build for Vine Linux

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 0.9.4-1
- libXrender 0.9.4

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> 0.9.3-1
- libXrender 0.9.3

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 0.9.2-2
- Don't install INSTALL

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 0.9.2-1
- Update to 0.9.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 0.9.1-3.1
- rebuild

* Fri Jun 09 2006 Mike A. Harris <mharris@redhat.com> 0.9.1-3
- Added "Requires: libX11-devel" to devel package for xrender.pc

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 0.9.1-2
- Added "BuildRequires: pkgconfig" for (#193429)
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 0.9.1-1
- Update to 0.9.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.0.2-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9.0.2-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 0.9.0.2-3
- Bump and rebuild

* Mon Jan 16 2006 Mike A. Harris <mharris@redhat.com> 0.9.0.2-2
- Added "Requires: xorg-x11-proto-devel" to resolve bug (#176742)

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 0.9.0.2-1
- Updated libXrender to version 0.9.0.2 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.9.0.1-1
- Updated libXrender to version 0.9.0.1 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.9.0-5
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.9.0-4
- Updated libXrender to version 0.9.0 from X11R7 RC1

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.9.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.9.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.9.0-1
- Initial build.
