Summary:        A wrapper library for evdev devices
Summary(ja):    evdev デバイス用ラッパーライブラリ

Name:           libevdev
Version:        1.5.1
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.freedesktop.org/wiki/Software/libevdev/
Source0:        http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libevdev is a wrapper library for evdev devices. it moves the
common tasks when dealing with evdev devices into a library and
provides a library interface to the callers, thus avoiding
erroneous ioctls, etc.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.


%package        utils
Summary:        Utilities files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    utils
%{summary}


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}-1.0
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3.gz
 
%files utils
%defattr(-,root,root,-)
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool
%{_bindir}/touchpad-edge-detector


%changelog
* Sat Jul 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.1-1
- new upstream release

* Sun Jun 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Mon Apr 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release
- create %%{name}-utils subpackage

* Mon Dec 01 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.1-1
- new upstream release

* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- initial build for Vine Linux

