Summary:        Abstract asynchronous event notification library
Summary(ja):	非同期イベント通知ライブラリ
Name:           libevent
Version:        2.0.21
Release:        2%{?_dist_release}
Group:          System Environment/Libraries
License:        BSD
URL:            http://monkey.org/~provos/libevent/
Source0:        http://monkey.org/~provos/libevent-%{version}-stable.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	openssl-devel


%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q -n %{name}-%{version}-stable


%build
%configure \
    --disable-static \
    --disable-dependency-tracking
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc README
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,0755)
%doc sample/*.c
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.21-2
- rebuild with openssl-1.0.2

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.21-1
- update to 2.0.21

* Sat Nov 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.20-1
- new upstream release

* Sun Feb 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.10-2
- add BuildRequires: openssl-devel

* Thu Feb 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.10-1
- new upstream release

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.4.13-2
- rebuilt with gcc-4.4.3-3 on ppc

* Mon Feb  1 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.13-1
- new upstream release
- built with new toolchains

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.3-2
- spec in utf-8
- remove static libs

* Wed Apr 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.3-1
- new upstream release

* Sun Jul  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3b-0vl1
- new upstream release

* Sun Aug 13 2006 IWAI, Masaharu <iwai@alib.jp> 1.1b-0vl1
- new upstream release

* Sun Mar 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1a-0vl1
- initial build for Vine Linux

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.1a-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1a-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Warren Togami <wtogami@redhat.com> - 1.1a-3
- rebuild (#177697)

* Mon Jul 04 2005 Ralf Ertzinger <ralf@skytale.net> - 1.1a-2
- Removed unnecessary -r from rm

* Fri Jun 17 2005 Ralf Ertzinger <ralf@skytale.net> - 1.1a-1
- Upstream update

* Wed Jun 08 2005 Ralf Ertzinger <ralf@skytale.net> - 1.1-2
- Added some docs
- Moved "make verify" into %%check

* Mon Jun 06 2005 Ralf Ertzinger <ralf@skytale.net> - 1.1-1
- Initial build for Fedora Extras, based on the package
  by Dag Wieers
