Summary:	C implementation of the Git core methods as a library with a solid API 
Name:		libgit2
Version:	0.24.1
Release:	1%{?_dist_release}
License:	GPLv2
Group:		System Environment/Libraries 
URL:		https://libgit2.github.com/

# https://github.com/libgit2/libgit2/archive/v0.23.3.tar.gz
Source0:	%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: http-parser-devel
BuildRequires: libssh2-devel
BuildRequires: zlib-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
which supports C bindings. 


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       openssl-devel
Requires:       http-parser-devel
Requires:       libssh2-devel
Requires:       zlib-devel

%description    devel
Header files and libraries for building a extension library for the %{name}.


%prep
%setup -q


%build
rm -rf build && mkdir build && pushd build
%cmake -DINSTALL_DOCS=OFF \
		../

make %{?_smp_mflags}
popd


%install
rm -rf ${RPM_BUILD_ROOT}
pushd build
make install DESTDIR=${RPM_BUILD_ROOT}
popd

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING CHANGELOG.md README.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/git2/
%{_includedir}/git2.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23.3-1
- new upstream release

* Sun Apr 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.2-2
- add BuildRequires: openssl-devel, http-parser-devel, libssh2-devel, zlib-devel

* Wed Apr 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.2-1
- initial build

