Name:		libgxps
Version:	0.2.3.2
Release:	1%{?_dist_release}
Summary:	GObject based library for handling and rendering XPS documents.

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		https://live.gnome.org/libgxps
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	libarchive-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libtiff-devel
BuildRequires:	lcms2-devel
BuildRequires:	gtk-doc

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
libgxps is a GObject based library for handling and rendering XPS
documents.

%package	devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
%{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_bindir}/xpstojpeg
%{_bindir}/xpstopdf
%{_bindir}/xpstopng
%{_bindir}/xpstops
%{_bindir}/xpstosvg
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/GXPS-0.1.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GXPS-0.1.gir

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3.2-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3.1-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-3
- rebuild with libarchve-3.1.2

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- rebuild with VineSeed environment

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build
