Name:		libical
Summary:	An Open Source implementation of the iCalendar protocols and protocol data units
Version:	1.0.1
Release:	1%{?_dist_release}

Group:		System Environment/Libraries
License:	LGPLv2 or MPLv1.1
URL:		https://libical.github.io/libical/

Source0:	https://github.com/libical/libical/releases/download/v1.0.1/%{name}-%{version}.tar.gz


BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cmake
Requires:	tzdata

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       babasaki, daisuke, inagaki

#----------------------------------------------------------------------------
%description
Reference implementation of the iCalendar data type and serialization format
used in dozens of calendaring and scheduling products.

%description -l pl
Implementacja formatu iCalendar, używana w wielu kalendarzach i
planerach/planistach.

#----------------------------------------------------------------------------
%package devel
Summary:	Development files for libical
Summary(ja):	libical の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libical-devel package contains libraries and header files for developing 
applications that use libical.

%description devel -l pl
libical-devel zawiera biblioteki i pliki niezbędne do tworzenia aplikacji
korzystających z libical.

#----------------------------------------------------------------------------
%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%check
# make check
# Fails on x86_64 and ppc64.

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

#make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------------
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE ReadMe.txt ReleaseNotes.txt THANKS TODO
%{_libdir}/%{name}.so.*
%{_libdir}/libicalss.so.*
%{_libdir}/libicalvcal.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/UsingLibical.txt
%{_includedir}/ical.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/libicalss.so
%{_libdir}/libicalvcal.so
%dir %{_libdir}/cmake/LibIcal
%{_libdir}/cmake/LibIcal/*.cmake
%{_libdir}/pkgconfig/libical.pc

%exclude %{_libdir}/%{name}.a
%exclude %{_libdir}/libicalss.a
%exclude %{_libdir}/libicalvcal.a


%changelog
* Mon Feb 23 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.1-1
- updated to 1.0.1
- updated URL
- added BR: cmake

* Sun Sep 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48-1
- update to 0.48
- remove old patches

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.46-1
- new upstream release
- added Patch0-2 from Fedora

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.44-1
- new upstream release
- drop Patch0

* Fri May 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-2
- remove comment line after %%postun
- add Vendor/Distribution/Packager tags

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.43-1
- new upstream release
- add pkgconfig file to -devel subpackage.
- move libicalvcal headers to /usr/include/libical (patch1,2)
- add patch0 to fix implicit pointer conversion from Debian. Fixes Debian BTS
  bug #511598.

* Mon Oct 27 2008 Seiichirou Babasaki - 0.32-2
- Import libical - Packager: Babasaki
- Updated specfile

* Wed Sep 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.32-1
- Version bump to 0.32.
- Parallel build problems fixed.

* Sun Jul 27 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-3
- Added 'BuildRequires: bison byacc flex'.

* Sun Jul 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.31-2
- Fixed linkage problems and disabled parallel build till upstream accepts fix.

* Thu Jul 17 2008 Jeff Perry <jeffperry_fedora@sourcesink.com> - 0.31-1
- Version bump to 0.31.

* Thu Jul 17 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.30-4
- Changed value of License according to Fedora licensing guidelines.
- Enabled reentrant system calls and C++ bindings.
- Omitted unused direct shared library dependencies.
- Added ChangeLog, COPYING, LICENSE, NEWS and README to doc and dropped
  examples.

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-3
- Source URL... Fixed

* Wed Apr 02 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.30-2
- Removed untrue note about libical's homepage (to get rid of eventuall mess)

* Sat Feb 23 2008 David Nielsen <gnomeuser@gmail.com> - 0.30-1
- Switch to freeassociation libical
- bump to 0.30

* Sat Feb 09 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-5
- Mass rebuild for new GCC... Done

* Sat Jan 19 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-4
- Licence... Fixed

* Fri Jan 18 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-3
- Files section... Fixed

* Thu Jan 17 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-2
- Source... Changed
- Debug information in libical main package... Excluded
- Non-numbered .so files in libical main package... Moved
- libical-devel documentation... Added

* Mon Dec 24 2007 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.27-1
- Initial release
