%bcond_with python

Name:          libimobiledevice
Version:       1.2.0
Release:       2%{?_dist_release}
Summary:       Library for connecting to mobile devices
Summary(ja):   モバイルデバイスに接続するためのライブラリ

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://www.libimobiledevice.org/

Source0:       http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
# for gnutls-3.4
Patch0:        issue225.patch


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libxml2-devel
BuildRequires: libusb1-devel
BuildRequires: libtasn1-devel
BuildRequires: libplist-devel >= 1.11
BuildRequires: libplist-python
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: python-devel
%if %{with python}
BuildRequires: Cython
%endif
BuildRequires: swig
BuildRequires: libusbmuxd-devel >= 1.0.9
BuildRequires: libgcrypt-devel
#BuildRequires: readline-devel

Provides: libiphone = %{version}
Obsoletes: libiphone < 0.9.7 

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
libimobiledevice is a library for connecting to mobile devices including phones 
and music players

%package devel
Summary: Development package for libimobiledevice
Summary(ja): libimobiledevice の開発用パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libiphone-devel = %{version}
Obsoletes: libiphone-devel < 0.9.7 

%description devel
Files for development with libimobiledevice.

%package python
Summary: Python bindings for libimobiledevice
Summary(ja): libimobiledevice の Python バインディング
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libiphone-python = %{version}
Obsoletes: libiphone-python < 0.9.7 

%description python
Python bindings for libimobiledevice.

%prep
%setup -q

%patch0 -p1

# Fix dir permissions on html docs
chmod +x docs/html

%build
aclocal
automake --add-missing --copy
autoconf

%configure \
  --disable-static \
  --disable-openssl \
%if %{with python}
  --without-cython \
  --without-python \
%endif
  ;

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%doc %{_datadir}/man/man1/idevice*
%{_bindir}/idevice*
%{_libdir}/libimobiledevice.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html/
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice/

%if %{with python}
%files python
%defattr(-,root,root,-)
%{python_sitearch}/imobiledevice.so
%endif

%changelog
* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.0-2
- built with gnutls-3.4.x.

* Thu May 21 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.2.0-1
- new upstream release

* Tue Jul 08 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.1.6-1
- update to 1.1.6
- add BR: libusbmuxd-devel >= 1.0.9, libgcrypt-devel, readline-devel
- disable python
- disable openssl

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.5-2
- rebuild with VineSeed environment
- add Patch2 (libimobiledevice-1.1.5-cython.patch)

* Thu Mar 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.5-1
- new upstream release

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-1
- new upstream release
- add BuildRequires: openssl-devel, Cython
- add Patch1 (libimobiledevice-1.1.4-pkgconfig.patch)

* Thu Feb 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-2
- rebuild with python-2.7.2

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- new upstream release

* Fri Apr 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-1
- new upstream release

* Tue Dec 28 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new upstream release

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 1.0.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Jun 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-1
- new upstream release

* Sat May 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-2
- updated devel package Requires

* Thu Apr 29 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-1
- initial build for Vine Linux

* Sun Mar 21 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream stable 1.0.0 release

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-3
- Add patch to fix DSO linking. Fixes bug 565084

* Wed Feb  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-2
- Package review updates, add developer docs

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-1
- New package for new library name. Update to 0.9.7

* Sun Jan 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.6-1
- Update to 0.9.6 release

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.5-3
- Updated to the new python sysarch spec file reqs

* Tue Dec 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-2
- Update python bindings

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-1
- Update to 0.9.5 release for new usbmuxd/libplist 1.0.0 final

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-3
- Rebuild for libplist .so bump

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-2
- Update from libusb to libusb1

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-1
- Update to 0.9.4 release for new usbmuxd 1.0.0-rc1

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.3-1
- Update to 0.9.3 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-2
- Add new build reqs

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-1
- Update to official 0.9.1 release

* Fri Apr 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-11.20090325git443edc8
- Update to latest master version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10.20090103git5cde554
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-9.git5cde554
- Add back gnutls version patch

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-8.git5cde554
- Upload bzipped source file

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-7.git5cde554
- New git snapshot

* Fri Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-6.git8c3a01e
- Fix devel dependency 

* Fri Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5.git8c3a01e
- Fix gnutls check for new rawhide version

* Fri Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4.git8c3a01e
- Rebuild for pkgconfig

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3.git8c3a01e
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2.git8c3a01e
- Updates for package review

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package
