%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Summary(ja):	MMX/SSE2 でアクセラレーションされた libjpeg ライブラリ

Name:		libjpeg-turbo
Version:	1.4.2
Release:	1%{?_dist_release}

Group:		System Environment/Libraries
License:	wxWidgets
URL:		http://sourceforge.net/projects/libjpeg-turbo
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	autoconf, automake, libtool
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

Obsoletes:	libjpeg < 6b-50vl6
Provides:	libjpeg = 6b-50vl6

Patch0:         libjpeg-turbo12-noinst.patch
Patch1:		libjpeg-turbo-header-files.patch

%description
The libjpeg-turbo package contains a library of functions for manipulating
JPEG images

%package devel
Summary:	Headers for the libjpeg-turbo library
Summary(ja):	libjpeg-turbo ライブラリのヘッダファイル
Group:		Development/Libraries
Obsoletes:	libjpeg-devel < 6b-50vl6
Obsoletes:	libjpeg-static < 6b-50vl6
Provides:	libjpeg-devel = 6b-50vl6
Requires:	libjpeg-turbo = %{version}-%{release}

%description devel
This package contains header files necessary for developing programs which
will manipulate JPEG files using the libjpeg-turbo library

%package utils
Summary:	Utilities for manipulating JPEG images
Summary(ja):	JPEG イメージを操作するためのユーティリティ
Group:		Applications/Multimedia
Requires:	libjpeg-turbo = %{version}-%{release}

%description utils
The libjpeg-turbo-utils package contains simple client programs for
accessing the libjpeg functions. It contains cjpeg, djpeg, jpegtran,
rdjpgcom and wrjpgcom. Cjpeg compresses an image file into JPEG format.
Djpeg decompresses a JPEG file into a regular image file. Jpegtran
can perform various useful transformations on JPEG files. Rdjpgcom
displays any text comments included in a JPEG file. Wrjpgcom inserts
text comments into a JPEG file.

## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Summary(ja):	MMX/SSE2 でアクセラレーションされた libjpeg ライブラリ
Group:		System Environment/Libraries
Obsoletes:	compat32-libjpeg < 6b-50vl6
Provides:	compat32-libjpeg = 6b-50vl6

%description -n compat32-%{name}
The libjpeg-turbo package contains a library of functions for manipulating
JPEG images

%package -n compat32-%{name}-devel
Summary:	Headers for the libjpeg-turbo library
Summary(ja):	libjpeg-turbo ライブラリのヘッダファイル
Group:		Development/Libraries
Obsoletes:	compat32-libjpeg-devel < 6b-50vl6
Provides:	compat32-libjpeg-devel = 6b-50vl6
Requires:	libjpeg-turbo = %{version}-%{release}

%description -n compat32-%{name}-devel
This package contains header files necessary for developing programs which
will manipulate JPEG files using the libjpeg-turbo library

%prep
%setup -q

%patch0 -p1 -b .noinst_jpgtest
%patch1 -p1 -b .turbo_headers

%build
autoreconf -fiv

%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Fix perms
chmod -x README-turbo.txt

# Remove unwanted files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lib{,turbo}jpeg.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README README-turbo.txt change.log ChangeLog.txt
%{_libdir}/libjpeg.so.62*
%{_libdir}/libturbojpeg.so.0*

%files devel
%defattr(-,root,root,-)
%doc coderules.txt jconfig.txt libjpeg.txt structure.txt example.c
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpegint.h
%{_includedir}/jpeglib.h
%{_includedir}/turbojpeg.h
%{_libdir}/libjpeg.so
%{_libdir}/libturbojpeg.so

%files utils
%defattr(-,root,root,-)
%doc usage.txt wizard.txt
%{_bindir}/cjpeg
%{_bindir}/djpeg
%{_bindir}/jpegtran
%{_bindir}/rdjpgcom
%{_bindir}/wrjpgcom
%{_mandir}/man1/cjpeg.1*
%{_mandir}/man1/djpeg.1*
%{_mandir}/man1/jpegtran.1*
%{_mandir}/man1/rdjpgcom.1*
%{_mandir}/man1/wrjpgcom.1*

## to build compat32 for x86_64 architecture support
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libjpeg.so.*
%{_libdir}/libturbojpeg.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%endif

%changelog
* Mon Nov 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- update to 1.4.2
- update Patch0

* Sun Sep 07 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.3.1-1
- update to 1.3.1
- ship turbojpeg library and headers

* Sun Jul 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-2
- rebuild with VineSeed environment

* Mon Sep 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-1
- new upstream release 

* Tue Mar 29 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-1
- new upstream release

* Tue Sep 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 	1.0.0-1
- initial build for Vine Linux

* Wed Aug 04 2010 Adam Tkac <atkac redhat com> 1.0.0-3
- fix huffman decoder to handle broken JPEGs well (#617469)

* Fri Jul 02 2010 Adam Tkac <atkac redhat com> 1.0.0-2
- add libjpeg-devel%%{_isa} provides to -devel subpkg to satisfy imlib-devel
  deps

* Fri Jul 02 2010 Adam Tkac <atkac redhat com> 1.0.0-1
- update to 1.0.0
- patches merged
  - libjpeg-turbo-programs.patch
  - libjpeg-turbo-nosimd.patch
- add libjpeg provides to the main package to workaround problems with broken
  java-1.6.0-openjdk package

* Fri Jul 02 2010 Adam Tkac <atkac redhat com> 0.0.93-13
- remove libjpeg provides from -utils subpkg

* Wed Jun 30 2010 Rex Dieter <rdieter@fedoraproject.org> 0.0.93-12
- move Obsoletes: libjpeg to main pkg

* Wed Jun 30 2010 Rex Dieter <rdieter@fedoraproject.org> 0.0.93-11
- -utils: Requires: %%name ...

* Wed Jun 30 2010 Adam Tkac <atkac redhat com> 0.0.93-10
- add Provides = libjpeg to -utils subpackage

* Mon Jun 28 2010 Adam Tkac <atkac redhat com> 0.0.93-9
- merge review related fixes (#600243)

* Wed Jun 16 2010 Adam Tkac <atkac redhat com> 0.0.93-8
- merge review related fixes (#600243)

* Mon Jun 14 2010 Adam Tkac <atkac redhat com> 0.0.93-7
- obsolete -static libjpeg subpackage (#600243)

* Mon Jun 14 2010 Adam Tkac <atkac redhat com> 0.0.93-6
- improve package description a little (#600243)
- include example.c as %%doc in the -devel subpackage

* Fri Jun 11 2010 Adam Tkac <atkac redhat com> 0.0.93-5
- don't use "fc12" disttag in obsoletes/provides (#600243)

* Thu Jun 10 2010 Adam Tkac <atkac redhat com> 0.0.93-4
- fix compilation on platforms without MMX/SSE (#600243)

* Thu Jun 10 2010 Adam Tkac <atkac redhat com> 0.0.93-3
- package review related fixes (#600243)

* Wed Jun 09 2010 Adam Tkac <atkac redhat com> 0.0.93-2
- package review related fixes (#600243)

* Fri Jun 04 2010 Adam Tkac <atkac redhat com> 0.0.93-1
- initial package
