Summary: A library to access X.509 and CMS data structures.
Summary(ja): X.509 および CMS データ構造にアクセスするためのライブラリ
Name:    libksba
Version: 1.3.4
Release: 1%{?_dist_release}

License: GPLv3/LGPLv3
Group:   System Environment/Libraries
URL:     http://www.gnupg.org/

Vendor: Project Vine
Distribution: Vine Linux

Source0: ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2.sig

# quick-n-dirty hack to ksba-config, TODO: consider using pkgconfig instead
Patch1: libksba-1.3.0-multilib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gawk
BuildRequires: libgpg-error-devel >= 1.22 

%description
KSBA is a library designed to build software based on the X.509 and
CMS protocols.

%package devel
Summary: Development headers and libraries for %{name}
Summary(ja): %{name} 用開発ヘッダ/ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
%{summary}.


%prep
%setup -q
%patch1 -p1 -b .multilib


%build
%configure \
  --disable-dependency-tracking \
  --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
install-info %{_infodir}/ksba.info %{_infodir}/dir ||:

%postun devel
if [ $1 -eq 0 ]; then
    install-info --delete %{_infodir}/ksba.info %{_infodir}/dir ||:
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING* NEWS README* THANKS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/ksba-config
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/*
%{_infodir}/*


%changelog
* Sat May 21 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.3.4-1
- new upstream release.

* Sat Jan 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.3.2-1
- updated to 1.3.2
- built on current VineSeed

* Sun Jun 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.3-3
- rebuild with Vine6 environment

* Thu Sep 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.0.3-2
- new upstream release, based on 1.0.3-2 from Fedora 9
- Vine's previous changelogs as follows:
  - Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.7-1vl5
  - applied new versioning policy, spec in utf-8
  - removed *.la
  - Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.7-0vl1
  - initial build


* Thu Apr 03 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.3-2
- multiarch conflicts (#342201)

* Tue Feb 12 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.3-1
- libksba-1.0.3

* Fri Feb 08 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.2-4
- respin (gcc43)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-3
- BR: gawk

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-2
- respin (ppc32, BuildID)
- License: GPLv3

* Fri Jul 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-1
- libksba-1.0.2

* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-1
- libksba-1.0.1

* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.0-1.1
- respin

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.0-1
- libksba-1.0.0

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.15-3
- fc6 respin

* Tue Jun 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.15-2
- 0.9.15

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.13-2.1
- fc5: gcc/glibc respin

* Wed Nov 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.13-2
- remove hacks
- drop self Obsoletes

* Wed Nov 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.13-1
- 0.9.13

* Fri Aug 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.11-3
- botched Obsoletes good, let's try again.

* Fri Aug 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.11-2
- revert to 0.9.11 (0.9.12 makes gnupg2 fail on x86_64) using Obsoletes
  to avoid Epoch or other ugly means.

* Mon Aug  8 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.12-1
- 0.9.12
- --disable-static

* Thu Apr 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.11-1
- 0.9.11
- drop upstreamed acquote patch

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.9-2
- rebuilt

* Tue Feb  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9.9-1
- Minus BR libtool, add epoch to -devel req, fix underquoted ksba.m4.

* Fri Oct 22 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.9.9-0.fdr.2
- remove hard-coded .gz from %%post/%%postun
- add %%check section

* Tue Oct 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.9.9-0.fdr.1
- 0.9.9

* Thu Mar 20 2003 Ville Skytt<ville.skytta at iki.fi> - 0.4.7-0.fdr.1
- Update to 0.4.7, and to current Fedora guidelines.
- Exclude %%{_libdir}/*.la.

* Wed Feb 12 2003 Warren Togami <warren@togami.com> 0.4.6-1.fedora.3
- temporary workaround to lib/dir conflict problem

* Sat Feb  8 2003 Ville Skytt<ville.skytta at iki.fi> - 0.4.6-1.fedora.1
- First Fedora release.
