# Basic Information
Name:		libpipeline
Version:	1.4.0
Release:	1%{?_dist_release}
License:	GPLv3
Group:		System Environment/Libraries
Source0:	http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	a C library for setting up and running pipelines of processes
Summary(ja):	プロセス間のパイプラインを設定および実行する C ライブラリ

# Dependency
# 以下に依存関係を記述してください。

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure.  This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

Full programmers' documentation may be found using 'man libpipeline'.

%description -l ja
libpipeline は、しばしばエラーの傾向があったり不安定なシェルのコマンドライン
解析を伴うことを必要としない、プロセス間のパイプラインを設定および実行するた
めの C ライブラリです。これは、低レベルで旧式の fork(2) や execve(2) といっ
たものを利用して苦労してパイプラインを構築する必要があるプログラマーの負担を
緩和します。

完全なプログラマー向けの文書を読むには、'man libpipeline' を利用してください。

%package devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files for %{name}

%description -l ja devel
%{name} の開発用ファイル

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libpipeline.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/libpipeline.so.*


%files devel
%{_includedir}/pipeline.h
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_mandir}/man3/*.3.gz


%changelog
* Thu Nov 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4.0-1
- new upstream release
- moved libpipeline to System Environment/Libraries Group

* Fri Sep 23 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.2.0-1
- initial build for Vine Linux
