#%define rel 0
%define beta 0
%{?beta:%define __os_install_post /usr/lib/rpm/brp-compress}

%define ssl 1
%define kerberos 0
%define nls 1
%define pam 1

%define pgver 9.5
%define pq_soname 5
%define ecpg_soname 6

Summary: The shared libraries required for any PostgreSQL clients.
Summary(ja): PostgreSQL クライアントに必要な共有ライブラリ
Name: libpq
Group: System Environment/Libraries
Version: %{pgver}.2
Release: 1%{?_dist_release}
License: BSD
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source3: postgresql.init
Source5: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2.sha256
Source6: README.rpm-dist
Source15: postgresql-bashprofile
Patch2: postgresql-8.3.3-nls.patch
Patch3: postgresql-7.4-ecpg-patch
Buildrequires: perl build-essential
Buildrequires: libedit-devel
Buildrequires: zlib-devel >= 1.0.4
BuildRequires: bison, flex, pam-devel
%if %ssl
Buildrequires: openssl-devel
%endif
%if %kerberos
Buildrequires: krb5-devel
%endif
%if %nls
Buildrequires: gettext >= 0.10.35
%endif

%if %pam
Buildrequires: pam-devel
%endif

Url: http://www.postgresql.org/ 
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The %{name} package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%description -l ja
%{name} パッケージは、すべての PostgreSQL クライアントプログラ
ムやインターフェースのための中核的な共有ライブラリを提供します。
PostgreSQL サーバに接続する必要のある、PostgreSQL パッケージやクライア
ントを使う場合には、このパッケージをインストールする必要があります。

%package -n libpq%{pq_soname}
Summary: The shared libraries required for any PostgreSQL clients.
Summary(ja): PostgreSQL クライアントに必要な共有ライブラリ
Group: System Environment/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: postgresql7-libs
Obsoletes: postgresql8-libs
Obsoletes: postgresql-libs < 9.3.0
Conflicts: postgresql-libs >= 9.3.0

%description -n libpq%{pq_soname}
The %{name} package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%description -n libpq%{pq_soname} -l ja
%{name} パッケージは、すべての PostgreSQL クライアントプログラ
ムやインターフェースのための中核的な共有ライブラリを提供します。
PostgreSQL サーバに接続する必要のある、PostgreSQL パッケージやクライア
ントを使う場合には、このパッケージをインストールする必要があります。

%package devel
Summary: PostgreSQL development header files and libraries.
Summary(ja): PostgreSQL の開発用ヘッダファイルとライブラリ群
Group: Development/Libraries
Requires: libpq%{pq_soname} = %{version}
Obsoletes: postgresql7-devel
Obsoletes: postgresql8-devel
Obsoletes: postgresql-devel < 9.3.0

%description devel
The %{name}-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server.

%description -l ja devel
%{name}-devel パッケージには、PostgreSQL データベースと直接に会話
するための C / C++ アプリケーションをコンパイルするのに必要なヘッダフ
ァイルとライブラリ、および C 言語埋め込み型の PostgreSQL プリプロセサ
が含まれています。PostgreSQL サーバと会話するアプリケーションを開発
したい場合にはこのパッケージをインストールしてください。


%prep
%setup -q -n postgresql-%{version}


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Strip out -ffast-math from CFLAGS....

CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath \
%if %beta
	--enable-debug \
	--enable-cassert \
%endif
%if %ssl
	--with-openssl \
%endif
%if %pam
	--with-pam \
%endif
%if %kerberos
	--with-krb5=/usr/kerberos \
%endif
%if %nls
	--enable-nls \
%endif
	--sysconfdir=%{_sysconfdir}/sysconfig/pgsql \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=%{_datadir}/pgsql

make %{?_smp_mflags} -C ./src/interfaces all
make %{?_smp_mflags} -C ./src/bin/pg_config all
make %{?_smp_mflags} -C ./src/backend utils/errcodes.h
make %{?_smp_mflags} -C ./src/backend utils/fmgroids.h


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT -C ./src/interfaces install
make DESTDIR=$RPM_BUILD_ROOT -C ./src/bin/pg_config install
cp -f ./src/backend/utils/fmgroids.h ./src/include/utils/
make DESTDIR=$RPM_BUILD_ROOT -C ./src/include install

# copy over Makefile.global to the include dir....
install -m644 src/Makefile.global $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/Makefile.shlib $RPM_BUILD_ROOT%{_includedir}/pgsql

# install missing header
mkdir -p $RPM_BUILD_ROOT%{_includedir}/pgsql/libpq
install -m644 src/include/libpq/libpq-fs.h $RPM_BUILD_ROOT%{_includedir}/pgsql/libpq
install -m644 src/include/libpq/pqcomm.h $RPM_BUILD_ROOT%{_includedir}/pgsql/libpq
install -m644 src/include/postgres_ext.h $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/include/pg_config*.h $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/include/c.h $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/include/port.h $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/include/postgres_fe.h $RPM_BUILD_ROOT%{_includedir}/pgsql

# Fix some more documentation
##gzip doc/internals.ps
cp %{SOURCE6} README.rpm-dist
##cp -pr $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
##rm -rf $RPM_BUILD_ROOT%{_docdir}/postgresql/html

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 ./doc/src/sgml/man1/* $RPM_BUILD_ROOT/%{_mandir}/man1


%find_lang libpq5-%{pgver}
%find_lang ecpg-%{pgver}
%find_lang ecpglib%{ecpg_soname}-%{pgver}
#%find_lang pg_config-%{pgver}

cat libpq5-%{pgver}.lang > libpq.lst
cat ecpg-%{pgver}.lang >> libpq.lst
cat ecpglib%{ecpg_soname}-%{pgver}.lang >> libpq.lst
#cat pg_config-%{pgver}.lang > devel.lst

rm -rf %{buildroot}%{_libdir}/lib*.a
rm -rf %{buildroot}%{_datadir}/pgsql
find %{buildroot}%{_mandir}/man1 -type f | grep -v ecpg.1 | xargs rm -f

rm -f %{buildroot}%{_includedir}/pgsql/Makefile*
find %{buildroot}%{_includedir}/pgsql -type f | perl -pi  -e 's|^%{buildroot}||g'> devel.lst

%post
/sbin/ldconfig 

%postun
/sbin/ldconfig 


%clean
rm -rf $RPM_BUILD_ROOT


%files -n libpq%{pq_soname} -f libpq.lst
%defattr(-,root,root)
%doc COPYRIGHT HISTORY INSTALL README*
%{_libdir}/libecpg.so.*
%{_libdir}/libecpg_compat.so.*
%{_libdir}/libpgtypes.so.*
%{_libdir}/libpq.so.*

%files devel -f devel.lst
%defattr(-,root,root)
%{_bindir}/ecpg
%{_bindir}/pg_config
%{_libdir}/libecpg.so
%{_libdir}/libecpg_compat.so
%{_libdir}/libpgtypes.so
%{_libdir}/libpq.so
%{_libdir}/pkgconfig/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/ecpg.*
#%{_mandir}/man1/pg_config.*


%changelog
* Fri Apr  1 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.2-1
- new upstream release.

* Tue Mar 15 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.1-1
- new upstream release.

* Sat Jan  9 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.0-1
- new upstream release.

* Fri Oct  9 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.5-1
- new upstream release.

* Sat Jun 13 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.4-1
- new upstream release.

* Fri Jun 12 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.3-1
- new upstream release.

* Thu Jul 10 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.3.4-4
- added all headers for a strange client.

* Wed Jun 25 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 9.3.4-3
- add pgconfig
- add pg_config*.h and libpq/libpq-fs.h

* Sun Jun 15 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 9.3.4-2
- add postgres_ext.h and pg_config_ext.h

* Mon Mar 31 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.3.4-1
- new upstream release

* Sat Nov 30 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.3.1-1
- made to build client libraries only.

* Thu Feb 21 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.12-1
- new upstream release

* Thu Feb  7 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.11-1
- new upstream release
- add Vendor and Distribution tags

* Mon Jan  7 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.7-2vl7
- build with Tcl/Tk 8.5.7-1
- fix init script (Source3): fix su(1) paramaters.

* Tue Mar 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.7-1
- new upstream release 
- move euc2004_sjis2004.so from -contrib to -server (BTS:1266)
- remove *_and_*.so from -contrib (included in -server)

* Sat Apr 23 2011 Shu KONNO <owa@bg.wakwak.com> 9.0.4-1
- updated postgresql to 9.0.4

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 9.0.3-1
- updated postgresql to 9.0.3
- separated postgresql-jdbc package

* Thu Feb 03 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.7-1
- updated postgresql to 8.4.7 (contains a variety of fixes)

* Sat Jan 29 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.6-1
- updated postgresql to 8.4.6
- updated JDBC2 driver to postgresql-8.3-606.{jdbc2,jdbc2ee}.jar
- updated JDBC3 driver to postgresql-8.4-702.jdbc3.jar
- updated JDBC4 driver to postgresql-8.4-702.jdbc4.jar

* Thu Jan 13 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.5-2
- rebuilt with openssl-1.0.0c

* Thu Oct 07 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.5-1
- updated postgresql to 8.4.5

* Sun May 16 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.4-1
- updated postgresql to 8.4.4

* Thu Apr 15 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.3-1
- updated postgresql to 8.4.3
- s/BuildPrereq/Buildrequires/

* Wed Feb 17 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.2-1
- updated postgresql to 8.4.2
- rebuilt with new environment

* Thu Sep 10 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.1-1
- updated postgresql to 8.4.1

* Fri Aug 21 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-2
- moved dict_snowball.so from conrib to server

* Tue Jul 07 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-1
- updated postgresql to 8.4.0
- updated jdbc3,4 to 701
- dropt postgresql-8.3.3-nls.patch (fixed)
- dropt postgresql-7.4-ecpg-patch (no effect)

* Sat Apr 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.3.7-2
- changed libs Group to System Environment/Libraries

* Sun Apr 12 2009 Shu KONNO <owa@bg.wakwak.com> 8.3.7-1
- updated postgresql to 8.3.7

* Sun Jan 25 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-2
- remove "-E EUC_JP --no-locale" option from initdb in postgresql.init

* Thu Jan 22 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-1
- new upstream release (postgresql to 8.3.5, jdbc to 604)

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 8.3.3-1vl5
- applied new versioning policy, and spec in utf-8
- updated postgresql to 8.3.3
- updated jdbcver to 603
- added postgresql-8.3.3-nls.patch instead of postgresql-8.2.0-nls.patch.gz
- added a script to replace PGVERSION in postgresql.init

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl2
- rebuild with tcl/tk-8.4.18

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl1
- updated postgresql to 8.2.6
- included security fixes: CVE-{2007-6600, 2007-4772, 2007-6067, 2007-4769, 2007-6601}

* Tue Oct 16 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl3
- updated PGVERSION to 8.2 in postgresql.init (sorry;)

* Tue Oct 09 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl2
- rebuild with tcl/tk-8.4.16

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl1
- updated postgresql to 8.2.5
- updated jdbc driver to 8.2-506, and added 8.2-506.jdbc4.jar
- updated nls-patch to 8-2-0
- dropt postgresql-8.1.4-Pg.patch.gz

* Wed Sep 19 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 8.1.10-0vl1
- for VineSeed
- updated to 8.1.10 (8.1.9 and up has fixes for CVE-2007-2138)
- JDBC driver updated to 410

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.1.5-0vl1
- rebuilt for VineSeed
- fixed install script

* Thu Nov 23 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.5-0vl0
- upstream release
- fix missing %defattr in %files server 

* Fri Sep 15 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl2
- fix version number in postgresql.init

* Tue Sep 12 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl1
- upstream release
- drop rpm-pgsql-8.0.0.patch
- add Requires: perl-DBD-Pg for contrib
- add postgresql-8.1.4-Pg.patch.gz
- update nls patches
- new JDBC driver

* Sat Mar 18 2006 Shu KONNO <owa@bg.wakwak.com> 8.0.3-0vl4
- added build options --without perl, --without python
- rebuilt for x86_64 architecture support

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl3
- drop Provides: on postgresql-libs
- drop Requires: libpq.so on postgresql-server

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl2
- change SONAME -- Provides: libpq.so.4 libpq.so.4.0 libpq.so

* Thu May 26 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl1
- upstream release
- update nls patches

* Fri Apr 22 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.2-0vl1
- upstream release
- update nls patches

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl3
- rebuilded with python-2.4.1-0vl1

* Sat Mar 26 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl2
- Dropped PyGreSQL-3.4.tgz.
- Dropped PyGreSQL-3.4-setup-2.patch.
- Dropped plpython.so in postgresql-server, because it's exist in postgresql-pl.
- Dropped pyver and pynextver macros.
- Changed macro name "python" to "plpython" like plperl.
- Added "Obsoletes: postgresql-python"

* Fri Feb 18 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.1-0vl1
- Major version up
- Obsoletes: postgresql7
- update nls patch(es)
- modify %postun not to delete postgres account on upgrade

* Thu Jan 27 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.0-0vl1
- upstream release (release as a new package)
- Conflicts: postgresql
- update nls patch(es)
- (this package revision was rejected by Vine Project)

* Sat Dec 04 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.6-0vl2
- upstream release
- new JDBC driver
- add BuildRequires: bison, flex, pam-devel
- drop postgresql-7.4.5-tempfile.patch (repaired)

* Thu Nov 18 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 7.4.5-0vl2
- Added a security fix patch postgresql-7.4.5-tempfile.patch
  from Gentoo Linux (CAN-2004-0977).
- Changed Patch4:
  from PyGreSQL-3.4-setup-2.patch into PyGreSQL-3.4-setup-2.patch
  It is possible to compile this package without pre-installed postgresql.
- Removed Patch5 because Patch4 was changed.

* Tue Aug 24 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.5-0vl1
- upstream release

* Mon Jun 21 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.3-0vl1
- upstream release
- new jdbc driver 

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl3
- rebuild with python-2.3.3-0vl1

* Tue Apr 13 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.3
- changed mode to 644 at Makefile.global, Makefile.shlib

* Mon Apr 12 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.2
- updated python install section

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.1
- added PyGreSQL-3.4.tgz and set python flag
- added PyGreSQL-3.4-setup.patch
- added PyGreSQL-3.4-pgmodule.patch
- rebuilded with python-2.3.3-0vl0.3 (for TestPkg)

* Sun Mar 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.4.2-0vl2
- rebuild with new openssl

* Wed Mar 17 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.2-0vl1
- upstream release
- change all of %{?foo:%define foo 0} -like descriptions to simple 
  %define format for latest rpm to build.

* Sat Feb 14 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl3
- rebuild on latest tcl package environment.

* Wed Feb 11 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl2
- fixed lacking files at server's %files

* Fri Dec 05 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl2
- include JDBC driver for 7.4
- fix typo in postgresql-7.4-psql-patch

* Thu Nov 20 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl1
- upstream release
- change '--includedir=' option to avoid conflicting with unixODBC
- add postgresql-7.4-ecpg-patch

* Wed Sep 10 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.4-0vl1
- upstream release

* Wed Jul 23 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl2
- drop previous version of libpq's trash

* Wed May 28 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl1
- upstream release with new nls patch
- fix postgresql-bashprofile (value of PGDATA)
- fix postgresql-init for Japanese-specific use (-E EUC_JP --no-locale)

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 7.3.2-0vl2
- rebuild with tcltk8.4 and readline-4.3

* Fri Mar 07 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.2-0vl1
- upstream release

* Wed Dec 25 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3.1-0vl1
- upstream release
- remove garbage changelog

* Mon Dec 23 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3-0vl1
- upstream release based on 7.3-2PGDG
- add nls patch

* Thu Dec 05 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-2PGDG
- Fix typo in initscript.  Argh!!

* Wed Dec 04 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.5PGDG
- Jerk out all perl client stuff and kludgage
- Rename plperl subpackage to a pl subpackage containing all but PL/Pgsql PL's
- Eliminate locale and multibyte explicit enables -- they are both defaults now
- Eliminate pgaccess code; it's not a part of the main tarball anymore
- Eliminate ODBC stuff -- it's also separate now.  Use unixODBC instead.
- Eliminated separate tk client package -- rolled the tk client into the tcl client.
- Moved pltcl into the pl subpackage.
- Added plpython to the pl subpackage.
- /etc/sysconfig/pgsql is sysconfdir for multiple postmaster startup.

* Mon Dec 02 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.1PGDG (not released)
- Integrate 7.3 jar's courtesy Joe Conway
- Integrate multi-postmaster initscript courtesy Karl DeBisschop
- Some renames and restructures.
- Stripped out the last dregs of the postgresql-dump migration script.
- Conflicts with less than 7.3.

- (See below for old changelogs from VineSeed) 

* Fri Oct 04 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.3-0vl1
- updated to 7.2.3.

* Tue Sep 10 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl3
- absorbed previous patch8 into original nlspatch
- fixed configure options (--enable-nls and --enable-locale to be antinomy)

* Fri Aug 30 2002 Shoji Matsumoto <shom@vinelinux.org> 7.2.2-0vl2
- add patch8 (ja.po for psql was invalid)

* Thu Aug 29 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl1
- updated to 7.2.2.
- improved nlspatch to enable japanese SQL help in psql.

* Sat Jul 06 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl3
- fixed garbage chars in description(ja).

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl2
- imported & replaced changelog (following VineSeed's).
  add some stuff to '%%files'.

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl1
- Modified for Vine Linux 2.5. Originaly from RHL 7.2.1-5, adding
  nls patch, pg_dump patch, date_part patch by Jun Kuwamura

* Thu May 23 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- replace nls patch.
- add *.mo to '%%files'.

* Mon Mar 04 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- fix initscript

* Sun Mar 03 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- add /usr/bin/pg_id to the package (fix)

* Fri Mar 01 2002 Satoshi MACHINO <machino@vinelinux.org> 7.2-0vl1
- updated 7.2
- added nls.patch
- fixed spec file
- added New JDBC
-- pgjdbc1.jar(for JDK1.1.x), pgjdbc2(for Java2)

* Sat Sep 22 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.3-4vl1
- updated 7.1.3

* Tue Aug 21 2001 Hisao SHIBUYA <shibuya@alpha.or.jp>
- 7.1.2-7vl3
- merge 7.1.2-7vl2 and 7.1.2-7

* Sun Aug 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 7.1.2-7vl2
- fixed spec typo (%%{_includesir} -> %%{_includedir})

* Tue Aug 14 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.2-7vl1
- updated 7.1.2 (used postgresql-7.1.2-7)
- used psqlj patch for 7.1.2
- used jumbo-20010801.patch.gz

* Mon Aug  6 2001 Trond Eivind Glomsr <teg@redhat.com> 7.1.2-7
- Add patches from 7.1-stable branch. This should fix #50799 and #50797
- Enable kerberos authentication (#50644)
- handle stop with stale pid file (#50499)
- make the test subpackage (not built by default) own /usr/lib/pgsql/test

* Mon Jul  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make the -devel subpackage depend on -libs, not the main package

* Tue Jun 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make sure the python subpackage depends on mx - otherwise, you'd get an error when importing

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add changes for s390x

* Fri Jun 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Many path fixes for contrib packages
- Newer intarray
- Don't use nested ifs for tkpkg/pgaccess
- Turn off test package for Red Hat Linux - it makes most sense just to use 
  this during development
- One "pgacess" -> "pgaccess"

* Wed Jun 13 2001 Lamar Owen <lamar.owen@wgcr.org> <lamar@postgresql.org>
- -4PGDG
- patchset update for pg_regress.sh
- can the dot in the release -- confused too many people and some programs.
- -3.PGDG
- updated README.rpm-dist
- updated patch to 7.1.2, fixing some places where /usr/share/pgsql 
  was still being used where /usr/lib/pgsql was intended.
- PGLIB now set to /usr/lib/pgsql -- initdb doesn't use it to find the bki's.

* Tue Jun 12 2001 Trond Eivind Glomsr <teg@redhat.com>
- sync
- Run chkconfig --add on server install
- Move the prereqs on useradd on chkconfig to the server package
- don't disable the %%clean section

* Sat Jun 09 2001 Lamar Owen <lamar.owen@wgcr.org>
- Sync up with Trond Eivind's set.

* Thu Jun  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Don't create postgres' .bashrc from the server post script: include it instead
- Move the test packages from /usr/share/pgsql to /usr/lib/pgsql
- Move the symlinks libpq.so, libecpg.so, libpq++.so and libpgeasy.so to the devel subpackage from 
  libs
- Source the i18n data from the .bashrc instead of in the initscript

* Mon May 28 2001 Trond Eivind Glomsr <teg@redhat.com>
- Handle i18n for database startup - backend needs to have the same locale everytime, 
  but this certainly can't be hardcoded to C either
- Fix stop, restart in initscript (#42217)
- Make database init _much_ less verbose
- other minor fixes to the initscript

* Fri May 25 2001 Trond Eivind Glomsr <teg@redhat.com>
- 7.1.2

* Thu May 24 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.2-0.1.1.PGDG PRERELEASE
- Changed versioning and release numbering a little for better flexibility,
-- particularly for distribution packagers.
- Release numbering comment at top of spec, where it's more useful.
- Trimmed changelog to 7.1.x. See the last 7.0.3's specfile for the 7.0
  changlog, and the last 6.5.3's specfile for the changelog prior to
  7.0.

* Sun May 20 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-4.PGDG
- _really_ got Python version agnosticism working.

* Sat May 19 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-3.PGDG Release
- Python version agnosticism.....

* Tue May 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Use openssl
- Make it obsolete subpackages if they aren't built

* Mon May 14 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-2.PGDG Release.
- Appended .PGDG to release string to differentiate our RPM set from the others.
- /bin/sh fix in initscript
- README.rpm-dist updates.

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1.1-0.7
- Rebuild with new readline

* Thu May 10 2001 Trond Eivind Glomsr <teg@redhat.com>
- Initial 7.1.1

* Mon May  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Specify shell when running commands through su in the initscript, to avoid problems 
  when people switch the postgres user to use tcsh

* Thu Apr 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- JDBC driver for Postgresql 7.1

* Sun Apr 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- slightly different versioning scheming, will go back to the official
  later when I'm sure the package is ready to use

* Fri Apr 13 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1 RELEASE
- 7.1-1 RPM RELEASE
- Change to COPTS -- strip out -ffastmath -- Considered Harmful.
- Back to old versioning scheme, kept teg's other fixes.
- README.rpm-dist updated.
- PGVERSION updated all-around (hopefully!)
- Couple of fixes from Peter E.
- Rearrange dependencies -- only the -libs subpackage is required for most stuff
- Removed broken and confusing logrotate script.

* Mon Apr  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- chown considered harmful - removed
- fix dangling symlimks (pg_crc.c)
- libpq.so changes for maximum compatiblity
- different versioning scheme, to avoid trouble later
- remove temporary perl file from the file list
- fix spelling error in tcl description
- mark odbcinst.ini as a config file
- use %%defattr on packages which didn't have it

* Sat Apr 07 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Integrated the PL/Perl stuff from Karl DeBisschop --conditional.
- Packaging reorg: added contrib and docs subpackages.
- Removed sgml source docs from main package --> docs subpackage.
- Removed contrib tree from main package --> contrib subpackage.
- Contrib tree is now prebuilt -- HOWEVER, very little install work is
  currently done with this. 

* Fri Apr 06 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Quickie RC3.  There will be a 7.1RC3-2 shortly with other stuff.

* Tue Apr 03 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC2
- eliminate versioning information for ancilliary files in prep for CVS.
- Fix docs mixup.

* Tue Mar 27 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC1 quickie.

* Tue Mar 20 2001 Lamar Owen <lamar@postgresql.org>
- Beta 6 initial build.
- Use make install-all-headers instead of cpio hack for devel headers.
- Split out the libs into the libs subpackage.
- Updated initscript to use pg_ctl to stop
- Updated initscript to initdb and start postmaster with LC_ALL=C to 
  prevent index corruption.


* Sun Jan 28 2001 Lamar Owen <lamar@postgresql.org>
- Beta4
- Return to 'pgsql' directories instead of 'postgresql'
- Better perl patches.

* Mon Jan 15 2001 Lamar Owen <lamar@postgresql.org>
- Edit patches to get rid of some cruft.
- Eliminate some more pre-7.1 specfile baggage that is no longer necessary.
- Moved pg_id to server
- added Makefile.global and pg_config to devel
- Corrected /usr/include/pgsql to /usr/include/postgresql
- Fixed some configure options.  Will be trying the configure macro next release
- Since it is terminally ill in this version pg_upgrade is _gone_.
- Thanks to Peter E for a good review.

* Sun Jan 14 2001 Lamar Owen <lamar@postgresql.org>
- Running regression. 1 on the release-o-meter.
- Minor patches to get regression running right.  
- Initscript tweaking -- the old test for a database structure fails with 7.1's new structure.

* Sat Jan 13 2001 Lamar Owen <lamar@postgresql.org>
- Perl 5 needs to be built with PREFIX set on the Makefile, not GNUmakefile....
- The 7.1 build is different from the 7.0 build -- see the configure line.
- NOTE: many files that used to be in /usr/share/postgresql are now in /usr/share/postgresql!
- by request, conditional packages are now supported. See the top of the spec.
- Fixed the server postinstall problems.

* Mon Jan 08 2001 Lamar Owen <lamar@postgresql.org>
- First 7.1 beta test-build

