%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:           libxshmfence
Version:        1.2
Release:        1%{?_dist_release}
Summary:        X11 shared memory fences

License:        MIT
URL:            http://www.x.org/
Group:          System Environment/Libraries
Source0:        http://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

# upstream tarball has broken libtool because libtool is never not broken
BuildRequires:  autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-x11-util-macros
BuildRequires:  xorg-x11-proto-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Shared memory fences for X11, as used in DRI3.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# compat32
%package -n compat32-%{name}
Summary: X11 shared memory fences
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
autoreconf -v -i -f
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc COPYING ChangeLog README
%defattr(-,root,root,-)
%{_libdir}/libxshmfence.so.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/xshmfence.pc
%{_libdir}/*.so

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libxshmfence.so.1*
%endif

%changelog
* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2-1
- update to 1.2

* Sat Nov  1 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1-3
- added Group tag to devel package
- added %%clean section to spec file

* Wed May 14 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-2
- add compat32 subpackage for mesa

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-1
- initial build for Vine Linux


* Thu Dec 12 2013 Adam Jackson <ajax@redhat.com> 1.1-1
- xshmfence 1.1

* Wed Nov 06 2013 Adam Jackson <ajax@redhat.com> 1.0-1
- Initial packaging

