Summary:	The MATE media tools
Name:		mate-media
Version:	1.14.0
Release:	1%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/1.14/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	gtk2-devel >= 2.18.0
BuildRequires:	libxml2-devel
BuildRequires:	libcanberra-devel >= 0.13
BuildRequires:	unique-devel
BuildRequires:	libmatemixer-devel
BuildRequires:	mate-desktop-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils
Requires:	pulseaudio

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
These are the MATE media tools for MATE:

mate-volume-control     - PulseAudio based volume control applets.

%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
	update-desktop-database %{_datadir}/applications >& /dev/null ||:
	glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/mate-volume-control-applet.desktop
%{_bindir}/mate-volume-control
%{_bindir}/mate-volume-control-applet
%{_datadir}/applications/mate-volume-control.desktop
%{_datadir}/%{name}
%{_datadir}/sounds/mate/default/alerts/*
%{_mandir}/man1/mate-volume-control-applet.1.gz
%{_mandir}/man1/mate-volume-control.1.gz


%changelog
* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- add Requires: pulseaudio
- add BuildRequires: libmatemixer-devel
- remove BuildRequires:	pulseaudio-libs-devel, gstreamer-devel, gstreamer-plugins-base-devel, mate-panel-devel

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- initial build

