Summary:	MATE menu specifications
Name:		mate-menus
Version:	1.14.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.14/%{name}-%{version}.tar.xz

# for Vine 
Source10:	mate-applications.menu.vine
Source11:	mate-preferences.menu.vine
Source12:	mate-settings.menu.vine

License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	gtk2-devel
BuildRequires:	python-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-menus contains the libmate-menu library, the layout configuration
files for the MATE menu, as well as a simple menu editor.


%package		devel
Summary:        Development tools for mate-menus
Summary(ja):    mate-menus の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-menus.

%package		python
Summary:        Python bindings for mate-menus
Summary(ja):    mate-menus の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python

%description	python
%{summary}


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/examples/mate-menus-ls.py

install -m 0644 %{SOURCE10} ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/menus/mate-applications.menu
install -m 0644 %{SOURCE11} ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/menus/mate-preferences.menu
install -m 0644 %{SOURCE12} ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/menus/mate-settings.menu

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-preferences.menu
%{_sysconfdir}/xdg/menus/mate-preferences-categories.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%{_libdir}/libmate-menu.so.*
%{_libdir}/girepository-1.0/MateMenu-2.0.typelib
%{_datadir}/mate/desktop-directories/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-menus
%{_libdir}/libmate-menu.so
%{_libdir}/pkgconfig/libmate-menu.pc
%{_datadir}/gir-1.0/MateMenu-2.0.gir

%files python
%defattr(-,root,root,-)
%{python_sitearch}/matemenu.so
%{_datadir}/%{name}/examples/mate-menus-ls.py


%changelog
* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat Jun 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-2
- update Source10,11

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release

* Tue Apr 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-4
- rebuild with VineSeed environment

* Wed Sep 25 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-3
- add Source10 (mate-applications.menu.vine)
- add Source11 (mate-preferences.menu.vine)
- add Source12 (mate-settings.menu.vine)

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- add BuildRequires: python-devel
- create python subpackage

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- initial build for Vine Linux

