Summary: A C library for multiple-precision floating-point computations
Name: mpfr
Version: 3.1.4
Release: 1%{?_dist_release}
URL: http://www.mpfr.org/
Source0: http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
License: LGPLv3+
Group: System Environment/Libraries
Vendor: Project Vine 
Distribution: Vine Linux 
Packager: inagaki, Takemikaduchi, kenta
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gmp-devel
Requires: gmp >= 4.2.3

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package devel
Summary: Development tools A C library for mpfr library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gmp-devel >= 4.2.3
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The static libraries, header files and documentation for using the MPFR 
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.

%prep
%setup -q

%build

%configure --disable-assert
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_infodir}
#iconv  -f iso-8859-1 -t utf-8 mpfr.info >mpfr.info.aux
iconv  -f iso-8859-1 -t euc-jp mpfr.info >mpfr.info.aux
mv mpfr.info.aux mpfr.info
popd
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.a
cd ..


%check
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir || :

%preun devel
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER NEWS README
%{_libdir}/libmpfr.so.*
%{_datadir}/doc/mpfr

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmpfr.so
%{_includedir}/*.h
%{_infodir}/mpfr.info*

%changelog
* Sat May 07 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- update to 3.1.4

* Sun Dec 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-2
- rebuild with VineSeed environment

* Mon Nov 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- update to 3.1.2

* Sun Oct 30 2011 NAKAMURA Kenta <kenta@vinelinux.org> 3.1.0-1
- new upstream release

* Tue Apr 19 2011 NAKAMURA Kenta <kenta@vinelinux.org> 2.4.2-2
- rebuild for Vine 6

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release
- add Requires: gmp-devel (devel package)

* Sat Nov 28 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-1
- new upstream release

* Mon May 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.1-1
- new upstream release
- applied new versioning policy

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.0-1vl1
- initial build for Vine Linux

* Thu Sep 20 2007 Ivana Varekova <varekova@redhat.com> 2.3.0-1
- update to 2.3.0
- fix license flag

* Mon Aug 20 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-2
- spec file cleanup (#253440)

* Tue Jan 16 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-1
- started

