%define ver 0.5.8
%define rel 2

Name:		msgpack
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Summary:	Binary-based efficient object serialization library
Group:		System Environment/Libraries

License:	ASL 2.0
URL:		http://msgpack.org
Source0:	http://msgpack.org/releases/cpp/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
# for regenerating configure
BuildRequires:	libtool
# for %%check
BuildRequires:	gtest-devel
BuildRequires:	zlib-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.


%package devel
Summary:	Libraries and header files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files for %{name}


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING ChangeLog LICENSE NOTICE README README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/msgpack.pc


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 0.5.8-2
- rebuild with gcc-5.4.0

* Tue Dec 31 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.5.8-1
- update to 0.5.8
- drop gtest patch: upstream fixed
- add pkgconfig file in msgpack-devel package

* Fri Feb  1 2013 IWAI, Masaharu <iwai@alib.jp> 0.5.7-1
- initial build for Vine Linux

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Daiki Ueno <dueno@redhat.com> - 0.5.7-1
- initial packaging for Fedora

