%define	_sysconfdir	/etc

################################################# BASIC PACKAGE INFORMATION
Summary:       AFP fileserver for Macintosh clients
Summary(ja):   Macintoshクライアント向けのAFPファイルサーバー
Name:          netatalk
Version:       3.1.9
Release:       1%{_dist_release}
License:       GPLv2+
Group:         System Environment/Daemons
URL:           http://netatalk.sourceforge.net/

Source0:       %{name}-%{version}.tar.bz2

Source1:       netatalk.pam-system-auth
Patch0:        netatalk-3.0.1-basedir.patch

############################################################## REQUIREMENTS
Requires(post): /sbin/chkconfig /sbin/ldconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service /sbin/ldconfig
BuildRequires: cracklib openssl-devel pam quota libtool automake
BuildRequires: autoconf libdb-devel pam-devel tcp_wrappers libgcrypt-devel
BuildRequires: avahi-devel libacl-devel openldap-devel
BuildRequires: dbus-devel dbus-glib-devel glib2-devel systemtap-sdt-devel
BuildRequires: libevent-devel libtdb-devel libmysqlclient-devel

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

Vendor:        Project Vine
Distribution:  Vine Linux
Packager:      shaolin, tomop

%description
Netatalk is a freely-available Open Source AFP fileserver. A *NIX/*BSD
system running Netatalk is capable of serving many Macintosh clients
simultaneously as an AppleShare file server (AFP).

%description -l ja
　Netatalkは自由に利用可能なオープンソースAFPファイルサーバーです。
Netatalkを実行している*NIX/*BSDシステムでは、多くのMacintoshクライ
アントに対してAppleShareファイルサーバー（AFP）としてサービスを提供
可能です。

%package devel
Group:         Development/Libraries
Summary:       Headers for Netatalk development
Summary(ja):   Netatalk開発用ヘッダファイル

%description devel
This package contains the header files for Netatalk.


%prep
%setup -q

%patch0 -p1 -b .basedir

ln -s ./NEWS ChangeLog

%build

export CFLAGS="$RPM_OPT_FLAGS"
%ifnarch x86_64
# XXX : enable for x86_64 when glibc bug 149284 is fixed!
export CFLAGS="$CFLAGS -fPIE"
export LDFLAGS="-pie -Wl,-z,relro,-z,now,-z,noexecstack"
#"export LDFLAGS="-pie -Wl,-z,relro,-z,now,-z,noexecstack,-z,nodlopen"
#Also in case of i686, nodlopen causes the problem.
%endif

%configure \
        --with-pkgconfdir=%{_sysconfdir}/netatalk \
        --with-cracklib \
        --with-pam \
        --with-shadow \
        --with-uams-path=%{_libdir}/netatalk \
        --enable-shared \
        --enable-krbV-uam \
        --enable-overwrite \
        --with-gnu-ld \
        --with-init-style=redhat-sysv \
        --with-libgcrypt \
        --without-libevent \
        --without-tdb \
        --with-pam-confdir=%{_sysconfdir}/pam.d \
        --with-dbus-sysconf-dir=%{_sysconfdir}/dbus-1/system.d

make %{?_smp_mflags} all

%install
### INSTALL (USING "make install") ###
rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

# install example config files in doc
mkdir config.example
cp -fp config/afp.conf config.example
cp -fp config/extmap.conf config.example
mkdir -p $RPM_BUILD_ROOT/usr/share/netatalk

cp -fp %{SOURCE1} config.example
# XXX bad hack until this file is updated in glibc-headers:
rm -f $RPM_BUILD_ROOT/usr/include/netatalk/at.h

# Clean up .a and .la files
find $RPM_BUILD_ROOT -name \*.a -exec rm {} \;
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%post
if [ -e /etc/netatalk/afp_signature.conf -a ! -e /var/netatalk/afp_signature.conf ]; then
        mv -f /etc/netatalk/afp_signature.conf /var/netatalk/
fi
if [ -e /etc/netatalk/afp_voluuid.conf -a ! -e /var/netatalk/afp_voluuid.conf ]; then
        mv -f /etc/netatalk/afp_voluuid.conf /var/netatalk/
fi
/sbin/chkconfig --add netatalk
/sbin/ldconfig

%preun
if [ "$1" = "0" ] ; then
  # check for existence due to renaming initscript
  if [ -x  %{_initrddir}/netatalk ] ; then
    /sbin/service netatalk stop > /dev/null 2>&1
    /sbin/chkconfig --del netatalk
  fi
fi

%postun
if [ "$1" -ge "1" ]; then
        # Package upgrade, not uninstall
        if [ -e /etc/netatalk/afp_signature.conf -a ! -e /var/netatalk/afp_signature.conf ]; then
                mv -f /etc/netatalk/afp_signature.conf /var/netatalk/
        fi
        if [ -e /etc/netatalk/afp_voluuid.conf -a ! -e /var/netatalk/afp_voluuid.conf ]; then
                mv -f /etc/netatalk/afp_voluuid.conf /var/netatalk/
        fi
  /sbin/service netatalk condrestart > /dev/null 2>&1 || :
fi
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYRIGHT COPYING ChangeLog VERSION NEWS
%doc config.example
%attr(755,root,root) %{_initrddir}/netatalk
%dir %{_sysconfdir}/netatalk
%config(noreplace) %{_sysconfdir}/netatalk/afp.conf
%config(noreplace) %{_sysconfdir}/netatalk/extmap.conf
%config(noreplace) %{_sysconfdir}/netatalk/dbus-session.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/netatalk-dbus.conf
%{_sbindir}/*
%{_bindir}/*
%exclude %{_bindir}/netatalk-config
%{_mandir}/man*/*
%exclude %{_mandir}/man*/netatalk-config*
%{_datadir}/netatalk
%{_libdir}/*.so
%{_libdir}/*.so.*
%dir %{_libdir}/netatalk
%{_libdir}/netatalk/*.so
%{_localstatedir}/netatalk

%files devel
%defattr(-,root,root)
%doc COPYRIGHT COPYING
%dir %{_includedir}/atalk
%attr(0644,root,root) %{_includedir}/atalk/*
%{_datadir}/aclocal/netatalk.m4
%{_bindir}/netatalk-config
%{_mandir}/man*/netatalk-config.1*

%changelog
* Wed Jul 20 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.1.9-1
- new upstream release.
- dropped Patch1: fixed in upstream.

* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.1.8-2
- added Patch1.

* Wed Dec 30 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.1.8-1
- new upstream release.

* Tue Jun 16 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.1.7-1
- new upstream release.

* Mon Dec  1 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.2.2-2
- rebuilt with libgcrypt 1.6.0 and libdb 5.3.28

* Thu Apr 26 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.2.2-1
- new upstream release.
- added build option 'force_uidgid'.

* Sun Sep 18 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2.1-1
- new upstream release
- fix configure options; add missing BRs

* Thu Jul 28 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2.0-3
- now back from the upstream confusion (and one more or two...)
  new upstream release 2.2.0 at the official site

* Mon Jul 25 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2.0-2
- fix Patch10 to follow HAT-san's strong and confident objection
  (no need to set ATALK_NAME explicitly in netatalk.conf)

* Sat Jul 23 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2.0-1
- new upstream release (at http://www003.upp.so-net.ne.jp/hat/netatalk/)
- add Source100 to add one missing header file in the tarball
- revise Patch10
- explicitly specify --disable-ddp for the first time

* Wed May 04 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.5-1
- new upstream release

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.1.3-3
- rebuild with openssl-1.0.0c

* Sun Jul 25 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.3-2
- fix Patch10 & update description - upon HAT-san's suggestions

* Sun Jul 25 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1.3-1
- new upstream release
- update Vine patch

* Thu Feb 11 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.5-1
- new upstream release

* Sun May 31 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.4-1
- new upstream release

* Sun Mar  8 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.3-7
- rebuilt both for VineSeed / VinePlus-4.0

* Fri Jul 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-6
- updated to the cjk-6 patch
- Patch11/12 updated - VineSeed is now set with ja_JP.UTF-8 locale
- Patch14 updated for db46

* Sun Apr 20 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-5
- remove openslp dependency

* Tue Apr 15 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-4
- add Patch11 for Vine's default setting (volcharset:EUC-JP, etc.)
- TODO: remember to revise this fix after VineSeed changes default locale
        from ja_JP.eucJP (current) to ja_JP.UTF-8 (near future)

* Tue Apr 15 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-3
- revise description (thanks HAT-san for pointing this out)
- run libtoolize/aclocal/auto{make,conf,header} before doing configure
  (without this, uams_* modules won't get .so suffix)

* Mon Apr 14 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-2
- Patch10 updated; dropped Patch11, Patch12, Source10 and Source11
  (Patch10 now includes all the modifications and more fixes)

* Fri Apr 11 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.0.3-1
- add patch13 and patch14 for db-4.3.
- move files in %%_libexecdir to %%libdir.

* Sat Oct 21 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-0vl1
- updated to 2.0.3 release w/ cjk patches (see the above Patch section)

* Tue Oct 19 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0-0vl4
- security fix: added Patch10 (CAN-2004-0974)

* Tue Oct 19 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0-0vl3
- configure --with-cnid-default-backend=dbd (cdb seems to be unstable)

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0-0vl1
- updated to 2.0 with cjk patch
  (see the above Patch section for details)

* Tue May 28 2002 Masaki Shinomiya <shino@pos.to> 1.5.3.1-0vl4
- merge the patch repairing bug for System 7.5.5
- (patch6 netatalk-1.5.3.oldsys.patch)
- made by Akihiro Okamaoto <med012@art.osaka-med.ac.jp>
- patch6 addupted no matter noeuc is, license GPL, URL in comment

* Sat Apr 27 2002 Masaki Shinomiya <shino@pos.to> 1.5.3.1-0vl3
- euc and kana patch originally by
- Akihiro Okamoto <med012@art.osaka-med.ac.jp> against netatalk-1.4b2+asun2.1.3
- applied to netatalk-1.5.2 by me 
- README.vine
- omit VERSION from doc, omit perl from require

* Wed Apr 24 2002 Masaki Shinomiya <shino@pos.to> 1.5.3.1-0vl2
- this package is removed because the release number duplicated

* Mon Apr 01 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.3.1-0vl2
- move acleandir.rc to the doc directory, remove executable flag.

* Sun Mar 31 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.3.1-0vl1
- updated to new upstream release

* Fri Mar 01 2002 Toru Sagami <sagami@vinelinux.org> 1.5.2-0vl3
- added Japanese Summary for devel and corrected Group

* Thu Feb 28 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.2-0vl2
- Oops, check /var/lock/atalkd instead of /var/run/atd.pid
  (say atd.pid doesn't have anything to do with netatalk!!)

* Tue Feb 26 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.2-0vl1
- updated to new upstream release

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 1.5.1.1-0vl3
- install man pages into %%{_mandir}
- PreReq: /sbin/chkconfig /sbin/ldconfig grep textutils
- let pre script exit 0

* Thu Feb 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5.1.1-0vl2
- spec cleanup
- backup old prefs directory (/etc/atalk -> /etc/netatalk/00OLD_VERSION_PREFS)
- restart atalk daemons in the %%post section

* Sun Feb 3 2002  k hanai <hanai@koto.kpu-m.ac.jp>
 - v1.5.1.1-0vl1

* Fri Jan 25 2002 k hanai <hanai@koto.kpu-m.ac.jp>
  - v1.5.0-0vl1
  - release 1.5.0 for sourceforge

* Thu Apr 12 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre6-1rh7
  - pre-release 6 for sourceforge

* Wed Mar 07 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre5-1
  - pre-release 5 for sourceforge

* Fri Feb 23 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre5-0
  - pre-release 5 for sourceforge (prebuild)

* Tue Feb 20 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre4-1
  - pre-release 4 for sourceforge
  - modified/split mandrake spec for redhat 7 build

* Mon Dec 18 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre3-1mdk
  - pre-release 3 for sourceforge
  - moved away from 1.4.99 ... 

* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20001108mdk
  - pre-release 2 for sourceforge

* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20000927mdk
  - pre-release 1 for sourceforge
