%define pkgname audacious-plugins-extra
%define name	self-build-%{pkgname}
%define version 3.6.1
%define release	1%{?_dist_release}

%define sourceurl0	http://distfiles.audacious-media-player.org/audacious-plugins-%{version}-gtk3.tar.bz2

# Minimum audacious/audacious-plugins version in inter-package dependencies.
%global aud_ver 3.6

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

# list of license per plugin in README.licences
License: 	GPLv2+ and LGPLv2+ and GPLv3 and MIT and BSD
Group:		Restricted Software

Requires(post):	self-build-setup >= 0.8
Requires(post):	self-build-faad2
Requires(post):	self-build-ffmpeg
Requires(post):	self-build-lame
Requires(post):	self-build-mpg123

Requires(post):	audacious-devel >= %{aud_ver}
Requires(post):	libogg-devel
Requires(post):	libvorbis-devel
Requires(post):	flac-devel 

Requires:	audacious >= %{aud_ver}

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Obsoletes:	self-build-audacious-mad < %{version}-%{release} 

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki

%description
This package contains input plugins that enable playback of MP3/TTA/WMA 
files and a output plugins tha enable encode MP3 files in Audacious.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of audacious-aac, audacious-ffmpeg,
audacious-mad and audacious-lame.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
Audacious で MP3/TTA/WMA ファイルの再生を可能にするプラグインです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、audacious-aac, audacious-ffmpeg,
audacious-mad および audacious-lame の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}"

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Fri Apr  3 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.6.1-1
- new upstream release
- added R(post): self-build-mpg123 instead of self-build-libmad

* Sat Jun  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3-2
- added aac, ffaudio, filewriter_mp3 plugins
- Obsoletes: self-build-audacious-mad < 2.3-1

* Sat May 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3-1
- new upstream release

* Thu Aug 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-2
- fixed Requires(post)

* Sun Aug  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-1
- initial bulid
