%global pkgname 	x265
%global name		self-build-%{pkgname}
%global version		1.8
%global release		1%{?_dist_release}

%global sourceurl0	http://ftp.videolan.org/pub/videolan/x265/x265_%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

#Source100: x265-pc-path.patch
Source101: x265-test-shared.patch 
Source104: x265-detect_cpu_armhfp.patch

License:	GPLv2+ and BSD
Group:		Restricted Software

Obsoletes:      x265 < %{version}, x265-devel < %{version}
Obsoletes:      self-build-x265 < %{version}-%{release}

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post): cmake
Requires(post): yasm

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the
highest performance on a wide variety of hardware platforms.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
x265はH.265/HEVCをエンコードするためのライブラリです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE101} %{SOURCE104} \
	     ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 168000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Jan 23 2016 Munehiro Yamamoto <munepi@vinelinux.org> 1.8-1
- new upstream release (ABI 68)

* Sat Jul 11 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.7-1
- new upstream release (ABI 59)

* Sat Jul 11 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.6-1
- new upstream release (ABI 51)
- release tarballs are now hosted on videolan.org

* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-2
- rebuild

* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-1
- new upstream release
- drop x265-pc-path.patch
- add x265-1.5-test-shared.patch

* Sat Feb  7 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4-2
- added Group tag to Source0

* Fri Jan  2 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.4-1
- new upstream release
- initial build based on RPM Fusion rawhide
