Summary: Open Phone Abstraction Library
Name: opal
Version: 3.10.10
Release: 4%{?_dist_release}
URL: http://www.opalvoip.org/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/opal/3.10/%{name}-%{version}.tar.xz
License: MPL
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby
BuildRequires: ptlib-devel >= 2.10.9
BuildRequires: speex-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: libtheora-devel
BuildRequires: SDL-devel
BuildRequires: swig
BuildRequires: celt-devel
BuildRequires: speex-devel
BuildRequires: expat-devel
Obsoletes: openh323

Vendor: Project Vine
Distribution: Vine Linux

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library.

%package devel
Summary: Development package for opal
Summary(ja): opal の開発用パッケージ
Group: Development/Libraries
Requires: opal = %{version}-%{release}
Requires: ptlib-devel
Requires: speex-devel
Obsoletes: openh323-devel

%description devel
Static libraries and header files for development with opal.

%prep
%setup -q 

%build
%configure 

make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mfalgs}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_datadir}/opal/opal_inc.mak
rm -f $RPM_BUILD_ROOT/%{_includedir}/opal/sip/sdpcaps.h
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc mpl-1.0.htm
%{_libdir}/lib*.so.*
%dir %{_libdir}/opal-%{version}
%dir %{_libdir}/opal-%{version}/codecs
%dir %{_libdir}/opal-%{version}/codecs/audio
%dir %{_libdir}/opal-%{version}/codecs/video
%{_libdir}/opal-%{version}/codecs/audio/*.so
%{_libdir}/opal-%{version}/codecs/video/*.so

%files devel
%defattr(-,root,root)
%doc samples
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Sat Jul 02 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.10-4
- rebuild with gcc-5.4.0

* Sat May 07 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.10-3
- rebuild with openssl-1.0.2

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.10-2
- rebuild with VineSeed environment

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.10-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.9-1
- new upstream release
- add BuildRequires: speex-devel, expat-devel

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.7-1
- new upstream release
- add BuildRequires: ruby, swig, celt-devel

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.8-2
- rebuild with openssl-1.0.0c

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.8-1
- new upstream release
- add Requires: speex-devel (devel package)

* Sun Mar 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.7-1
- new upstream release
- fix URL

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.2-1
- new upstream release

* Sat Apr  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.4.4-1
- new upstream release

* Wed Oct 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.2-1
- new upstream release

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.1-1
- new upstream release

* Sat Sep 29 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.11-0vl1
- new upstream release

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.8-0vl3
- rebuilt with openssl-0.9.8e

* Sat May 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.8-0vl2
- rebuilt with new toolchains

* Sat Apr 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.8-0vl1
- new upstream release

* Fri Feb 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.5-0vl1
- new upstream release

* Sat Feb  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.4-0vl1
- initial built for Vine Linux 4.0

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 2.2.2-1
- new release for ekiga-2.0.2
- try to fix #192740 mutilib problem

* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.2.1-1
- last minute break fix and new release

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.2.0-2
- rebuild

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.2.0-1
- final version for ekiga-2.0.0

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 2.1.3-1
- new beta version for ekiga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 2.1-1
- initial version based on the openh323 spec file
