%define	pkgname	Class-Inspector

# Basic Information
Name:		perl-%{pkgname}
Version:	1.28
Release:	1%{?_dist_release}
Summary:	Get information about a class and its structure
Summary(ja):	クラスおよびその構造について情報を得る

License:	Artistic or GPL
Group:		Development/Libraries
URL: 		http://search.cpan.org/~adamk/Class-Inspector/

Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Dependency
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

%description
Class::Inspector allows you to get information about a loaded class. Most or
all of this information can be found in other ways, but they aren't always
very friendly, and usually involve a relatively high level of Perl wizardry,
or strange and unusual looking code. Class::Inspector attempts to provide an
easier, more friendly interface to this information.

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# remove unnecessary files.
%{__rm} -f ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} -f ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Class/Inspector/.packlist

%check
make test

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Sat Nov 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.28-1
- updated to 1.28
- built with perl 5.16.3
- installed modules to vendor_perl directory
- added URL

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.25-1
- initial build for Vine Linux
