Name:           perl-IO-String
Version:        1.08
Release:        3%{?_dist_release}

Summary:        Emulate file interface for in-core strings
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/IO-String/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/IO-String-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The "IO::String" module provides the "IO::File" interface for in-core
strings.  An "IO::String" object can be attached to a string, and
makes it possible to use the normal file operations for reading or
writing data, as well as for seeking to various locations of the
string.  This is useful when you want to use a library module that
only provides an interface to file handles on data that you have in a
string variable.

Note that perl-5.8 and better has built-in support for "in memory"
files, which are set up by passing a reference instead of a filename
to the open() call. The reason for using this module is that it makes
the code backwards compatible with older versions of Perl.


%prep
%setup -q -n IO-String-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
#find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
#chmod -R u+w $RPM_BUILD_ROOT/*

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v %{_mandir} |
        grep -v perllocal.pod |
        grep -v "\.packlist" > IO-String-%{version}-filelist
if [ "$(cat IO-String-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files -f IO-String-%{version}-filelist
%defattr(-,root,root,-)
%doc Changes README
%dir %{perl_vendorlib}/IO/
#{perl_vendorlib}/IO/*
%{_mandir}/man3/*.3*


%changelog
* Sat Dec 20 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.08-3
- rebuilt with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.08-2
- rebuilt with perl-5.12.3

* Tue Nov  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.08-1vl5
- applied new versioning policy
- rebuilt with perl 5.10.0

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.08-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.08-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sun Sep 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for Vine

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.06-1
- Update to 1.06.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.05-0.fdr.1
- First build.
