Summary: Perl interface to the libxml2 library
Summary(ja): libxml2 ライブラリへの Perl インターフェイス
Name: perl-XML-LibXML
# NOTE: also update perl-XML-LibXSLT to the same version, see
# https://bugzilla.redhat.com/show_bug.cgi?id=469480
Version: 2.0117
Release: 1%{?_dist_release}

License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/XML-LibXML/

Source0: http://www.cpan.org/authors/id/P/PA/PAJAS/XML-LibXML-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel
BuildRequires: perl(XML::NamespaceSupport)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

Requires:       %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Provides:       perl-XML-LibXML-Common = %{version}
Obsoletes:      perl-XML-LibXML-Common <= 0.13

Vendor:         Project Vine
Distribution:   Vine Linux


%description
This module implements a Perl interface to the GNOME libxml2 library
which provides interfaces for parsing and manipulating XML files. This
module allows Perl programmers to make use of the highly capable
validating XML parser and the high performance DOM implementation.

%prep
%setup -q -n XML-LibXML-%{version}

%build
%__perl Makefile.PL SKIP_SAX_INSTALL=1 INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec %__rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec %__rmdir {} 2>/dev/null ';'
%__chmod -R u+w $RPM_BUILD_ROOT/*

for i in Changes; do
  /usr/bin/iconv -f iso8859-1 -t utf-8 $i > $i.conv && %__mv -f $i.conv $i
done

%check
%__make test

%clean
%__rm -rf $RPM_BUILD_ROOT

%triggerin -- perl-XML-SAX
for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
  perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" \
    2>/dev/null || :
done

%preun
if [ $1 -eq 0 ] ; then
  for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
    perl -MXML::SAX -e "XML::SAX->remove_parser(q($p))->save_parsers()" \
      2>/dev/null || :
  done
fi

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
%{_mandir}/man3/*.3*

%changelog
* Sun Nov 30 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.0117-1
- new upstream release.
- built with libxml2 2.9.2
- added Japanese summary

* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0116-1
- new upstream release.

* Sun Mar 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.70-2
- rebuild with perl-5.12.3

* Thu Aug 12 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 1.70-1
- new upstream release

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:1.70-5
- Mass rebuild with perl-5.12.0

* Fri Jan  8 2010 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.70-4
- remove BR XML::LibXML::Common

* Mon Nov 30 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.70-3
- corrected version of obsoletes

* Thu Nov 26 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.70-2
- 541605 this package now contains XML::LibXML::Common

* Fri Nov 20 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.70-1
- update to fix 539102

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.69-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.69-1
- update to 1.69

* Fri Aug 01 2008 Lubomir Rintel <lkundrak@v3.sk> - 1:1.66-2
- Supress warning about nonexistent file in perl-XML-SAX install trigger

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.66-1
- new upsteream release
- built with perl-5.10.0-2
- changed Group to Development/Libraries

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.58-2vl2
- changed Group to Development/Languages
- rebuilt with libxml2-2.6.26

* Sun Apr  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.58-2vl1
- rebuilt for Vine Linux

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.58-2.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.58-2.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.58-2.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sat Mar 19 2005 Joe Orton <jorton@redhat.com> 1.58-2
- rebuild

* Sun Apr 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.58-1
- #121168
- Update to 1.58.
- Require perl(:MODULE_COMPAT_*).
- Handle ParserDetails.ini parser registration.
- BuildRequires libxml2-devel.
- Own installed directories.

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 1.56-1
- Specfile autogenerated.
