Name:		polkit-qt
Summary:	Qt bindings for PolicyKit
Summary(ja):	PolicyKit の Qt バインディング
Version:	0.112.0
Release:	2%{?_dist_release}

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/

Source0:	ftp://ftp.kde.org/pub/kde/stable/polkit-qt-1/polkit-qt-1-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  glib2-devel
BuildRequires:  polkit-devel
BuildRequires:  qt4-devel

%description
Polkit-qt is a library that lets developers use the PolicyKit API through a nice
Qt-styled API. It is mainly a wrapper around QAction and QAbstractButton that
lets you integrate those two component easily with PolicyKit.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: polkit-devel
Requires: pkgconfig

%description devel
%{summary}.

#package examples 
#Summary: Example files for %{name}
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}

#description examples 
#%{summary}.


%prep
%setup -q -n polkit-qt-1-%{version}

%build
%ifarch x86_64
PATH="$PATH:`/usr/bin/pkg-config --variable=bindir Qt`"
%endif
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DBUILD_EXAMPLES=0 ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libpolkit-qt*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/polkit-qt-1/
%{_libdir}/libpolkit-qt*.so
%{_libdir}/pkgconfig/polkit-qt*.pc
%{_libdir}/cmake/*

#%files examples
#%defattr(-,root,root,-)
#%{_sysconfdir}/dbus-1/system.d/org.qt.policykit.examples.conf
#%{_bindir}/polkit-example-helper
#%{_datadir}/PolicyKit/policy/org.qt.policykit.examples.policy
#%{_datadir}/dbus-1/system-services/org.qt.policykit.examples.service


%changelog
* Mon Jul 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.112.0-2
- rebuild with gcc-5.4.0

* Sun Nov 16 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.112.0-1
- update to 0.112.0

* Sun Jul 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.103.0-1
- update to 0.103.0

* Mon Jan 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.99.0-1
- new upstream release

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.96.1-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 15 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.96.1-1
- new upstream release

* Thu Feb 11 2010 Shu KONNO <owa@bg.wakwak.com> - 0.95.1-2
- added qmake path to PATH (if x86_64)

* Thu Feb 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.95.1-1
- new upstream release
- added BR: polkit-devel instead of PolicyKit-devel

* Tue Sep 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> - 0.9.2-4
- use %%cmake macro

* Sat Aug 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.9.2-3
- Initial build for Vine Linux

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- polkit-0.9.2

