Summary:            Transforms bitmaps into vector graphics
Summary(ja):        ビットマップ画像をベクター画像に変換
Name:               potrace
Version:            1.11
Release:            1%{?_dist_release}
License:            GPL
Group:              Applications/Graphics
Source:             http://potrace.sourceforge.net/download/%{name}-%{version}.tar.gz
URL:                http://potrace.sourceforge.net/
BuildRoot:          %{_tmppath}/%{name}-%{version}-root

Vendor:             Project Vine
Distribution:       Vine Linux
BuildRequires:      zlib-devel

%description
potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image.  The input is a portable bitmap
(PBM), and the default output is an encapsulated PostScript file
(EPS). A typical use is to create EPS files from scanned data, such as
company or university logos, handwritten notes, etc.  The resulting
image is not "jaggy" like a bitmap, but smooth, and it can be scaled
to any resolution. 

%description -l ja
potrace はビットマップ画像をトレースするツールです．ビットマップ画像を
滑らかで拡大縮小できる画像に変換します．社章、校章、手書き図のスキャン
画像から滑らかなEPSを得るには，例えば，
convert hoge.bmp pbm:- | mkbitmap -s 2 | potrace -a -1 -C "#202020" > hoge.eps 
とします．入力形式がPBMであることに注意してください．

%prep
%setup -q

%build
%configure --enable-metric --enable-a4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_docdir}/%{name}/placement.pdf
%{_mandir}/man1/*

%changelog
* Sun Jan 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.11-1
- update to 1.11
- remove Patch0

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8-0vl1
- new upstream release

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-0vl2
- rebuilt for VineSeed (4.0)
- added Patch0 from upstream
- added --enable-metric and --enable-a4 option at configure

* Thu Apr 21 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.7

* Tue Feb 15 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.5
- Japanized this spec file
- Rewrote build and install section

* Wed May 19 2004 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- initial package for VineLinux

* Mon Aug 18 2003 Peter Selinger <selinger@users.sourceforge.net>
- corrected Summary and Group information
