%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: python-mako
Version: 1.0.1
Release: 1%{?_dist_release}
Summary: Mako template library for Python
Summary(ja): Python の Mako テンプレートライブラリ

Group: Development/Languages
License: MIT
URL: http://www.makotemplates.org/
Source0: http://www.makotemplates.org/downloads/Mako-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: python-setuptools
Requires: python-beaker

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.


%prep
%setup -q -n Mako-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst doc/ examples/
%{_bindir}/mako-render
%{python_sitelib}/*


%changelog
* Sat May 09 2015 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.1-1
- new upstream release

* Sat Dec 14 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-1
- new upstream release

* Sun Apr 28 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.0-1
- new upstream release

* Fri Nov 23 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.3-1
- new upstream release

* Fri Aug 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release

* Thu Jul 12 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.1-1
- new upstream release

* Thu May 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.0-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.6.2-2
- rebuild with python-2.7.2

* Wed Feb 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.2-1
- new upstream release

* Sat Nov 12 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release

* Sat Aug 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-1
- new upstream release

* Sun May 1 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-1
- new upstream release

* Sun Feb 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.0-1
- new upstream release

* Sun Dec 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.6-1
- new upstream release

* Sun Nov 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.5-1
- new upstream release

* Sun Oct 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Wed Jun 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.4-1
- new upstream release

* Sat Jun 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.3-1
- new upstream release

* Thu Mar 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.2-1
- initial build for VineSeed

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.10-3
- Rebuild for Python 2.6

* Sun May 11 2008 Kyle VanderBeek <kylev@kylev.com> - 0.1.10-2
- Fix rpmlint warnings.
- Add docs and examples.

* Wed Apr  9 2008 Kyle VanderBeek <kylev@kylev.com> - 0.1.10-1
- Initial version.
