%define name qhull
%define version 2012.1

Summary: General dimension convex hull programs
Name: %{name}
Version: %{version}
Release: 2%{?_dist_release}
License: Distributable
Group: System Environment/Libraries
URL: http://www.qhull.org

Source0: http://www.qhull.org/download/qhull-%{version}-src.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%ifarch %{ix86}
Provides: libqhull.so
Provides: libqhull_p.so
%endif
%ifarch x86_64
Provides: libqhull.so()(64bit)
Provides: libqhull_p.so()(64bit)
%endif


%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package devel
Summary: Development files for qhull
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%prep
%setup -q -n %{name}-%{version}

sed -i "s|\$(DESTDIR)/bin|\$(DESTDIR)%{_bindir}|g" Makefile
sed -i "s|\$(DESTDIR)/include|\$(DESTDIR)%{_includedir}|g" Makefile
sed -i "s|\$(DESTDIR)/lib|\$(DESTDIR)%{_libdir}|g" Makefile
sed -i "s|\$(DESTDIR)/share|\$(DESTDIR)%{_datadir}|g" Makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_libdir}/libqhull.so.*
%{_libdir}/libqhull_p.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/libqhull
%{_includedir}/libqhullcpp
%{_libdir}/libqhull.so
%{_libdir}/libqhull_p.so

%changelog
* Tue Apr 12 2016 Toshiaki Ara <ara_t@384.jp> 2012.1-2
- add Provides: libqhull.so
- add Provides: libqhull_p.so

* Sun Jan 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2012.1-1
- update to 2012.1

* Sat Feb 19 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2003.1-2
- added Patch0 from upstream
- added --disable-static to %%configure

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2003.1-1vl5
- applied new versioning policy
- removed *.la

*Thu Jan 03 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2003.1-0vl2
- rebuild on VineSeed

*Thu Oct 6 2005 g-staff <g-staff@math.sci.hokudai.ac.jp> 2003.1-0vl1
- taken from FC
- rebuild on Vine Linux 3.2

* Sun Aug 08 2004 Ralf Corsepius <ralf[AT]links2linux.de>	- 2003.1-0.fdr.2
- Use default documentation installation scheme.

* Fri Jul 16 2004 Ralf Corsepius <ralf[AT]links2linux.de>	- 2003.1-0.fdr.1
- Initial Fedora RPM.
