%define pkg_version 0.99.1274
%define pkg_release 1%{?_dist_release}

Summary:     An integrated development environment (IDE) for R
Summary(ja): Rのための統合開発環境（サーバ版）
Name:        rstudio-server
Version:     %{pkg_version}
Release:     %{pkg_release}

License: AGPLv3
Group:   Applications/Edutainment
URL:     https://www.rstudio.com/
Source0: rstudio-%{version}.tar.gz
Source1: rserver.conf
Source2: rsession.conf

Source11: core-dictionaries.zip
Source12: mathjax-26.zip
Source13: rsconnect_0.4.3.tar.gz
Source14: rmarkdown_1.0.9002.tar.gz

# patch to avoid download necessary files
Patch1: dependencies_common.patch
# patches to use system pandoc
Patch2: rsession-dev.conf.patch
Patch3: SessionOptions.cpp.patch
Patch4: session_CMakeLists.txt.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: rstudio-gwt
BuildRequires: rstudio-chromedriver
BuildRequires: cmake >= 2.8
BuildRequires: R >= 2.11.1
BuildRequires: pandoc pandoc-citeproc
BuildRequires: java-1.7.0-openjdk-devel
BuildRequires: ant
BuildRequires: xml-commons-apis
BuildRequires: libuuid-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: pango-devel
BuildRequires: bzip2-devel zlib-devel
BuildRequires: libboost-devel >= 1.50
BuildRequires: libboost >= 1.50
BuildRequires: libboost-atomic >= 1.50
BuildRequires: libboost-date-time >= 1.50
BuildRequires: libboost-filesystem >= 1.50
BuildRequires: libboost-iostreams >= 1.50
BuildRequires: libboost-program-options >= 1.50
BuildRequires: libboost-regex >= 1.50
BuildRequires: libboost-signals >= 1.50
BuildRequires: libboost-system >= 1.50
BuildRequires: libboost-thread >= 1.50
BuildRequires: libboost-chrono >= 1.50

Requires: R >= 2.11.1
Requires: pandoc pandoc-citeproc
Requires: java-1.7.0-openjdk
Requires: libuuid
Requires: openssl
Requires: pam
Requires: pango
Requires: libboost >= 1.50
Requires: libboost-atomic >= 1.50
Requires: libboost-date-time >= 1.50
Requires: libboost-filesystem >= 1.50
Requires: libboost-iostreams >= 1.50
Requires: libboost-program-options >= 1.50
Requires: libboost-regex >= 1.50
Requires: libboost-signals >= 1.50
Requires: libboost-system >= 1.50
Requires: libboost-thread >= 1.50
Requires: libboost-chrono >= 1.50

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
RStudio Server enables you to provide a browser based interface
(the RStudio IDE) to a version of R running on a remote Linux server.
Deploying R and RStudio on a server has a number of benefits, including:
- The ability to access your R workspace from any computer in any location;
  Easy sharing of code, data, and other files with colleagues;
- Allowing multiple users to share access to
  the more powerful compute resources (memory, processors, etc.)
  available on a well equipped server; and Centralized installation and
  configuration of R, R packages, TeX, and other supporting libraries.

%description -l ja
RStudio Serverは離れた場所にあるLinuxサーバ上で走っている
Rのバージョンに対してブラウザベースのインタフェイス(the RStudio IDE)
を提供します。
サーバ上にRとRStudioを配置すると以下のような数多くの利点があります：
- あなたのRの作業スペースにどんな場所にあるどんなコンピュータからも
  アクセスできます。
  同僚とたやすくコードやデータその他のファイルを共有できます。
- 複数のユーザが十分な装備を備えたサーバ上で利用可能な、
  より強力な計算資源（メモリ、CPUなど）を共有できます。
  RやRパッケージ、TeXその他のサポートライブラリを集権的にインストール、
  設定することができます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n rstudio-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__cp} /usr/src/rstudio-gwt/* \
 %{_builddir}/rstudio-%{version}/dependencies/common
%{__cp} /usr/src/rstudio-chromedriver/* \
 %{_builddir}/rstudio-%{version}/dependencies/common

%{__cp} \
 %{SOURCE11} %{SOURCE12} \
 %{_builddir}/rstudio-%{version}/dependencies/common

(cd dependencies/common;
 sh install-gwt;
 sh install-dictionaries;
 sh install-mathjax;
 sh install-libclang;
 %{__tar} xzf %{SOURCE13}
 %{__tar} xzf %{SOURCE14}
 sh install-packages;
)

cmake . \
      -DRSTUDIO_TARGET=Server \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_INSTALL_PREFIX=%{_libdir}/rstudio-server
%{__make} %{?_smp_mflags}

%install
%{make_install}

# make symbolic link
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__ln_s} %{_libdir}/rstudio-server/bin/rstudio-server \
 ${RPM_BUILD_ROOT}%{_sbindir}/

# RStudio setting files
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/rstudio
%{__cp} %{SOURCE1} %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/rstudio/

# PAM setting
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
%{__cp} ${RPM_BUILD_ROOT}%{_libdir}/rstudio-server/extras/pam/rstudio \
 ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/

# init.d setting
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/
%{__cp} ${RPM_BUILD_ROOT}%{_libdir}/rstudio-server/extras/init.d/redhat/rstudio-server \
 ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%pre
if [ "$1" -eq 1 ]; then
  /usr/sbin/useradd rstudio-server -M -s /sbin/nologin >/dev/null 2>&1 || :;
fi;

%post
%{_syssbindir}/chkconfig --add rstudio-server
%{__mkdir_p} %{_var}/{run,lock,log,lib}/rstudio-server
%{__chmod} 600 %{_var}/{run,lock,log,lib}/rstudio-server
%{__chown} rstudio-server:rstudio-server \
 %{_var}/{run,lock,log,lib}/rstudio-server

%preun
if [ "$1" -eq 0 ]; then
   %{_syssbindir}/service rstudio-server stop >/dev/null 2>&1 || :
   %{_syssbindir}/chkconfig --del rstudio-server ||:
fi

%postun
%{__rm} -rf /var/{run,lock,log,lib}/rstudio-server


%files
%defattr(-, root, root)
%doc COPYING NOTICE
%{_sysconfdir}/init.d/rstudio-server
%{_sysconfdir}/pam.d/rstudio
%{_sysconfdir}/rstudio/
%{_libdir}/rstudio-server
%{_sbindir}/


%changelog
* Fri Aug 05 2016 Toshiaki Ara <ara_t@384.jp> 0.99.1274-1
  - new package

