%define pkg_version 0.99.1274
%define pkg_release 2%{?_dist_release}

Summary:     An integrated development environment (IDE) for R
Summary(ja): Rのための統合開発環境
Name:        rstudio
Version:     %{pkg_version}
Release:     %{pkg_release}

License: AGPLv3
Group:   Applications/Edutainment
URL:     https://www.rstudio.com/
Source0: rstudio-%{version}.tar.gz

Source1: core-dictionaries.zip
Source2: mathjax-26.zip
Source3: rsconnect_0.4.3.tar.gz
Source4: rmarkdown_1.0.9002.tar.gz

# patch to avoid download necessary files
Patch1: dependencies_common.patch
# patch to use system qt5
Patch2: desktop_CMakeLists.txt.patch
# patches to use system pandoc
Patch3: rsession-dev.conf.patch
Patch4: SessionOptions.cpp.patch
Patch5: session_CMakeLists.txt.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: rstudio-gwt
BuildRequires: rstudio-chromedriver
BuildRequires: cmake >= 2.8
BuildRequires: R >= 2.11.1
BuildRequires: gcc-gfortran
BuildRequires: pandoc pandoc-citeproc
BuildRequires: java-1.7.0-openjdk-devel
BuildRequires: ant
BuildRequires: xml-commons-apis
BuildRequires: libuuid-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: pango-devel
BuildRequires: bzip2-devel zlib-devel
BuildRequires: libboost-devel >= 1.50
BuildRequires: libboost >= 1.50
BuildRequires: libboost-atomic >= 1.50
BuildRequires: libboost-date-time >= 1.50
BuildRequires: libboost-filesystem >= 1.50
BuildRequires: libboost-iostreams >= 1.50
BuildRequires: libboost-program-options >= 1.50
BuildRequires: libboost-regex >= 1.50
BuildRequires: libboost-signals >= 1.50
BuildRequires: libboost-system >= 1.50
BuildRequires: libboost-thread >= 1.50
BuildRequires: libboost-chrono >= 1.50
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtlocation-devel
BuildRequires: qt5-qtsensors-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: qt5-qtwebkit-devel

Requires: R >= 2.11.1
Requires: R-rgl
Requires: pandoc pandoc-citeproc
Requires: java-1.7.0-openjdk
Requires: libuuid
Requires: openssl
Requires: pam
Requires: pango
Requires: libboost >= 1.50
Requires: libboost-atomic >= 1.50
Requires: libboost-date-time >= 1.50
Requires: libboost-filesystem >= 1.50
Requires: libboost-iostreams >= 1.50
Requires: libboost-program-options >= 1.50
Requires: libboost-regex >= 1.50
Requires: libboost-signals >= 1.50
Requires: libboost-system >= 1.50
Requires: libboost-thread >= 1.50
Requires: libboost-chrono >= 1.50
Requires: qt5-qtbase
Requires: qt5-qtlocation
Requires: qt5-qtsensors
Requires: qt5-qtsvg
Requires: qt5-qtxmlpatterns
Requires: qt5-qtwebkit

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
RStudio is a set of integrated tools designed to help you be more productive
with R. It includes a console, syntax-highlighting editor that supports
direct code execution, as well as tools for plotting, history, debugging
and workspace management.

%description -l ja
RStudio™ はRのための新しい統合開発環境(IDE)です。RStudioは、あなたがRを
最大限利用する手助けとなるよう直感的なユーザインターフェイスと強力な
コーディングツールを結合させたものです。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__cp} /usr/src/rstudio-gwt/* \
 %{_builddir}/%{name}-%{version}/dependencies/common
%{__cp} /usr/src/rstudio-chromedriver/* \
 %{_builddir}/%{name}-%{version}/dependencies/common

%{__cp} \
 %{SOURCE1} %{SOURCE2} \
 %{_builddir}/%{name}-%{version}/dependencies/common

(cd dependencies/common;
 sh install-gwt;
 sh install-dictionaries;
 sh install-mathjax;
 sh install-libclang;
 %{__tar} xzf %{SOURCE3}
 %{__tar} xzf %{SOURCE4}
 sh install-packages;
)

cmake . \
      -DRSTUDIO_TARGET=Desktop \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_INSTALL_PREFIX=%{_libdir}/rstudio
%{__make} %{?_smp_mflags}

%install
%{make_install}

# make "/usr/bin/rstudio"
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
echo "%{_libdir}/rstudio/bin/rstudio" > ${RPM_BUILD_ROOT}%{_bindir}/rstudio
%{__chmod} +x ${RPM_BUILD_ROOT}%{_bindir}/rstudio

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/rstudio/
%{_datadir}/applications/rstudio.desktop
%{_datadir}/icons/
%{_datadir}/mime/
%{_datadir}/pixmaps/


%changelog
* Thu Aug 04 2016 Toshiaki Ara <ara_t@384.jp> 0.99.1274-2
  - correct package desctiption

* Thu Aug 04 2016 Toshiaki Ara <ara_t@384.jp> 0.99.1274-1
  - new package

