Name:           rxvt-unicode
Version:        9.22
Release:        2%{?_dist_release}
Summary:        Rxvt-unicode is an unicode version of rxvt
Summary(ja):    Rxvt-unicode は rxvt のユニコードバージョンです

Group:          User Interface/X
License:        GPLv2+
URL:            http://software.schmorp.de/pkg/rxvt-unicode.html
Source0:        http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.bz2
Patch0:         rxvt-unicode-scroll-modupdown.patch
#convert from rxvt origina icon
Source1:        urxvt.xpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  desktop-file-utils
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  glib2-devel
BuildRequires:  libAfterImage-devel
BuildRequires:  libICE-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libX11-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  perl
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  /usr/bin/tic
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
rxvt-unicode is a clone of the well known terminal emulator rxvt, modified to
store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct input
and output. It also supports mixing multiple fonts at the same time, including
Xft fonts.


%prep
%setup -q
#patch -p1 < doc/urxvt-8.2-256color.patch
%patch0 -p1 -b .scroll-modupdown
pushd src
popd

%build
%configure --enable-xft --enable-font-styles --enable-afterimage \
  --enable-utmp --enable-wtmp --enable-lastlog \
  --enable-transparency --enable-fading \
  --enable-rxvt-scroll --enable-xterm-scroll --enable-next-scroll \
  --enable-keepscrolling --enable-selectionscrolling \
  --enable-mousewheel --enable-slipwheeling --enable-smart-resize \
  --enable-pointer-blank \
  --enable-xim --enable-resources \
  --enable-256-color \
  --enable-unicode3 --enable-combining --enable-perl \
  --with-codesets=all --enable-iso14755 --enable-frills

make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/urxvt.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=urxvt
Comment=a VT102 emulator for the X window system
Comment[ja]=X ウィンドウシステムの VT102 エミュレータ
Exec=urxvt
Icon=/usr/share/pixmaps/urxvt.xpm
Terminal=false
Type=Application
Categories=Application;System;TerminalEmulator;
EOF

desktop-file-install \
  --vendor="" \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=System \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc README.FAQ INSTALL doc/README.xvt doc/etc doc/changes.txt COPYING
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/applications/*
%{_libdir}/urxvt
%{_datadir}/pixmaps/urxvt.xpm

%changelog
* Sat Jul 02 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.22-2
- rebuilt with new toolchain

* Sun Jan 24 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.22-1
- new upstream release

* Sat May 24 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.20-1
- new upstream release

* Sat Mar 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.19-1
- new upstream release

* Mon Apr 29 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.18-1
- new upstream release

* Sat Jan 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.16-1
- new upstream release

* Wed Feb 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.15-2
- fixed desktop entry
  - readied for using openbox menu

* Wed Jan 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.15-1
- new upstream release
- fixed URL

* Fri Dec 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.14-1
- new upstream release
- dropt patch1

* Thu Jul 07 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.12-1
- new upstream release
- added patch1 from Fedora development

* Tue May 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.11-1
- new upstream release

* Mon May 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.10-3
- rebuild with libAfterImage-1.20-2

* Sun Apr  3 2011 IWAI, Masaharu <iwai@alib.jp> - 9.10-2
- build with perl 5.12.3

* Wed Dec 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.10-1
- new upstream release

* Thu Nov 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.09-2
- added option enable-unicode3/enable-combining/enable-perl
- deleted option enable-plain-scroll

* Tue Nov 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.09-1
- new upstream release
- added patch0 from Fedora development
- added BuildRequires: librsvg2-devel
- did not apply urxvt-8.2-256color.patch
  - enabled default

* Sat Jun 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 9.07-1
- initial build for VineLinux

* Thu Dec 31 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 9.07-1
- version upgrade

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 9.06-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 9.06-3
- Fix FTBFS: added rxvt-unicode-gcc44.patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 9.06-1
- version upgrade

* Mon Jun 16 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 9.05-1
- version upgrade

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- 9.02-2
- add Requires for versioned perl (libperl.so)

* Thu Feb 21 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 9.02-1
- version upgrade

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 9.0-2
- Rebuilt for gcc43

* Sat Jan 26 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 9.0-1
- version upgrade

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.9-1
- version upgrade

* Mon Dec 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.8-1
- version upgrade

* Wed Dec 12 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.5a-2
- remove utempter patch for now

* Thu Nov 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.5a-1
- version upgrade

* Wed Nov 07 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.4-2
- fix #368921 (Rxvt.backgroundPixmap needs libAfterImage support BR now)
- add patch for utempter support

* Sun Oct 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.4-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 8.3-1
- version upgrade
- new license tag

* Sat Jun 02 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
8.2-1
- version upgrade (#239421)

* Sun Jan 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
8.1-2
- drop terminfo file it is included in ncurses now

* Fri Dec 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
8.1-1
- version upgrade

* Thu Nov 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
8.0-1
- version upgrade

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.9-2
- FE6 rebuild

* Tue Aug 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.9-1
- version upgrade

* Tue Jul 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.8-1
- version upgrade

* Tue Feb 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.7-1
- version upgrade

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.6-2
- Rebuild for Fedora Extras 5

* Fri Feb 10 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.6-1
- version upgrade

* Tue Jan 31 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.5-1
- version upgrade

* Sat Jan 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.4-1
- version upgrade

* Fri Jan 27 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.3a-1
- version upgrade

* Mon Jan 23 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.2-1
- version upgrade (should resolve #178561)

* Thu Jan 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.1-1
- version upgrade

* Sat Jan 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
7.0-1
- version upgrade

* Thu Jan 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
6.3-1
- version upgrade

* Tue Jan 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
6.2-1 
- version upgrade

* Wed Dec 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
6.1-1
- version upgrade

* Sun Dec 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
6.0-1
- version upgrade

* Sun Dec 18 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.9-1
- version upgrade

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.8-2
- modular xorg integration

* Tue Oct 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.8-1
- version upgrade

* Sun Oct 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.7-3
- enable frills (#170965)

* Sat Sep 17 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.7-2
- enable iso14755 (#168548)

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.7-1
- version upgrade

* Sun Jun 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.5-3
- add dist

* Thu Jun 02 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.5-2
- minor cleanups

* Thu May 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
5.5-1
- Version upgrade (5.5)

* Mon Mar 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:5.3-1
- Version upgrade (5.3)

* Wed Feb 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- Initial RPM release.
