Summary: An object database, tag/metadata database, search tool and indexer
Summary(ja): オブジェクト/タグ/メタデータデータベースおよび検索ツール
Name: tracker
Version: 1.8.0
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://www.gnome.org/projects/tracker/

Source0: http://ftp.gnome.org/pub/GNOME/sources/tracker/1.8/tracker-%{version}.tar.xz

Patch0:	tracker-0.12.3-sched.patch
Patch1:	tracker-1.2.3-revert-error_message.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.24.0
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: gmime-devel >= 2.4
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: poppler-devel
BuildRequires: gettext
BuildRequires: file
BuildRequires: libexif-devel, libgsf-devel, totem-pl-parser-devel
BuildRequires: desktop-file-utils, intltool
BuildRequires: raptor-devel >= 1.4.18
BuildRequires: sqlite3-devel
BuildRequires: dbus-devel >= 1.0
BuildRequires: dbus-glib-devel >= 0.78
BuildRequires: libSM-devel
BuildRequires: libnotify-devel >= 0.4.3
BuildRequires: libuuid-devel
BuildRequires: libmediaart-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: vala-devel
BuildRequires: libgee-devel
BuildRequires: upower-devel
BuildRequires: libgee-devel >= 0.3
BuildRequires: nautilus-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: giflib-devel
BuildRequires: libtiff-devel
BuildRequires: exempi-devel
BuildRequires: enca-devel
BuildRequires: taglib-devel
BuildRequires: libgxps-devel
BuildRequires: libvorbis-devel
BuildRequires: flac-devel
BuildRequires: firefox
BuildRequires: thunderbird
## BuildRequires: autoconf, automake

Requires:	%{name}-libs = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database, search tool and indexer. 

It consists of a common object database that allows entities to have an
almost infinte number of properties, metadata (both embedded/harvested as
well as user definable), a comprehensive database of keywords/tags and
links to other entities.

It provides additional features for file based objects including context
linking and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search  
all types of files and other first class objects

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig
Requires: dbus-glib-devel

%description devel
This package contains the static libraries and header files needed for
developing with tracker


%package libs
Summary: Libraries for %{name}
Group: System Environment/Libraries

%description libs
The %{name}-libs package contains the runtime shared libraries for %{name}


%package docs
Summary: Documentation for tracker
Group: Documentation
Obsoletes: %{name}-doc < 0.15.0
Provides: %{name}-doc = 0.15.0
BuildArch: noarch

%description docs
This package contains documentation for tracker.


%package search-tool
Summary: Tracker search tool(s)
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description search-tool
Graphical frontend to tracker search facilities. This has dependencies on
GNOME libraries


%prep
%setup -q
%patch0 -p1 -b .sched
%patch1 -p1 -b .errormsg

# remove shebangs from the python files as none should be executable scripts
## sed -e '/^#!\//,1 d' -i python/deskbar-handler/*.py

sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
#libtoolize --force --copy
#intltoolize --copy --force
#autoreconf -if
%configure \
	--disable-static											\
	--disable-tracker-search-bar								\
	--disable-libcue											\
	--enable-libvorbis											\
	--enable-libflac											\
	--with-firefox-plugin-dir=%{_libdir}/firefox/extensions		\
	--with-thunderbird-plugin-dir=%{_libdir}/thunderbird/extensions	


make %{?_smp_mflags}

										
%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/tracker-0.16"	\
	> %{buildroot}%{_sysconfdir}/ld.so.conf.d/tracker-%{_arch}.conf

desktop-file-install --delete-original               \
        --vendor=""                             \
        --dir=%{buildroot}%{_datadir}/applications   \
        %{buildroot}%{_datadir}/applications/%{name}-needle.desktop

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
rm -rf %{buildroot}%{_datadir}/tracker-tests

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  
%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
    glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

  
%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
### %doc %{_datadir}/gtk-doc/html/libtracker-common/
### %doc %{_datadir}/gtk-doc/html/libtracker-module/
%{_bindir}/tracker*
%exclude %{_bindir}/tracker-needle
%exclude %{_bindir}/tracker-preferences
%{_libdir}/firefox/extensions/trackerfox@bustany.org
%{_libdir}/thunderbird/extensions/trackerbird@bustany.org
%{_libexecdir}/tracker*
%{_datadir}/applications/trackerbird-launcher.desktop
%{_datadir}/bash-completion/completions/tracker
%{_datadir}/dbus-1/services/org.freedesktop.Tracker*
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.*.xml
%{_datadir}/tracker/
%{_datadir}/xul-ext/trackerfox
%{_datadir}/xul-ext/trackerbird
%{_sysconfdir}/ld.so.conf.d/tracker-%{_arch}.conf
%{_sysconfdir}/xdg/autostart/tracker*.desktop
%{_mandir}/*/tracker*.gz
%exclude %{_mandir}/man1/tracker-preferences.1.gz
%exclude %{_mandir}/man1/tracker-needle.1.gz

%files libs
%defattr(-, root, root, -)
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/tracker-1.0/

%files devel
%defattr(-, root, root, -)
%{_includedir}/tracker-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/tracker*.vapi
%{_datadir}/vala/vapi/tracker*.deps
%{_datadir}/gir-1.0/*.gir

%files docs
%defattr(-, root, root, -)
%{_datadir}/gtk-doc/html/libtracker-control
%{_datadir}/gtk-doc/html/libtracker-miner
%{_datadir}/gtk-doc/html/libtracker-sparql

%files search-tool
%defattr(-, root, root, -)
%{_bindir}/tracker-needle
%{_bindir}/tracker-preferences
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/appdata/tracker-needle.appdata.xml
%{_datadir}/appdata/tracker-preferences.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*/*/apps/tracker.*
%{_mandir}/man1/tracker-preferences.1.gz
%{_mandir}/man1/tracker-needle.1.gz

%changelog
* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-2
- remove *.la files

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- add BuildRequires: libmediaart-devel, libvorbis-devel, flac-devel

* Mon Dec 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.5-1
- new upstream release

* Sun Nov 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release
- add Patch1 (tracker-1.2.3-revert-error_message.patch)

* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-2
- rebuild with upower-0.99.1

* Sun Sep 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.3-1
- new upstream release

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-3
- rebuild with poppler-0.26.2

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-2
- rebuild with libarchive-3.1.2

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.1-1
- new upstream release

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-2
- rebuild with poppler-0.24.5

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- new upstream release

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.4-2
- rebuild with VineSeed environment

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.4-1
- new upstream release

* Sat Nov 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.3-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.2-2
- rebuild with icu-51.2

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.2-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.0-1
- new upstream release
- remove BuildRequires: gnome-panel-devel, gnome-applets
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- add BuildRequires: libjpeg-turbo-devel, giflib-devel, libtiff-devel, exempi-devel, enca-devel, taglib-devel, libgxps-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel
- change to %%{name}-docs subpackage from %%{name}-docs

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.5-1
- new upstream release

* Fri Nov 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.4-1
- new upstream release

* Fri Oct 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.3-1
- new upstream release

* Sat Sep 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.2-2
- create -libs subpackage
- add BuildRequires: firefox, thunderbird

* Sun Jul 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.2-1
- new upstream release

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.1-1
- new upstream release

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.0-1
- new upstream release

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.9-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.7-1
- new upstream release

* Sat Oct 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.4-1
- new upstream release
- create %%{name}-doc sub package

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.3-1
- new upstream release
- add Patch0 (tracker-0.12.3-sched.patch)

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.2-1
- new upstream release
- add BuildRequires: gstreamer-devel, gstreamer-plugins-base-devel, NetworkManager-glib-devel
- drop Patch0

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.25-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.23-1
- new upstream release

* Wed Jul 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.22-1
- new upstream release
- add BuildRequires: libicu-devel

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.18-1
- new upstream release
- add Patch0 (tracker-0.8.18-tracker_spawn.patch)
- delete Patch1

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.16-3
- rebuilt with poppler-0.16.3

* Sat Oct 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.16-2
- rebuild with poppler-0.14.2

* Sun Aug 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.16-1
- new upstream release
- add BuildRequires: glib2-devel, gtk2-devel, gnome-panel-devel, libgee-devel
- add configure option (--enable-tracker-search-bar)

* Sun Jul 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.15-1
- new upstream release

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.13-1
- new upstream release
- fix URL of Source0

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.12-1
- new upstream release

* Sun Jun 13 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.11-1
- new upstream release

* Sun May 30 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.9-1
- new upstream release
- fix %install and %files (make /etc/ld.so.conf.d/tracker-%{_arch}.conf)

* Sun May 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.6-1
- new upstream release

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.3-1
- new upstream release
- add BuildRequires: upower-devel, gnome-applets
- change BuildRequires: dbus-glib -> dbus-glib-devel

* Sun Mar 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release
- add BuildRequires: libgnome-devel, libgnomeui-devel, libSM-devel, libnotify-devel, libuuid-devel, libgee-devel
- fix BuildRequires: gmime-devel >= 2.4
- add configure option (--enable-tracker-search-tool)

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.91-1
- new upstream release

* Sun Dec 14 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.6-2
- rebuild with poppler-0.10.2
- spec in UTF-8

* Mon Mar 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.6.6-1
- new upstream release
- update Patch1
- drop Patch10 (no more necessary)
- add %%{_sysconfdir}/xdg/autostart/tracker-applet.desktop
- remove --enable-external-sqlite option (no more bundled sqlite exist)
- apply new versioning policy

* Mon Sep 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.2-0vl1
- new upstream release

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4-0vl2
- add Patch10 to fix selecting video-extractor
- use external video extractor(totem) instead of gstreamer/xine

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.4-0vl1
- initial build for Vine Linux

* Fri Mar 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-6
- Ship both autostart desktop files in the main package (BZ #233323)

* Tue Feb 13 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-3
- Package the deskbar plugin properly (BZ #228308)

* Mon Jan 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-2
- Split out tracker-search-tool sub-packages, for the GUI facility
- Add proper requires for the -devel subpackage
- Deal with the rpmlint complaints on rpath

* Sat Jan 27 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-1
- Update to 0.5.4

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Mon Nov 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-2
- Apply patch on Makefile.am instead of Makefile.in
- Add libtool to BR

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-1
- Update to 0.5.2

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- Update to new version

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-7
- Have the devel subpackage require pkgconfig
- Make the description field not have more than 76 characters on a line
- Fix up the RPM group

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-6
- Explicitly require dbus-devel and dbus-glib (needed for FC < 6) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-5
- Remove unneeded BRs (gnome-utils-devel and openssl-devel) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-4
- Add autostart desktop file.
- Edit the package description as suggested in review

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-3
- More cleaups to the spec file.

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-2
- Add needed BRs

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Initial packaging for Fedora Extras
