Name:           unique
Version:        1.1.6
Release:        4%{?_dist_release}
Summary:        Single instance support for applications
Summary(ja):    アプリケーションのシングルインスタンス支援

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        http://download.gnome.org/sources/libunique/1.1/libunique-%{version}.tar.bz2

Patch0:			libunique-1.1.6-remove-disable-deprecated.patch
Patch1:			fix-unused-but-set-variable.patch
Patch2:			libunique-1.1.6-format-security.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gtk2-devel >= 2.11.0
BuildRequires:	gtk-doc >= 1.11

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

%package devel
Summary: Libraries and headers for Unique
Summary(ja): Unique のライブラリとヘッダ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc >= 1.11
Requires: dbus-glib-devel
Requires: gtk2-devel

%description devel
Headers and libraries for Unique.

%prep
%setup -q -n libunique-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--enable-gtk-doc \
	--disable-static \
	--disable-introspection \
	--enable-maintainer-flags=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/unique/
%{_includedir}/unique-1.0/
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so

%changelog
* Fri Nov 25 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.1.6-4
- add some patches from Rawhide 1.1.6-15.fc24
 - fix-unused-but-set-variable.patch (Patch1)
 - libunique-1.1.6-format-security.patch (for test; Patch2)
- update Source0 URI

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.6-3
- rebuild with VineSeed environment
- add Patch0 (libunique-1.1.6-remove-disable-deprecated.patch)
- add configure option (--enable-maintainer-flags=no)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.6-2
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: gtk-doc

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.6-1
- new upstream release

* Wed Jan 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.8-1
- new upstream release
- added Japanese description for unique
- fixed Japanese description for unique-devel
- fixed BuildRoot

* Sun May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-2
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- initial build for Vine Linux

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Matthias Clasen  <mclasen@redhat.com> - 1.0.4-3
- Actually apply the patch

* Sat Dec 20 2008 Matthias Clasen  <mclasen@redhat.com> - 1.0.4-2
- Fix a nautilus segfault

* Mon Nov 24 2008 Richard Hughes  <rhughes@redhat.com> - 1.0.4-1
- Update to latest upstream version
 * Plug a leak in UniqueMessageData
 * Fix linking with --as-needed
 * Do not export private functions symbols

* Sat Nov 22 2008 Richard Hughes  <rhughes@redhat.com> - 1.0.0-2
- Fix up summary text

* Thu Jul 31 2008 Richard Hughes  <rhughes@redhat.com> - 1.0.0-1
- Update to latest upstream version
 * First stable release
 * API is frozen
 * D-Bus and socket backends supported

* Fri May 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-5
- More updates to the spec file from Dan Horak, rh#446407

* Thu May 15 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-4
- Updates to the spec file from Dan Horak, rh#446407

* Thu May 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-3
- Initial version

