# version, patch version
%define vimversion	7.4
%define vimpversion	589

%define vimsubdir	vim%(echo %{vimversion} | sed -e's/\\.//')
%define vimdir		%{vimsubdir}

%define binprefix	/
%define x11prefix	/usr
%define vimrcloc	%{_sysconfdir}/vim
%define vimruntime	%{_datadir}/vim

%define configopts	--bindir='${exec_prefix}/bin' --disable-gpm
%define features_x11	--exec-prefix=%{_prefix} --with-x=yes --enable-gui=gtk2 --enable-xim --enable-fontset
%define features_nox11	--exec-prefix=%{_prefix} --with-x=no  --enable-gui=no
%define features_huge	--with-features=huge   --enable-multibyte --enable-rubyinterp --enable-pythoninterp --enable-perlinterp --enable-luainterp
%define features_big	--with-features=big    --enable-multibyte
%define features_normal	--with-features=normal --enable-multibyte
%define features_tiny	--exec-prefix=%{binprefix} --with-features=tiny --enable-multibyte --with-tlib=tinfo


Summary:     Vi IMproved - enhanced vi editor
Summary(ja): Vi IMproved - 改良された vi エディタ
Name: vim
License: Vim
Group: Applications/Editors
URL: http://www.vim.org/

%if %{vimpversion}
Version: %{vimversion}.%{vimpversion}
%else
Version: %{vimversion}
%endif
Release: 4%{?_dist_release}

Distribution: Vine Linux
Vendor: Project Vine

Source0: ftp://ftp.vim.org/pub/vim/unix/vim-%{vimversion}.tar.bz2

# gvim desktop file
Source100: gvim.desktop
Source101: gvim16.png
Source102: gvim32.png
Source103: gvim48.png
Source104: gvim64.png

Source300: vimrc.ja
Source400: format.vim
Source401: verifyenc.vim

# http://trac.vinelinux.org/wiki/SpecTemplates/PlainPackage
Source500: template.spec.vine

Patch2002: vim-7.0-fixkeys.patch
Patch2003: vim-6.2-specsyntax.patch

# Patches 1000 and up are patches from the base maintainer.
# If you're as lazy as me, generate the list using
# for i in seq 1 154; do printf "Patch%03d: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.%03d\n" $i $i; done > vimpatches
Patch001: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.001
Patch002: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.002
Patch003: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.003
Patch004: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.004
Patch005: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.005
Patch006: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.006
Patch007: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.007
Patch008: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.008
Patch009: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.009
Patch010: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.010
Patch011: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.011
Patch012: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.012
Patch013: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.013
Patch014: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.014
Patch015: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.015
Patch016: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.016
Patch017: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.017
Patch018: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.018
Patch019: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.019
Patch020: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.020
Patch021: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.021
Patch022: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.022
Patch023: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.023
Patch024: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.024
Patch025: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.025
Patch026: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.026
Patch027: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.027
Patch028: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.028
Patch029: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.029
Patch030: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.030
Patch031: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.031
Patch032: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.032
Patch033: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.033
Patch034: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.034
Patch035: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.035
Patch036: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.036
Patch037: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.037
Patch038: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.038
Patch039: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.039
Patch040: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.040
Patch041: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.041
Patch042: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.042
Patch043: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.043
Patch044: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.044
Patch045: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.045
Patch046: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.046
Patch047: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.047
Patch048: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.048
Patch049: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.049
Patch050: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.050
Patch051: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.051
Patch052: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.052
Patch053: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.053
Patch054: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.054
Patch055: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.055
Patch056: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.056
Patch057: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.057
Patch058: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.058
Patch059: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.059
Patch060: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.060
Patch061: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.061
Patch062: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.062
Patch063: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.063
Patch064: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.064
Patch065: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.065
Patch066: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.066
Patch067: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.067
Patch068: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.068
Patch069: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.069
Patch070: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.070
Patch071: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.071
Patch072: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.072
Patch073: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.073
Patch074: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.074
Patch075: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.075
Patch076: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.076
Patch077: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.077
Patch078: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.078
Patch079: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.079
Patch080: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.080
Patch081: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.081
Patch082: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.082
Patch083: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.083
Patch084: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.084
Patch085: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.085
Patch086: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.086
Patch087: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.087
Patch088: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.088
Patch089: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.089
Patch090: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.090
Patch091: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.091
Patch092: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.092
Patch093: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.093
Patch094: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.094
Patch095: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.095
Patch096: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.096
Patch097: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.097
Patch098: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.098
Patch099: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.099
Patch100: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.100
Patch101: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.101
Patch102: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.102
Patch103: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.103
Patch104: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.104
Patch105: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.105
Patch106: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.106
Patch107: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.107
Patch108: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.108
Patch109: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.109
Patch110: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.110
Patch111: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.111
Patch112: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.112
Patch113: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.113
Patch114: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.114
Patch115: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.115
Patch116: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.116
Patch117: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.117
Patch118: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.118
Patch119: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.119
Patch120: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.120
Patch121: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.121
Patch122: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.122
Patch123: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.123
Patch124: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.124
Patch125: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.125
Patch126: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.126
Patch127: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.127
Patch128: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.128
Patch129: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.129
Patch130: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.130
Patch131: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.131
Patch132: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.132
Patch133: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.133
Patch134: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.134
Patch135: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.135
Patch136: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.136
Patch137: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.137
Patch138: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.138
Patch139: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.139
Patch140: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.140
Patch141: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.141
Patch142: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.142
Patch143: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.143
Patch144: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.144
Patch145: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.145
Patch146: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.146
Patch147: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.147
Patch148: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.148
Patch149: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.149
Patch150: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.150
Patch151: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.151
Patch152: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.152
Patch153: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.153
Patch154: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.154
Patch155: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.155
Patch156: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.156
Patch157: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.157
Patch158: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.158
Patch159: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.159
Patch160: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.160
Patch161: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.161
Patch162: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.162
Patch163: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.163
Patch164: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.164
Patch165: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.165
Patch166: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.166
Patch167: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.167
Patch168: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.168
Patch169: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.169
Patch170: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.170
Patch171: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.171
Patch172: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.172
Patch173: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.173
Patch174: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.174
Patch175: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.175
Patch176: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.176
Patch177: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.177
Patch178: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.178
Patch179: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.179
Patch180: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.180
Patch181: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.181
Patch182: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.182
Patch183: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.183
Patch184: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.184
Patch185: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.185
Patch186: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.186
Patch187: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.187
Patch188: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.188
Patch189: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.189
Patch190: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.190
Patch191: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.191
Patch192: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.192
Patch193: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.193
Patch194: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.194
Patch195: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.195
Patch196: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.196
Patch197: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.197
Patch198: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.198
Patch199: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.199
Patch200: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.200
Patch201: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.201
Patch202: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.202
Patch203: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.203
Patch204: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.204
Patch205: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.205
Patch206: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.206
Patch207: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.207
Patch208: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.208
Patch209: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.209
Patch210: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.210
Patch211: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.211
Patch212: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.212
Patch213: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.213
Patch214: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.214
Patch215: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.215
Patch216: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.216
Patch217: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.217
Patch218: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.218
Patch219: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.219
Patch220: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.220
Patch221: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.221
Patch222: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.222
Patch223: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.223
Patch224: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.224
Patch225: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.225
Patch226: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.226
Patch227: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.227
Patch228: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.228
Patch229: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.229
Patch230: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.230
Patch231: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.231
Patch232: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.232
Patch233: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.233
Patch234: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.234
Patch235: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.235
Patch236: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.236
Patch237: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.237
Patch238: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.238
Patch239: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.239
Patch240: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.240
Patch241: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.241
Patch242: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.242
Patch243: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.243
Patch244: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.244
Patch245: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.245
Patch246: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.246
Patch247: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.247
Patch248: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.248
Patch249: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.249
Patch250: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.250
Patch251: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.251
Patch252: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.252
Patch253: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.253
Patch254: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.254
Patch255: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.255
Patch256: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.256
Patch257: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.257
Patch258: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.258
Patch259: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.259
Patch260: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.260
Patch261: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.261
Patch262: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.262
Patch263: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.263
Patch264: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.264
Patch265: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.265
Patch266: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.266
Patch267: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.267
Patch268: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.268
Patch269: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.269
Patch270: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.270
Patch271: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.271
Patch272: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.272
Patch273: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.273
Patch274: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.274
Patch275: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.275
Patch276: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.276
Patch277: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.277
Patch278: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.278
Patch279: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.279
Patch280: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.280
Patch281: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.281
Patch282: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.282
Patch283: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.283
Patch284: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.284
Patch285: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.285
Patch286: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.286
Patch287: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.287
Patch288: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.288
Patch289: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.289
Patch290: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.290
Patch291: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.291
Patch292: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.292
Patch293: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.293
Patch294: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.294
Patch295: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.295
Patch296: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.296
Patch297: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.297
Patch298: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.298
Patch299: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.299
Patch300: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.300
Patch301: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.301
Patch302: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.302
Patch303: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.303
Patch304: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.304
Patch305: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.305
Patch306: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.306
Patch307: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.307
Patch308: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.308
Patch309: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.309
Patch310: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.310
Patch311: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.311
Patch312: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.312
Patch313: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.313
Patch314: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.314
Patch315: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.315
Patch316: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.316
Patch317: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.317
Patch318: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.318
Patch319: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.319
Patch320: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.320
Patch321: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.321
Patch322: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.322
Patch323: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.323
Patch324: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.324
Patch325: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.325
Patch326: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.326
Patch327: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.327
Patch328: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.328
Patch329: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.329
Patch330: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.330
Patch331: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.331
Patch332: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.332
Patch333: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.333
Patch334: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.334
Patch335: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.335
Patch336: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.336
Patch337: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.337
Patch338: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.338
Patch339: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.339
Patch340: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.340
Patch341: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.341
Patch342: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.342
Patch343: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.343
Patch344: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.344
Patch345: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.345
Patch346: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.346
Patch347: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.347
Patch348: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.348
Patch349: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.349
Patch350: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.350
Patch351: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.351
Patch352: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.352
Patch353: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.353
Patch354: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.354
Patch355: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.355
Patch356: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.356
Patch357: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.357
Patch358: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.358
Patch359: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.359
Patch360: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.360
Patch361: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.361
Patch362: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.362
Patch363: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.363
Patch364: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.364
Patch365: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.365
Patch366: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.366
Patch367: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.367
Patch368: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.368
Patch369: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.369
Patch370: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.370
Patch371: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.371
Patch372: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.372
Patch373: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.373
Patch374: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.374
Patch375: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.375
Patch376: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.376
Patch377: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.377
Patch378: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.378
Patch379: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.379
Patch380: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.380
Patch381: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.381
Patch382: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.382
Patch383: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.383
Patch384: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.384
Patch385: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.385
Patch386: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.386
Patch387: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.387
Patch388: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.388
Patch389: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.389
Patch390: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.390
Patch391: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.391
Patch392: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.392
Patch393: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.393
Patch394: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.394
Patch395: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.395
Patch396: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.396
Patch397: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.397
Patch398: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.398
Patch399: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.399
Patch400: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.400
Patch401: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.401
Patch402: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.402
Patch403: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.403
Patch404: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.404
Patch405: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.405
Patch406: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.406
Patch407: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.407
Patch408: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.408
Patch409: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.409
Patch410: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.410
Patch411: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.411
Patch412: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.412
Patch413: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.413
Patch414: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.414
Patch415: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.415
Patch416: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.416
Patch417: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.417
Patch418: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.418
Patch419: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.419
Patch420: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.420
Patch421: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.421
Patch422: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.422
Patch423: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.423
Patch424: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.424
Patch425: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.425
Patch426: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.426
Patch427: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.427
Patch428: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.428
Patch429: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.429
Patch430: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.430
Patch431: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.431
Patch432: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.432
Patch433: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.433
Patch434: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.434
Patch435: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.435
Patch436: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.436
Patch437: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.437
Patch438: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.438
Patch439: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.439
Patch440: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.440
Patch441: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.441
Patch442: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.442
Patch443: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.443
Patch444: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.444
Patch445: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.445
Patch446: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.446
Patch447: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.447
Patch448: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.448
Patch449: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.449
Patch450: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.450
Patch451: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.451
Patch452: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.452
Patch453: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.453
Patch454: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.454
Patch455: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.455
Patch456: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.456
Patch457: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.457
Patch458: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.458
Patch459: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.459
Patch460: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.460
Patch461: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.461
Patch462: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.462
Patch463: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.463
Patch464: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.464
Patch465: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.465
Patch466: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.466
Patch467: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.467
Patch468: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.468
Patch469: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.469
Patch470: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.470
Patch471: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.471
Patch472: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.472
Patch473: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.473
Patch474: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.474
Patch475: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.475
Patch476: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.476
Patch477: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.477
Patch478: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.478
Patch479: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.479
Patch480: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.480
Patch481: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.481
Patch482: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.482
Patch483: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.483
Patch484: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.484
Patch485: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.485
Patch486: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.486
Patch487: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.487
Patch488: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.488
Patch489: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.489
Patch490: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.490
Patch491: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.491
Patch492: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.492
Patch493: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.493
Patch494: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.494
Patch495: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.495
Patch496: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.496
Patch497: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.497
Patch498: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.498
Patch499: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.499
Patch500: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.500
Patch501: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.501
Patch502: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.502
Patch503: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.503
Patch504: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.504
Patch505: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.505
Patch506: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.506
Patch507: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.507
Patch508: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.508
Patch509: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.509
Patch510: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.510
Patch511: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.511
Patch512: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.512
Patch513: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.513
Patch514: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.514
Patch515: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.515
Patch516: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.516
Patch517: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.517
Patch518: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.518
Patch519: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.519
Patch520: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.520
Patch521: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.521
Patch522: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.522
Patch523: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.523
Patch524: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.524
Patch525: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.525
Patch526: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.526
Patch527: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.527
Patch528: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.528
Patch529: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.529
Patch530: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.530
Patch531: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.531
Patch532: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.532
Patch533: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.533
Patch534: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.534
Patch535: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.535
Patch536: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.536
Patch537: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.537
Patch538: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.538
Patch539: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.539
Patch540: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.540
Patch541: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.541
Patch542: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.542
Patch543: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.543
Patch544: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.544
Patch545: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.545
Patch546: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.546
Patch547: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.547
Patch548: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.548
Patch549: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.549
Patch550: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.550
Patch551: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.551
Patch552: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.552
Patch553: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.553
Patch554: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.554
Patch555: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.555
Patch556: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.556
Patch557: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.557
Patch558: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.558
Patch559: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.559
Patch560: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.560
Patch561: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.561
Patch562: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.562
Patch563: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.563
Patch564: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.564
Patch565: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.565
Patch566: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.566
Patch567: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.567
Patch568: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.568
Patch569: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.569
Patch570: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.570
Patch571: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.571
Patch572: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.572
Patch573: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.573
Patch574: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.574
Patch575: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.575
Patch576: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.576
Patch577: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.577
Patch578: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.578
Patch579: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.579
Patch580: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.580
Patch581: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.581
Patch582: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.582
Patch583: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.583
Patch584: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.584
Patch585: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.585
Patch586: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.586
Patch587: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.587
Patch588: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.588
Patch589: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.589

Patch1559: 7.4.559.rhpatched

Patch2010: xxd-locale.patch

Patch3000: vim-7.4-syntax.patch
Patch3002: vim-7.1-nowarnings.patch
Patch3003: vim-6.1-rh3.patch
#Patch3004: vim-7.0-rclocation.patch
Patch3006: vim-6.4-checkhl.patch
Patch3007: vim-7.4-fstabsyntax.patch
Patch3009: vim-7.0-warning.patch
Patch3010: vim-7.0-syncolor.patch
Patch3011: vim-7.0-specedit.patch

Patch4000: vim-7.2-fix-menu.patch

# Patch4010: vim-7.3-enable-syntax.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel, python-devel, perl, gtk2-devel, ncurses-devel, autoconf, libtool, net-tools, pixman-devel, libXt-devel
BuildRequires: lua-devel
%if "%{?_dist_release}" != "vl5"
BuildRequires: glibc-static
%endif
Requires(post): alternatives
Requires: vim-common = %{version}

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-normal package provides a VIM executable configured
with essential features enabled.

%description -l ja 
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最も基本的な機能を含んだVIMが提供されます．

%package common
Summary: Common files needed by the non-X VIM packages
Summary(ja): 各種の VIM パッケージに必要なファイル
Group: Applications/Editors
Requires: gawk
Conflicts: vim-X11 < 6.0, vim-enhanced < 6.0, vim-minimal < 6.0

%description common
vim-common package contains files which every VIM binary packages will 
need in order to run. VIM itself is included in various packages (under
every different configuration) such as:

  * vim        - normal features
  * vim-big    - big features
  * vim-huge   - huge features and Ruby/Perl/Python support

%package man
Summary: Man pages for the VIM editor
Summary(ja): VIM エディタの man ページ
Group: Applications/Documentation
Conflicts: nvi <= 1.79_jp-18vl1, jvim <= 3.0j2.1a-0vl1

%description man
This package contains man pages for the VIM editor.

%description -l ja man
このパッケージはVIMエディタのmanページを含んでいます．

%package tiny
Summary: A minimal version of the VIM editor
Summary(ja): 最小構成の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Conflicts: nvi <= 1.79_jp-18vl1, jvim <= 3.0j2.1a-0vl1, vim-minimal
Obsoletes: vim-minimal

%description tiny
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-tiny package contains /bin/vi, a minimally configured version
of the VIM. It may be handy when only the root partition is present.
vim-common package is NOT needed to run this program.

%description -l ja tiny
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最小構成のVIMを/bin/vimとして提供しています。このパッ
ケージで提供されるVIMを使うにあたってはvim-commonパッケージは必要あり
ません．

%package big
Summary: VIM editor with big features
Summary(ja): 多機能版の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-common = %{version}
Obsoletes: vim-color

%description big
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-big package contains the VIM with "big" features enabled.

%description -l ja big
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではvimパッケージで提供されるVIMよりも多くの機能を含んだ
VIMを提供しています．

%package huge
Summary: VIM editor with huge features
Summary(ja): 最大機能版の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-common = %{version}
Requires: %(perl -le 'use Config; print $Config{archlibexp}')
Obsoletes: vim-color
Obsoletes: vim-ruby, vim-python, vim-perl

%description huge
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-huge package contains the VIM with most of its features (except
X11 features) enabled such as Ruby, Perl, Python and Lua features.

%description -l ja huge
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではX11対応以外のほとんどすべての機能のサポートに加え，
Ruby/Perl/Python/Luaスクリプトの実行機能までを含んでVIMを提供しています．

%package X11
Summary: VIM editor with X11 support
Summary(ja): X11 対応の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Provides: gvim

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-X11 package contains the VIM with X11 features enabled:
you can run VIM as an X application with a full GUI interface and mouse
support.

%description -l ja X11
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最も基本的な構成のVIMにX11対応を加えたものを提供して
います．

%package X11-common
Summary: The common files needed by any version of the GVIM editor
Summary(ja): X11 対応 VIM エディタに必要な共通ファイル
Group: Applications/Editors
Requires: vim-common = %{version}, gtk2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description X11-common
vim-X11-common package contains files which every GVIM (VIM with X11
features enabled) binaries will need in order to run. 
GVIM itself is included in various packages (under every different
configuration) such as:

  * vim-X11 - normal features
  * vim-X11-big - big features
  * vim-X11-huge - huge features and Ruby/Perl/Python/Lua support

%description -l ja X11-common
このパッケージは以下に示す各X11対応のVIMパッケージで提供されるVIMエディ
タを実行するために必要となる共通のファイル群を提供します:

  * vim-X11      - X対応機能を有効にしたVIMパッケージ
  * vim-X11-big  - vim-bigをX対応にしたVIMパッケージ
  * vim-X11-huge - vim-hugeをX対応にしたVIMパッケージ

%package X11-big
Summary: VIM editor with big features and X11 support
Summary(ja): X11 対応の多機能版 VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Provides: gvim

%description X11-big
VIM-X11 is a version of the VIM editor which is configured to run on the X 
Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

The vim-X11-big package provides the VIM which supports more features
than vim-X11 package does.

%description -l ja X11-big
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではvim-X11パッケージで提供されるVIMよりも，より多くの機
能を含んだVIMを提供しています．

%package X11-huge
Summary: VIM editor with huge features and X11 support
Summary(ja): X11 対応の最大機能版 VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Requires: %(perl -le 'use Config; print $Config{archlibexp}')
Provides: gvim

%description X11-huge
VIM-X11 is a version of the VIM editor which is configured to run on the X
Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

The vim-X11-huge package provides the VIM which supports much more extra
features than vim-X11-huge does, such as Ruby/Perl/Python/Lua support.

%description -l ja X11-huge
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではX11対応も含めたほとんどすべての機能のサポートに加え，
Ruby/Perl/Python/Luaスクリプトの実行機能までを含んでVIMを提供しています．

%prep
%setup -q -b 0 -n %{vimdir}
# fix rogue dependencies from sample code
chmod -x runtime/tools/mve.awk
%patch2002 -p1
%patch2003 -p1

perl -pi -e "s,bin/nawk,bin/awk,g" runtime/tools/mve.awk

# Base patches...
# for i in seq 1 154; do printf "%%patch%03d -p0\n" $i; done
%patch001 -p0
%patch002 -p0
%patch003 -p0
%patch004 -p0
%patch005 -p0
%patch006 -p0
%patch007 -p0
%patch008 -p0
%patch009 -p0
%patch010 -p0
%patch011 -p0
%patch012 -p0
%patch013 -p0
%patch014 -p0
%patch015 -p0
%patch016 -p0
%patch017 -p0
%patch018 -p0
%patch019 -p0
%patch020 -p0
%patch021 -p0
%patch022 -p0
%patch023 -p0
%patch024 -p0
%patch025 -p0
%patch026 -p0
%patch027 -p0
%patch028 -p0
%patch029 -p0
%patch030 -p0
%patch031 -p0
%patch032 -p0
%patch033 -p0
%patch034 -p0
%patch035 -p0
%patch036 -p0
%patch037 -p0
%patch038 -p0
%patch039 -p0
%patch040 -p0
%patch041 -p0
%patch042 -p0
%patch043 -p0
%patch044 -p0
%patch045 -p0
%patch046 -p0
%patch047 -p0
%patch048 -p0
%patch049 -p0
%patch050 -p0
%patch051 -p0
%patch052 -p0
%patch053 -p0
%patch054 -p0
%patch055 -p0
%patch056 -p0
%patch057 -p0
%patch058 -p0
%patch059 -p0
%patch060 -p0
%patch061 -p0
%patch062 -p0
%patch063 -p0
%patch064 -p0
%patch065 -p0
%patch066 -p0
%patch067 -p0
%patch068 -p0
%patch069 -p0
%patch070 -p0
%patch071 -p0
%patch072 -p0
%patch073 -p0
%patch074 -p0
%patch075 -p0
%patch076 -p0
%patch077 -p0
%patch078 -p0
%patch079 -p0
%patch080 -p0
%patch081 -p0
%patch082 -p0
%patch083 -p0
%patch084 -p0
%patch085 -p0
%patch086 -p0
%patch087 -p0
%patch088 -p0
%patch089 -p0
%patch090 -p0
%patch091 -p0
%patch092 -p0
%patch093 -p0
%patch094 -p0
%patch095 -p0
%patch096 -p0
%patch097 -p0
%patch098 -p0
%patch099 -p0
%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0
%patch104 -p0
%patch105 -p0
%patch106 -p0
%patch107 -p0
%patch108 -p0
%patch109 -p0
%patch110 -p0
%patch111 -p0
%patch112 -p0
%patch113 -p0
%patch114 -p0
%patch115 -p0
%patch116 -p0
%patch117 -p0
%patch118 -p0
%patch119 -p0
%patch120 -p0
%patch121 -p0
%patch122 -p0
%patch123 -p0
%patch124 -p0
%patch125 -p0
%patch126 -p0
%patch127 -p0
%patch128 -p0
%patch129 -p0
%patch130 -p0
%patch131 -p0
%patch132 -p0
%patch133 -p0
%patch134 -p0
%patch135 -p0
%patch136 -p0
%patch137 -p0
%patch138 -p0
%patch139 -p0
%patch140 -p0
%patch141 -p0
%patch142 -p0
%patch143 -p0
%patch144 -p0
%patch145 -p0
%patch146 -p0
%patch147 -p0
%patch148 -p0
%patch149 -p0
%patch150 -p0
%patch151 -p0
%patch152 -p0
%patch153 -p0
%patch154 -p0
%patch155 -p0
%patch156 -p0
%patch157 -p0
%patch158 -p0
%patch159 -p0
%patch160 -p0
%patch161 -p0
%patch162 -p0
%patch163 -p0
%patch164 -p0
%patch165 -p0
%patch166 -p0
%patch167 -p0
%patch168 -p0
%patch169 -p0
%patch170 -p0
%patch171 -p0
%patch172 -p0
%patch173 -p0
%patch174 -p0
%patch175 -p0
%patch176 -p0
%patch177 -p0
%patch178 -p0
%patch179 -p0
%patch180 -p0
%patch181 -p0
%patch182 -p0
%patch183 -p0
%patch184 -p0
%patch185 -p0
%patch186 -p0
%patch187 -p0
%patch188 -p0
%patch189 -p0
%patch190 -p0
%patch191 -p0
%patch192 -p0
%patch193 -p0
%patch194 -p0
%patch195 -p0
%patch196 -p0
%patch197 -p0
%patch198 -p0
%patch199 -p0
%patch200 -p0
%patch201 -p0
%patch202 -p0
%patch203 -p0
%patch204 -p0
%patch205 -p0
%patch206 -p0
%patch207 -p0
#patch208 -p0
%patch209 -p0
%patch210 -p0
%patch211 -p0
%patch212 -p0
%patch213 -p0
%patch214 -p0
%patch215 -p0
%patch216 -p0
%patch217 -p0
%patch218 -p0
%patch219 -p0
%patch220 -p0
%patch221 -p0
%patch222 -p0
%patch223 -p0
%patch224 -p0
%patch225 -p0
%patch226 -p0
%patch227 -p0
%patch228 -p0
%patch229 -p0
%patch230 -p0
%patch231 -p0
%patch232 -p0
%patch233 -p0
%patch234 -p0
%patch235 -p0
%patch236 -p0
%patch237 -p0
%patch238 -p0
%patch239 -p0
%patch240 -p0
%patch241 -p0
%patch242 -p0
%patch243 -p0
%patch244 -p0
%patch245 -p0
%patch246 -p0
%patch247 -p0
%patch248 -p0
%patch249 -p0
%patch250 -p0
%patch251 -p0
%patch252 -p0
%patch253 -p0
%patch254 -p0
%patch255 -p0
%patch256 -p0
%patch257 -p0
%patch258 -p0
%patch259 -p0
%patch260 -p0
%patch261 -p0
%patch262 -p0
%patch263 -p0
%patch264 -p0
%patch265 -p0
%patch266 -p0
%patch267 -p0
%patch268 -p0
%patch269 -p0
%patch270 -p0
%patch271 -p0
%patch272 -p0
%patch273 -p0
%patch274 -p0
%patch275 -p0
%patch276 -p0
%patch277 -p0
%patch278 -p0
%patch279 -p0
%patch280 -p0
%patch281 -p0
%patch282 -p0
%patch283 -p0
%patch284 -p0
%patch285 -p0
%patch286 -p0
%patch287 -p0
%patch288 -p0
%patch289 -p0
%patch290 -p0
%patch291 -p0
%patch292 -p0
%patch293 -p0
%patch294 -p0
%patch295 -p0
%patch296 -p0
%patch297 -p0
%patch298 -p0
%patch299 -p0
%patch300 -p0
%patch301 -p0
%patch302 -p0
%patch303 -p0
%patch304 -p0
%patch305 -p0
%patch306 -p0
%patch307 -p0
%patch308 -p0
%patch309 -p0
%patch310 -p0
%patch311 -p0
%patch312 -p0
%patch313 -p0
%patch314 -p0
%patch315 -p0
%patch316 -p0
%patch317 -p0
%patch318 -p0
%patch319 -p0
%patch320 -p0
%patch321 -p0
%patch322 -p0
%patch323 -p0
%patch324 -p0
%patch325 -p0
%patch326 -p0
%patch327 -p0
%patch328 -p0
%patch329 -p0
%patch330 -p0
%patch331 -p0
%patch332 -p0
%patch333 -p0
%patch334 -p0
%patch335 -p0
%patch336 -p0
%patch337 -p0
%patch338 -p0
%patch339 -p0
%patch340 -p0
%patch341 -p0
%patch342 -p0
%patch343 -p0
%patch344 -p0
%patch345 -p0
%patch346 -p0
%patch347 -p0
%patch348 -p0
%patch349 -p0
%patch350 -p0
%patch351 -p0
%patch352 -p0
%patch353 -p0
%patch354 -p0
%patch355 -p0
%patch356 -p0
%patch357 -p0
%patch358 -p0
%patch359 -p0
%patch360 -p0
%patch361 -p0
%patch362 -p0
%patch363 -p0
%patch364 -p0
%patch365 -p0
%patch366 -p0
%patch367 -p0
%patch368 -p0
%patch369 -p0
%patch370 -p0
%patch371 -p0
%patch372 -p0
%patch373 -p0
%patch374 -p0
%patch375 -p0
%patch376 -p0
%patch377 -p0
%patch378 -p0
%patch379 -p0
%patch380 -p0
%patch381 -p0
%patch382 -p0
%patch383 -p0
%patch384 -p0
%patch385 -p0
%patch386 -p0
%patch387 -p0
%patch388 -p0
%patch389 -p0
%patch390 -p0
%patch391 -p0
%patch392 -p0
%patch393 -p0
%patch394 -p0
%patch395 -p0
%patch396 -p0
%patch397 -p0
%patch398 -p0
%patch399 -p0
%patch400 -p0
%patch401 -p0
%patch402 -p0
%patch403 -p0
%patch404 -p0
%patch405 -p0
%patch406 -p0
%patch407 -p0
%patch408 -p0
%patch409 -p0
%patch410 -p0
%patch411 -p0
%patch412 -p0
%patch413 -p0
%patch414 -p0
%patch415 -p0
%patch416 -p0
%patch417 -p0
%patch418 -p0
%patch419 -p0
%patch420 -p0
%patch421 -p0
%patch422 -p0
%patch423 -p0
%patch424 -p0
%patch425 -p0
%patch426 -p0
%patch427 -p0
%patch428 -p0
%patch429 -p0
%patch430 -p0
%patch431 -p0
%patch432 -p0
%patch433 -p0
%patch434 -p0
%patch435 -p0
%patch436 -p0
%patch437 -p0
%patch438 -p0
%patch439 -p0
%patch440 -p0
%patch441 -p0
%patch442 -p0
%patch443 -p0
%patch444 -p0
%patch445 -p0
%patch446 -p0
%patch447 -p0
%patch448 -p0
%patch449 -p0
%patch450 -p0
%patch451 -p0
%patch452 -p0
%patch453 -p0
%patch454 -p0
%patch455 -p0
%patch456 -p0
%patch457 -p0
%patch458 -p0
%patch459 -p0
%patch460 -p0
%patch461 -p0
%patch462 -p0
%patch463 -p0
%patch464 -p0
%patch465 -p0
%patch466 -p0
%patch467 -p0
%patch468 -p0
%patch469 -p0
%patch470 -p0
%patch471 -p0
%patch472 -p0
%patch473 -p0
%patch474 -p0
%patch475 -p0
%patch476 -p0
%patch477 -p0
%patch478 -p0
%patch479 -p0
%patch480 -p0
%patch481 -p0
%patch482 -p0
%patch483 -p0
%patch484 -p0
%patch485 -p0
%patch486 -p0
%patch487 -p0
%patch488 -p0
%patch489 -p0
%patch490 -p0
%patch491 -p0
%patch492 -p0
%patch493 -p0
%patch494 -p0
%patch495 -p0
%patch496 -p0
%patch497 -p0
%patch498 -p0
%patch499 -p0
%patch500 -p0
%patch501 -p0
%patch502 -p0
%patch503 -p0
%patch504 -p0
%patch505 -p0
%patch506 -p0
%patch507 -p0
%patch508 -p0
%patch509 -p0
%patch510 -p0
%patch511 -p0
%patch512 -p0
%patch513 -p0
%patch514 -p0
%patch515 -p0
%patch516 -p0
%patch517 -p0
%patch518 -p0
%patch519 -p0
%patch520 -p0
%patch521 -p0
%patch522 -p0
%patch523 -p0
%patch524 -p0
%patch525 -p0
%patch526 -p0
%patch527 -p0
%patch528 -p0
%patch529 -p0
%patch530 -p0
%patch531 -p0
%patch532 -p0
%patch533 -p0
%patch534 -p0
%patch535 -p0
%patch536 -p0
%patch537 -p0
%patch538 -p0
%patch539 -p0
%patch540 -p0
%patch541 -p0
%patch542 -p0
%patch543 -p0
%patch544 -p0
%patch545 -p0
%patch546 -p0
%patch547 -p0
%patch548 -p0
%patch549 -p0
%patch550 -p0
%patch551 -p0
%patch552 -p0
%patch553 -p0
%patch554 -p0
%patch555 -p0
%patch556 -p0
%patch557 -p0
%patch558 -p0
%patch559 -p0
%patch1559 -p0
%patch560 -p0
%patch561 -p0
%patch562 -p0
%patch563 -p0
%patch564 -p0
%patch565 -p0
%patch566 -p0
%patch567 -p0
%patch568 -p0
%patch569 -p0
%patch570 -p0
%patch571 -p0
%patch572 -p0
%patch573 -p0
%patch574 -p0
%patch575 -p0
%patch576 -p0
%patch577 -p0
%patch578 -p0
%patch579 -p0
%patch580 -p0
%patch581 -p0
%patch582 -p0
%patch583 -p0
%patch584 -p0
%patch585 -p0
%patch586 -p0
%patch587 -p0
%patch588 -p0
%patch589 -p0

%patch2010 -p1

%patch3000 -p1
%patch3002 -p1
%patch3003 -p1
#%patch3004 -p1

%patch3006 -p1
%patch3007 -p1
#%patch3008 -p1
%patch3009 -p1
%patch3010 -p1
%patch3011 -p1

%patch4000 -p1
# %patch4010 -p1

%build
cd src
autoconf

make shadow
mv shadow vim-X11-huge
(cd vim-X11-huge && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_huge} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-X11-big
(cd vim-X11-big && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_big} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-X11-normal
(cd vim-X11-normal && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_normal} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-huge
(cd vim-huge && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_huge} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-big
(cd vim-big && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_big} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-normal
(cd vim-normal && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_normal} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-tiny
cp os_unix.h os_unix.h.orig
sed -i -e 's|$VIM/vimrc|/etc/vimrc.tiny|g' os_unix.h
(cd vim-tiny && \
 LDFLAGS=-static export LDFLAGS; \
 %configure %{configopts} %{features_nox11} %{features_tiny} && \
 make %{?_smp_mflags})
cp os_unix.h.orig os_unix.h

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{vimrcloc}
mkdir -p %{buildroot}/%{vimruntime}

ln -s %{vimrcloc}/vimrc.ja  %{buildroot}/%{vimruntime}/vimrc
ln -s %{vimrcloc}/gvimrc.ja %{buildroot}/%{vimruntime}/gvimrc
ln -s %{vimrcloc}           %{buildroot}/%{vimruntime}/vimfiles

cd src

for d in vim-normal vim-big vim-huge vim-X11-normal vim-X11-big vim-X11-huge vim-tiny
do
  make -C$d DESTDIR=%{buildroot} installvimbin 
  vimbin=`find %{buildroot} -name vim -type f`
  mv $vimbin `dirname $vimbin`/`echo $d | sed -e's/^vim-/vim./'`
done
make -Cvim-huge     DESTDIR=%{buildroot} installtools installtutor
make -Cvim-X11-huge DESTDIR=%{buildroot} installtools installtutor installtutorbin
make -Cvim-X11-huge DESTDIR=%{buildroot} install-languages install-icons
make -Cvim-X11-huge DESTDIR=%{buildroot} installruntime installlinks installmanlinks
find %{buildroot}/%{_bindir} -type l -exec rm \{\} \;

# Dependency cleanups
chmod 644 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/doc/vim2html.pl \
 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/tools/*.pl \
 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/tools/vim132
chmod 644 ../runtime/doc/vim2html.pl

# installing vimrc files.
install -p -m644 %{SOURCE300} %{buildroot}%{vimrcloc}/vimrc.ja
install -p -m644 %{SOURCE300} %{buildroot}%{vimrcloc}/gvimrc.ja
install -p -m644 %{SOURCE300} %{buildroot}%{_sysconfdir}/vimrc.tiny

# installing misc utils.
install -p -m644 %{SOURCE400} %{buildroot}%{_datadir}/vim/%{vimsubdir}/plugin/format.vim
install -p -m644 %{SOURCE401} %{buildroot}%{_datadir}/vim/%{vimsubdir}/plugin/verifyenc.vim

# installing template.spec
install -p -m644 %{SOURCE500} %{buildroot}%{vimrcloc}/template.spec

cd ../..

# desktop file
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -p -m644 %{SOURCE100} %{buildroot}%{_datadir}/applications/gvim.desktop

# icons
%__mkdir_p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
%__install -p -m644 %{SOURCE101} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gvim.png
%__install -p -m644 %{SOURCE102} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gvim.png
%__install -p -m644 %{SOURCE103} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gvim.png
%__install -p -m644 %{SOURCE104} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/gvim.png

# remove international manuals
rm -rf %{buildroot}/%{_mandir}/{fr,it,ru,pl}*

%post tiny
update-alternatives \
  --install /bin/vi      vi      /bin/vim.tiny 20 \
  --slave   /usr/bin/vi  vi     /bin/vim.tiny \
  --slave   /bin/vim     vim     /bin/vim.tiny \
  --slave   /bin/eview   eview   /bin/vim.tiny \
  --slave   /bin/evim    evim    /bin/vim.tiny \
  --slave   /bin/ex      ex      /bin/vim.tiny \
  --slave   /bin/rview   rview   /bin/vim.tiny \
  --slave   /bin/rvim    rvim    /bin/vim.tiny \
  --slave   /bin/view    view    /bin/vim.tiny \
  --slave   /bin/vimdiff vimdiff /bin/vim.tiny

%triggerpostun -- vim-minimal < 6.0
update-alternatives --auto vi

%triggerpostun tiny -- vim-tiny <= 6.2.532-0vl3
update-alternatives --remove vi /bin/vim
update-alternatives --auto vi

%preun tiny
if [ "$1" = "0" ]
then
  update-alternatives --remove vi /bin/vim.tiny
fi

%post
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.normal 31 \
  --slave   /usr/bin/vi  vi     %{_bindir}/vim.normal \
  --slave   /bin/vim     vim     %{_bindir}/vim.normal \
  --slave   /bin/eview   eview   %{_bindir}/vim.normal \
  --slave   /bin/evim    evim    %{_bindir}/vim.normal \
  --slave   /bin/ex      ex      %{_bindir}/vim.normal \
  --slave   /bin/rview   rview   %{_bindir}/vim.normal \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.normal \
  --slave   /bin/view    view    %{_bindir}/vim.normal \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.normal

%triggerpostun -- vim <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.normal

%preun
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.normal
fi

%post big
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.big 41 \
  --slave   /usr/bin/vi  vi     %{_bindir}/vim.big \
  --slave   /bin/vim     vim     %{_bindir}/vim.big \
  --slave   /bin/eview   eview   %{_bindir}/vim.big \
  --slave   /bin/evim    evim    %{_bindir}/vim.big \
  --slave   /bin/ex      ex      %{_bindir}/vim.big \
  --slave   /bin/rview   rview   %{_bindir}/vim.big \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.big \
  --slave   /bin/view    view    %{_bindir}/vim.big \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.big

%triggerpostun big -- vim-big <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.big

%preun big
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.big
fi

%post huge
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.huge 51 \
  --slave   /usr/bin/vi  vi      %{_bindir}/vim.huge \
  --slave   /bin/vim     vim     %{_bindir}/vim.huge \
  --slave   /bin/eview   eview   %{_bindir}/vim.huge \
  --slave   /bin/evim    evim    %{_bindir}/vim.huge \
  --slave   /bin/ex      ex      %{_bindir}/vim.huge \
  --slave   /bin/rview   rview   %{_bindir}/vim.huge \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.huge \
  --slave   /bin/view    view    %{_bindir}/vim.huge \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.huge

%triggerpostun huge -- vim-huge <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.huge

%preun huge
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.huge
fi

%post X11
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-normal 30 \
  --slave   /usr/bin/vi   vi       %{_bindir}/vim.X11-normal \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-normal \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-normal \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-normal \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-normal \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-normal \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-normal \
  --slave   /bin/view     view     %{_bindir}/vim.X11-normal \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-normal
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-normal 30 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-normal

%triggerpostun X11 -- vim-X11 <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-normal

%preun X11
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-normal
  update-alternatives --remove gvim %{_bindir}/vim.X11-normal
fi

%post X11-big
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-big 40 \
  --slave   /usr/bin/vi   vi       %{_bindir}/vim.X11-big \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-big \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-big \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-big \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-big \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-big \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-big \
  --slave   /bin/view     view     %{_bindir}/vim.X11-big \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-big
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-big 40 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-big

%triggerpostun X11-big -- vim-X11-big <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-big

%preun X11-big
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-big
  update-alternatives --remove gvim %{_bindir}/vim.X11-big
fi

%post X11-huge
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-huge 50 \
  --slave   /usr/bin/vi   vi       %{_bindir}/vim.X11-huge \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-huge \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-huge \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-huge \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-huge \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-huge \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-huge \
  --slave   /bin/view     view     %{_bindir}/vim.X11-huge \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-huge
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-huge 50 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-huge

%triggerpostun X11-huge -- vim-X11-huge <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-huge

%preun X11-huge
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-huge
  update-alternatives --remove gvim %{_bindir}/vim.X11-huge
fi

%post X11-common
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun X11-common
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/vim.normal

%files common
%defattr(-,root,root)
%doc README.txt
%doc README_extra.txt
%doc README_unix.txt
%{vimrcloc}
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_datadir}/vim

%files man
%defattr(-,root,root)
%{_mandir}/man1/eview.1*
%{_mandir}/man1/evim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/rgview.1*
%{_mandir}/man1/rgvim.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/rvim.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/vim.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/xxd.1*
%{_mandir}/ja/man1/eview.1.gz
%{_mandir}/ja/man1/evim.1.gz
%{_mandir}/ja/man1/ex.1.gz
%{_mandir}/ja/man1/gview.1.gz
%{_mandir}/ja/man1/gvim.1.gz
%{_mandir}/ja/man1/gvimdiff.1.gz
%{_mandir}/ja/man1/rgview.1.gz
%{_mandir}/ja/man1/rgvim.1.gz
%{_mandir}/ja/man1/rview.1.gz
%{_mandir}/ja/man1/rvim.1.gz
%{_mandir}/ja/man1/view.1.gz
%{_mandir}/ja/man1/vim.1.gz
%{_mandir}/ja/man1/vimdiff.1.gz
%{_mandir}/ja/man1/vimtutor.1.gz
%{_mandir}/ja/man1/xxd.1.gz

%files X11-common
%defattr(-,root,root)
%config(missingok) %{_datadir}/applications/gvim.desktop
%{_datadir}/icons/hicolor/*/apps/gvim.png
%{_mandir}/man1/gview.1*
%{_mandir}/man1/gvim.1*
%{_mandir}/man1/gvimdiff.1*

%files tiny
%defattr(-,root,root)
%{binprefix}bin/vim.tiny
%{_sysconfdir}/vimrc.tiny

%files big
%defattr(-,root,root)
%{_bindir}/vim.big

%files huge
%defattr(-,root,root)
%{_bindir}/vim.huge

%files X11
%defattr(-,root,root)
%{_bindir}/vim.X11-normal

%files X11-big
%defattr(-,root,root)
%{_bindir}/vim.X11-big

%files X11-huge
%defattr(-,root,root)
%{_bindir}/vim.X11-huge

%changelog
* Tue Nov 29 2016 Toshiaki Ara <ara_t@384.jp> 7.4.589-4
- fix %%post error when installing vim-huge, vim-X11 and vi-X11-huge
  - change /usr/bin/vi to /usr/bin/vi

* Mon Nov 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.4.589-3
- add Source500 (template.spec.vine)

* Fri Sep 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.4.589-2
- rebuild with ruby-2.2.3

* Sat Jan 31 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 7.4.589-1
- update to 7.4.589

* Thu Jul 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.4.334-3
- rebuild with perl-5.16.3

* Wed Jun 25 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 7.4.334-2vl7
- build with Ruby 2.1

* Thu Jun 19 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 7.4.334-1
- update to 7.4.334

* Sun Dec 22 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 7.4.131-1
- update to 7.4.131

* Sat Nov 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 7.4.110-1
- update to 7.4.110
 - add 7.4 patches (Patch51..110)
- enable Lua support
- fix 7.4.50-1 changelog

* Fri Oct  4 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 7.4.50-1
- update to 7.4.50
 - drop 7.3 patches (Patch001..712)
 - add 7.4 patches (Patch1..50)
- drop crv patch (Patch2004)
- update some patches from Fedora vim-7.4.027-2
 - syntax patch (Patch3000): 
 - fstabsyntax patch (Patch3007)
- add Distribution and Vendor tags

* Thu Oct 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3.712-1
- update to 7.3.712
- build with ruby-1.9.3

* Sun Jun 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3.206-1
- update to 7.3.206

* Thu Apr 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3.154-1
- update to 7.3.154
  - update Patch001-154

* Tue Mar 29 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.2.446-5
- rebuild with perl-5.12.3

* Sun Jan 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.2.446-4
- add BuildRequires: libXt-devel

* Sun Jan 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.2.446-3
- update vimrc.ja (fixed http://bts.vinelinux.org/user.cgi?action=view_report&id=1067&project=VineLinux)

* Sun Sep 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.446-2
- do not BR: glibc-static on Vine 5.x

* Sun Sep 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.446-1
- update tp 7.2.446 (add Patch149-446)
- run update-alternatives on vim-huge post script
- drop Patch3004 (use %%{_datadir}/vim/vimrc)
- add vimrc.tiny for vim.tiny
- add BR: glibc-static to build vime-tiny

* Sat Mar 20 2010 Shu KONNO <owa@bg.wakwak.com> 7.2.148-2
- rebuilt with python-2.6

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.148-1
- new upstream release
- modified vimrc.ja to support utf-8 locale
- drop vim-{ruby,perl,python}

* Mon May 05 2008 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 6.4.10-1vl5
- rebuild with perl-5.10.0
- applied new versioning policy
- add "make installghelplinks"
- add BuildRequires: pixman-devel

* Wed Sep 05 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 6.4.10-0vl3
- [SECURITY] add helptags.patch (patch2000) renamed from 7.1.039
  - fix format string vulnerability in the helptags_one (CVE-2007-2953)

* Sat Jul 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.10-0vl2
- changed man Group to Applications/Documentation

* Mon May 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.10-0vl1
- new upstream patch version

* Tue Feb 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.8-0vl2
- update patching script
  - exit if upstream patches not exist

* Mon Feb 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.8-0vl1
- new upstream patch version

* Fri Nov 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4-0vl2
- add cssIdentifier.patch to avoid error

* Mon Oct 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4-0vl1
- new upstream release
- drop tmpfile.patch
- import verifyenc.vim from KaoriYa.net ([vine-users:073279])
  - http://www.kaoriya.net/dist/vim-6.4-w32j.tar.bz2
- import checkhl.patch from FC 6.4.000-2

  * Tue Oct 25 2005 Karsten Hopp <karsten@redhat.de> 6.4.000-2
  - add syntax highlighting rule for %%check (Ralf Ertzinger, #165277)

* Mon Oct 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.90-0vl1
- new upstream patch version
- add numeric-keypad.patch (patch101)
  - Thanks, ISOBE Takeshi

* Sun Aug 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.86-0vl2
- [SECURITY] re-add patches, import tmpfile.patch from FC
  - oops, patches not added at 6.3.86-0vl1
  - overwrite or create arbitrary files via a symlink attack (CAN-2005-0069)

* Sat Jul 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.86-0vl1
- [SECURITY] new upstream patch version
  - modelines shell command execution vulnerability (CAN-2005-2368)
- add README_patches.txt

* Sun May 15 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.71-0vl1
- new upstream patch version
- update desktop file
  - import icons from FC
  - import gvim.desktop from FC and modify
  - move gvim.desktop to %%{_datadir}/applications
  - run update-desktop-database at X11-common's post/postun
- import specsyntax.patch from FC

* Wed Jan 26 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.58-0vl1
- new upstream patch version
- perl/huge/X11-huge
  - add Requires: %%(perl -le 'use Config; print $Config{archlibexp}')

* Tue Jan 11 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.53-0vl2
- rebuild with perl-5.8.6

* Mon Dec 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.53-0vl1
- [SECURITY] new upstream patch version
  - arbitrary command execution vulnerability (CAN-2004-1138)
- add URL
- fix common's Japanese description
  - remove package information about vim-X11-*
- add Provides: gvim (vim-X11-*)

* Fri Oct 29 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.31-0vl1
- new upstream patch version
- fix URLs (source1,2)

* Sun Jun 20 2004 Tomoya TAKA <taka@vinelinux.org> 6.3.6-0vl1
- new upstream release
- update configurations of alternatives
- vim-tiny contains /bin/vim.tiny only
- remove 'Requires: vim-common' from vim-man subpackage
- change order of fileencordings in vimrc.ja

* Wed May 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.2.532-0vl3
- use gtk2 instead of gtk+
- add Requires: gtk2 to vim-X11-common
- add BuildRequires: gtk2-devel

* Tue May 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.2.532-0vl2
- add --enable-multibyte to vim-tiny

* Sat May 15 2004 Tomoya TAKA <taka@vinelinux.org> 6.2.532-0vl1
- new upstream patch version

* Sat Mar 20 2004 Tomoya TAKA <taka@vinelinux.org> 6.2.382-0vl1
- new upstream version

* Mon Oct 06 2003 akira yamada <akira@vinelinux.org> 6.2.106-0vl1
- new upstream version
- bulid with ruby-1.8.0.

* Tue Jun 17 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 6.2.14-0vl1
- new upstream version

* Wed Jan 22 2003 Tomoya TAKA <taka@vinelinux.org> 6.1.300-0vl1
- new upstream patch version

* Wed Jan 22 2003 Tomoya TAKA <taka@vinelinux.org> 6.1.265-0vl1
- patch level 265, including fix of modeline vulnerability
  cf. http://www.guninski.com/vim1.html

* Wed Apr 03 2002 akira yamada <akira@vinelinux.org> 6.1.5-0vl1
- new upstream version.
- updated format.vim. (extracted from
  http://www.kaoriya.net/dist/gvim-6.1-w32j.tar.bz2.)
- clean uped vimrc, vimrc.ja, gvimrc, gvimrc.ja.

* Thu Jan 31 2002 Toru Sagami <sagami@vinelinux.org> 6.0.158-0vl1
- patch level 6.0.158

* Sun Nov 25 2001 akira yamada <akira@vinelinux.org> 6.0.93-0vl1
- new upstream patch version.
- added PreReqs: alternatives for vim, vim-tiny, vim-X11.

* Mon Nov 12 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl4
- added Japanese descriptions.
- English descriptions by shaolin.

* Wed Nov 07 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl3
- added triggerpostun for vim-minimal.

* Mon Nov 05 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl2
- patch #44, #54, #64 is now available.

* Mon Nov 05 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl1
- new upstream patch version.
- removed jcode2.vim and added new default vimrc.
- removed unused sources and patches.
- alternatives for /bin/vi.
- added net-tools to BuildRequires. (/bin/hostname)

* Wed Oct 31 2001 akira yamada <akira@vinelinux.org> 6.0.43-0vl1
- new upstream patch version.
- added vim-lang and vim-extra.
- added gawk to Requires of vim-common.
- added gtk+ to Requires of vim-X11-common.

* Wed Oct 17 2001 akira yamada <akira@vinelinux.org> 6.0.11-0vl2
- added autoconf and libtool to BuildRequires.

* Mon Oct 15 2001 akira yamada <akira@vinelinux.org> 6.0.11-0vl1
- vim and vim-X11 is no longer virturl package.
- obsoleted vim-normal and vim-X11-normal.
- added check "$1" = "0" for  preun scripts.

* Mon Oct 15 2001 akira yamada <akira@vinelinux.org> 6.0-0vl2
- linked staticly vim of vim-tiny.

* Sun Oct 14 2001 akira yamada <akira@vinelinux.org> 6.0-0vl1
- new upstream version.
- now, vim and vim-X11 is virtual package.
- new sub-packages vim-tiny, vim-normal, vim-big, vim-ruby, vim-perl,
  vim-python, vim-huge, vim-X11-normal, vim-X11-big and vim-X11-huge.
- obsoleted vim-minimal and vin-enhanced.

* Sat Sep 08 2001 Toru Sagami <sagami@vinelinux.org>
- 5.8-0vl4: rebuilt on current ncurses
- added format.vim and more useful comments in vimrc.ja

* Sat Aug 04 2001 <sagami@vinelinux.org>
- 5.8-0vl3: patch level 5.8.9
- dont pack duplicated runtime/syntax directory into %%doc

* Thu Jul 19 2001 <sagami@vinelinux.org>
- 5.8-0vl2: patch level 5.8.7
- Add postfix config syntax highlighting

* Fri Jun 08 2001 <sagami@vinelinux.org>
- vim-5.8-0vl1: patch level 5.8.002

* Fri Jun 01 2001 <sagami@vinelinux.org>
- vim-5.8-0vl0: vim-5.8 bug fix release

* Thu May 10 2001 <sagami@vinelinux.org>
- vim-5.7-0vl8: patch level 5.7.030
- use versioned sources, not older ones and patches
- sync with RH6.2 updates

* Wed Apr 18 2001 sagami@vinelinux.org
- jcode2.vim: fix back to original one
- patch level 5.7.028

* Mon Feb 05 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- patch level 5.7.024
- small fix for jcode2.vim
- split man package from common package to avoid conflict with jvim3

* Tue Dec 26 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- %%{makeinstall}
- acutally build against current ncurses5 without gpm with ncurses4

* Thu Dec 21 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- build against current ncurses5
- added CVS commit filetype detection to scripts.vim

* Wed Dec 06 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 5.7.19
- jcode.pl-2.13
- added License recognition to .spec syntax
- added RFC822 mail/ emacs-lips filetype detection to scripts.vim
- FHS stuff: _mandir

* Wed Jul 19 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- based on RH 5.6-14 ->  5.7 (patchlevel .2)
- manpath: /usr/share/man -> /usr/man/man :-)
- delete %%makeinstall macro for rpm-3.0.x
- gvim: --enable-multibyte, xim, fontset
- vim: --enable-multibyte
- jcode.pl-2.11 and jcode2.vim from Nozomu Kobayashi's rpm package
- vimrc: added bzip2 and Japanese stuff of a kind

* Sat Jun  3 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 74
- add %%makeinstall macro recognition to .spec file syntax highlighting rules
- fix up Makefiles

* Fri Apr 14 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 66
- fix compilation with perl 5.6.0

* Mon Mar 20 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 12

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home/end in vimrc (we did a term = rxvt, totally wrong)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- change F1-F4 keybindings for xterm builtin terminfo to match real terminfo

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- kill autoindent

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb  5 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Patchlevel 11
- handle compressed man pages
- fix man page symlinks

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on X in vim-enhanced, and ncurses/gpm
  in vim-minimal

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on csh and perl in vim-common

* Wed Jan 19 2000 Bernhard Rosenrk舅zer <bero@redhat.com>
- Use awk, not nawk

* Tue Jan 18 2000 Bernhard Rosenrk舅zer <bero@redhat.com>
- 5.6
- patch 5.6.001
- remove /usr/bin/vi - if you want vim, type vim

* Tue Jan 11 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- 5.6a
- Remove dependency on nawk (introduced by base update)
- some tweaks to make updating easier

* Tue Nov  9 1999 Bernhard Rosenkr舅zer <bero@redhat.com>
- 5.5
- fix path to vimrc

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
