Summary:      Wireless LAN management utilities.
Summary(ja):  無線LAN管理ユーティリティ
Name:         wireless-tools
Version:      29
Release:      4%{?_dist_release}
License:      GPL2
Group:        System Environment/Base
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source0:      http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/wireless_tools.%{version}.tar.gz
Buildroot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux


%description
The wireless-tools package contain the Wireless tools, used to
manipulate the Wireless Extensions. The Wireless Extension is
an interface allowing you to set Wireless LAN specific parameters
and get the specific stats.

%description -l ja
Wireless Extensions は，無線 LAN 特有のパラメータを設定したり
現在の状態を取得したりする為のインタフェースです．
wireless-tools パッケージは，この Wireless Extensions を操作する
為のツールを収録したパッケージです．


%package devel
Summary: Development files for wireless-tools
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for Wireless-tools


%prep
%setup -q -n wireless_tools.%{version}

%build
%__make clean
%__make BUILD_SHARED=1


%install
rm -rf $RPM_BUILD_ROOT 
%__make install \
	INSTALL_DIR=$RPM_BUILD_ROOT%{_syssbindir} \
        INSTALL_LIB=$RPM_BUILD_ROOT/%{_lib} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}
			
%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README INSTALL *.txt
%{_syssbindir}/*
/%{_lib}/*.so.*
%{_mandir}/man[578]/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
/%{_lib}/*.so

%changelog
* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 29-4
- rebuild with VineSeed environment

* Tue Apr  5 2011 IWAI, Masaharu <iwai@alib.jp> 29-3vl6
- build on current VineSeed

* Sat Apr  4 2009 IWAI, Masaharu <iwai@alib.jp> 29-2
- spec in UTF-8
- using rpm macro: _syssbindir
- add URL tag
- update Source0 URL

* Wed Apr 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 29-1
- new upstream release

* Tue Sep 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 28-0vl1
- update to wireless-tools-28 release

* Sat Mar 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 28-0vl0.pre15
- update to 28-pre15 beta version
- move shared library to /lib

* Tue Aug 16 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 27-0vl3
- buildrequires glibc-kernheaders, not kernel-headers

* Sat Jul 16 2005 Shu KONNO <owa@bg.wakwak.com> 27-0vl2
- rebuilt with kernel-2.6.12

* Mon May 16 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 27-0vl1
- updated to version 27
- added missing documents (*.txt)

* Sun Mar 14 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 26-0vl3
- move man7/wireless.7.gz and lib/libiw.so.26 to main package

* Thu Mar 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 26-0vl2
- add devel package
- arrange %%install method

* Tue Nov 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 26-0vl0
- rebuild for Vine Linux 2.6

* Thu Aug 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 26-0vl1
- new upstream release

* Sun Feb 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 25-0vl1
- new upstream release

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 24-0vl2
- just rebuild with current kernel

* Mon Sep 30 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 24-0vl1
- updated to new upstream release 24
  (version 25 is now available, but it requires wireless extension v15)
- added Japanese description

* Mon Mar 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 23-0vl1
- updated to new upstream release 23

* Thu Feb 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 22-0vl2
- added BuildPreReq: glibc >= 2.2

* Thu Jan 17 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 22-0vl1
- updated to the new upstream release

* Fri Jul 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 21-0vl3
- added missing iwgetid and iwlist
- Copyright: Free -> License: GPL2

* Tue May 15 2001 Satoshi MACHINO <machino@vinelinux.org> 21-0vl2
- removed strip and gzip in SPEC file(used brp-redhat script)
 
* Tue May 15 2001 Satoshi MACHINO <machino@vinelinux.org> 21-0vl1
- updated wireless_tools.21
- changed Packager

* Tue Jul  18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first release
