%define tarball xf86-input-evdev
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 evdev input driver
Summary(ja):   Xorg X11 evdev 入力ドライバ
Name:      xorg-x11-drv-evdev
Version:   2.10.3
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xorg-x11-server-sdk 
BuildRequires: libevdev-devel
BuildRequires: libxkbfile-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: eudev-libudev-devel
BuildRequires: mtdev-devel
Requires:  xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 evdev input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%changelog
* Fri Jul 22 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.3-1
- new upstream release

* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.2-1
- new upstream release

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.2-2
- rebuild with xserver-1.17.2

* Sun Apr 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.2-1
- new upstream release

* Sun Dec 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.1-1
- new upstream release

* Sat Nov 22 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.0-2
- rebuild with xserver-1.16.2

* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.0-1
- new upstream release
- add BuildRequires: libevdev-devel, mtdev-devel

* Tue Jun 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.4-2
- change BuildRequires: eudev-libudev-devel instead of libudev-devel

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.4-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.2-2
- rebuild with VineSeed environment

* Sun Nov 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.2-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release

* Mon Oct 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.3-1
- new upstream release

* Sun Aug 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.2-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.0-2
- rebuild with xserver-1.12.0

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.0-1
- new upstream release
- add BuildRequires: xorg-x11-proto-devel, libudev-devel

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.0-3
- rebuild with xserver-1.11.1.902

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.0-2
- rebuild with xserver-1.10.0

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.0-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.0-3
- rebuild with xserver-1.9.2

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Aug 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.0-1
- new upstream release

* Mon Apr 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-1
- new upstream release
- add BR: libxkbfile-devel, xorg-x11-util-macros

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.2-3
- rebuild with xserver-1.8rc (x86_64)

* Wed Mar 24 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-2
- rebuild with xserver-1.8rc

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.2-1
- new upstream release

* Tue Nov 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-1
- new upstream release

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.0-1
- new upstream release

* Wed May 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-1
- new upstream release

* Tue Jan 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.1-1
- new upstream release

* Sun Nov 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.0-1
- new upstream release

* Fri Nov 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.99.3-1
- new upstream release

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.99.2-1
- new upstream release

* Thu Oct 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.99.1-1
- new upstream release

* Fri Oct 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.6-1
- new upstream release

* Thu Jul 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-1
- new upstream release

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new versioning policy

* Sun Jan 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-0vl1
- initial build for Vine Linux

* Tue Nov 27 2007 Adam Jackson <ajax@redhat.com> 1.2.0-1
- xf86-input-evdev 1.2.0

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.1.2-5
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.1.2-4
- Update Requires and BuildRequires.  Disown the module directories.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.1.2-3
- ExclusiveArch -> ExcludeArch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Tue Jun 13 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-2
- Build on ppc64

* Mon Jun 05 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-1
- Update to 1.1.2 + CVS fixes.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-3
- Work around header pollution on ia64, re-add to arch list.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-2
- Disable on ia64 until build issues are sorted.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.0.5-1
- Updated xorg-x11-drv-evdev to version 1.0.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.4-1
- Updated xorg-x11-drv-evdev to version 1.0.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.2-1
- Updated xorg-x11-drv-evdev to version 1.0.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-evdev to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for evdev input driver generated automatically
  by my xorg-driverspecgen script.
