%define pkg_name      xyscan
%define pkg_version   3.3.0
%define pkg_version_s 3.30
%define pkg_release 1%{?_dist_release}

Summary: A data thief for scientist
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv3 or later
Group:   Applications/Edutainment
URL:     http://rhig.physics.yale.edu/~ullrich/software/xyscan/
Source0: http://rhig.physics.yale.edu/~ullrich/software/xyscan/Distributions/%{pkg_version_s}/%{name}-%{pkg_version_s}-src.tar.gz
Source1: xyscan.desktop

Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: qt4-devel >= 4.6
Requires: qt4 >= 4.6

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t

%description
xyscan is a tool for scientists in need to extract values of data points
from a plot that is available in electronic format. It can handle plots
with linear and logarithmic scales, tilted (distorted plots), and allows
to "scan" error bars as well. In fact xyscan can be used for extracting
numeric values from any kind of 2D technical drawings.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}

%build
qmake -o Makefile xyscan.pro
%{__make} %{?_smp_mflags}

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons

%{__cp} xyscan ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}
%{__cp} -r docs ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version}

echo "%{_libdir}/%{name}-%{version}/%{name} $*" \
     > ${RPM_BUILD_ROOT}%{_bindir}/xyscan
%{__chmod} +x ${RPM_BUILD_ROOT}%{_bindir}/xyscan

%{__cp} -a %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__cp} images/xyscanIcon.png ${RPM_BUILD_ROOT}%{_datadir}/icons/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc gpl.txt license.txt
%{_bindir}/xyscan
%{_libdir}/xyscan-%{version}/
%{_datadir}/applications/xyscan.desktop
%{_datadir}/icons/xyscanIcon.png


%changelog
* Sat Jul 30 2016 Toshiaki Ara <ara_t@384.jp> 3.3.0-1
- new package

